DROP VIEW master_tbl_view CASCADE;

-- Specific VIEW  for WASKA
CREATE OR REPLACE VIEW master_tbl_view AS 
 SELECT id, fkz, phase, geschlecht, erstgespraech, datum_feststellung,
 beendigung_5, datum_ende_beratung, beendigung_nachbetreuung, 
 art_beendigung, geburtsdatum, erwerbstaetigkeit_job, rechtlicher_kontext,
 schnittstelle_zu, bei_eintritt_ist_der_jugendliche, arbeitslosigkeit_1,
 bezug_alg2, bezug_alg1, dauer_nach_letzter_beschaeftigung, muttersprache,
 staatsangehoerigkeit, vater, mutter,
 schulabschluss_1, zugang_kompetenzagentur,
 schulpflichtig, berufsschulpflichtig,
 veraenderungen_rechtskreis,
 umschulung, verbleib_nachbetreuung,
 art_erstkontakt, bei_austritt_ist_der_jugendliche,
 allgschulpflichtig, prognose_liegt_vor
 FROM master_tbl;

CREATE OR REPLACE VIEW nm_tags_cases_view AS 
 SELECT nm_tags_cases.id, nm_tags_cases.master_id AS case_id,
 nm_tags_cases.tag_id, nm_tags_cases.created
    FROM nm_tags_cases;

CREATE OR REPLACE VIEW master_tbl_eval_total_view AS
  SELECT * from master_tbl_view;

CREATE OR REPLACE VIEW master_tbl_eval_view AS
  SELECT * from master_tbl_view;

CREATE OR REPLACE VIEW tags_view 
    AS SELECT
        id,
        label,
        description,
        systemtag
    FROM tags;

CREATE OR REPLACE FUNCTION create_nm_tag_case_ds(tagid int4, masterid int4)
  RETURNS int4 AS
  $BODY$
  BEGIN
      INSERT INTO nm_tags_cases (id, tag_id, master_id) 
              VALUES (coalesce((select max(id) from nm_tags_cases)+1, 1),
	      tagid, masterid);
	          RETURN 0;
		  END;
		  $BODY$
		    LANGUAGE 'plpgsql' VOLATILE SECURITY DEFINER;
		    ALTER FUNCTION create_nm_tag_case_ds(tagid int4, masterid
		    int4) OWNER TO postgres;
		    GRANT EXECUTE ON FUNCTION create_nm_tag_case_ds(tagid
		    int4, masterid int4) TO public;
		    GRANT EXECUTE ON FUNCTION create_nm_tag_case_ds(tagid
		    int4, masterid int4) TO postgres;

CREATE OR REPLACE FUNCTION delete_nm_tag_case_ds(tagid int4, masterid int4)
  RETURNS void AS
  $BODY$
  BEGIN
      DELETE FROM nm_tags_cases 
                  WHERE master_id = masterid AND tag_id = tagid; 
		  END;
		  $BODY$
		    LANGUAGE 'plpgsql' VOLATILE SECURITY DEFINER;
		    ALTER FUNCTION delete_nm_tag_case_ds(tagid int4, masterid
		    int4) OWNER TO postgres;
		    GRANT EXECUTE ON FUNCTION delete_nm_tag_case_ds(tagid
		    int4, masterid int4) TO public;
		    GRANT EXECUTE ON FUNCTION delete_nm_tag_case_ds(tagid
		    int4, masterid int4) TO postgres;

CREATE OR REPLACE VIEW master_tbl_eval_total_view AS
  SELECT * from master_tbl_view;

CREATE OR REPLACE VIEW ka_logbuch_tbl_view 
     AS SELECT * FROM ka_logbuch_tbl;

-- Common GRANTS for all evaluations servers
GRANT SELECT ON master_tbl_view TO public;
GRANT SELECT ON dbinfo TO public;
GRANT SELECT ON fkz_tbl TO public;
GRANT SELECT ON phase_tbl to public;
GRANT SELECT ON bundeslaender_tbl TO public;
GRANT SELECT ON master_tbl_eval_total_view to public;
GRANT SELECT ON tags_view to public;
GRANT SELECT ON nm_tags_cases_view to public;
GRANT SELECT ON ka_logbuch_tbl_view TO public;
GRANT SELECT ON ka_logbuch_art_tbl to public;

-- Specific GRANTS for WASKA 
GRANT SELECT ON geschlecht_tbl to public;
GRANT SELECT ON art_erstkontakt_tbl to public;
GRANT SELECT ON zugang_kompetenzagentur_tbl to public;
GRANT SELECT ON bei_eintritt_ist_der_jugendliche_tbl to public;
GRANT SELECT ON bei_austritt_ist_der_jugendliche_tbl to public;
GRANT SELECT ON letzte_jahr_allg_schule_tbl to public;
GRANT SELECT ON verbleib_nachbetreuung_tbl to public;
GRANT SELECT ON rechtlicher_kontext_tbl to public;
GRANT SELECT ON veraenderungen_rechtskreis_tbl to public;
GRANT SELECT ON schulabschluss_1_tbl to public;
GRANT SELECT ON gruende_abbruch_tbl to public;
