-- Evaluation DB-Template for Version 2.0.1
BEGIN;
--
--
-- CREATE TABLES
--
CREATE TABLE dbinfo (
    id INTEGER PRIMARY KEY NOT NULL,
    key   VARCHAR(128) NOT NULL,
    value VARCHAR(256) 
);

INSERT INTO dbinfo (id, key, value) VALUES (1, 'version', CURRENT_TIME);
INSERT INTO dbinfo (id, key, value) VALUES (2, 'datadump', NULL);

CREATE TABLE bundeslaender_tbl (
    id INTEGER PRIMARY KEY NOT NULL,
    name VARCHAR(256) NOT NULL UNIQUE,
    kurz CHAR(2) NOT NULL UNIQUE
);

INSERT INTO bundeslaender_tbl (id, name, kurz) VALUES (-1, 'keine Angabe', '');
INSERT INTO bundeslaender_tbl (id, name, kurz) VALUES ( 0, 'Baden-Württemberg', 'BW');
INSERT INTO bundeslaender_tbl (id, name, kurz) VALUES ( 1, 'Bayern', 'BY');
INSERT INTO bundeslaender_tbl (id, name, kurz) VALUES ( 2, 'Berlin', 'BE');
INSERT INTO bundeslaender_tbl (id, name, kurz) VALUES ( 3, 'Brandenburg', 'BB');
INSERT INTO bundeslaender_tbl (id, name, kurz) VALUES ( 4, 'Bremen', 'HB');
INSERT INTO bundeslaender_tbl (id, name, kurz) VALUES ( 5, 'Hamburg', 'HH');
INSERT INTO bundeslaender_tbl (id, name, kurz) VALUES ( 6, 'Hessen', 'HE');
INSERT INTO bundeslaender_tbl (id, name, kurz) VALUES ( 7, 'Mecklenburg-Vorpommern', 'MV');
INSERT INTO bundeslaender_tbl (id, name, kurz) VALUES ( 8, 'Niedersachsen', 'NI');
INSERT INTO bundeslaender_tbl (id, name, kurz) VALUES ( 9, 'Nordrhein-Westfalen', 'NW');
INSERT INTO bundeslaender_tbl (id, name, kurz) VALUES (10, 'Rheinland-Pfalz', 'RP');
INSERT INTO bundeslaender_tbl (id, name, kurz) VALUES (11, 'Saarland', 'SL');
INSERT INTO bundeslaender_tbl (id, name, kurz) VALUES (12, 'Sachsen', 'SN');
INSERT INTO bundeslaender_tbl (id, name, kurz) VALUES (13, 'Sachsen-Anhalt', 'ST');
INSERT INTO bundeslaender_tbl (id, name, kurz) VALUES (14, 'Schleswig-Holstein', 'SH');
INSERT INTO bundeslaender_tbl (id, name, kurz) VALUES (15, 'Thüringen', 'TH');

CREATE TABLE fkz_tbl (
    id            INTEGER PRIMARY KEY NOT NULL,
    name          VARCHAR(256) NOT NULL,
    fkz           VARCHAR(256) NOT NULL UNIQUE,
    database      VARCHAR(256) NOT NULL UNIQUE,
    bundesland_id INTEGER NOT NULL REFERENCES bundeslaender_tbl(id),
    UNIQUE (fkz, database)
);

-- -- --
-- -- -- START Autogenerated CREATE part of sql statements
-- -- -- (mastert_tbl...)
-- -- --
-- -- --
CREATE TABLE verbleib_nachbetreuung_tbl (
    id SERIAL PRIMARY KEY NOT NULL,
    value VARCHAR(66) NOT NULL
);
CREATE TABLE erreichte_qualifikation_tbl (
    id SERIAL PRIMARY KEY NOT NULL,
    value VARCHAR(21) NOT NULL
);
CREATE TABLE einschaetzung_zielerreichung_tbl (
    id SERIAL PRIMARY KEY NOT NULL,
    value VARCHAR(25) NOT NULL
);
CREATE TABLE umgangmitproblemen_tbl (
    id SERIAL PRIMARY KEY NOT NULL,
    value VARCHAR(21) NOT NULL
);
CREATE TABLE entwurflebensplaene_tbl (
    id SERIAL PRIMARY KEY NOT NULL,
    value VARCHAR(55) NOT NULL
);
CREATE TABLE eigenstaendigeamtsgaenge_tbl (
    id SERIAL PRIMARY KEY NOT NULL,
    value VARCHAR(18) NOT NULL
);
CREATE TABLE einhaltungtermine_tbl (
    id SERIAL PRIMARY KEY NOT NULL,
    value VARCHAR(19) NOT NULL
);
CREATE TABLE peergroup_tbl (
    id SERIAL PRIMARY KEY NOT NULL,
    value VARCHAR(16) NOT NULL
);
CREATE TABLE haeufigkeit_tbl (
    id SERIAL PRIMARY KEY NOT NULL,
    value VARCHAR(13) NOT NULL
);
CREATE TABLE intensitaet_mitgliedschaft_tbl (
    id SERIAL PRIMARY KEY NOT NULL,
    value VARCHAR(13) NOT NULL
);
CREATE TABLE massnahmeabschluss_tbl (
    id SERIAL PRIMARY KEY NOT NULL,
    value VARCHAR(34) NOT NULL
);
CREATE TABLE allgemein_bildender_schulabschluss_tbl (
    id SERIAL PRIMARY KEY NOT NULL,
    value VARCHAR(34) NOT NULL
);
CREATE TABLE veraenderungen_rechtskreis_tbl (
    id SERIAL PRIMARY KEY NOT NULL,
    value VARCHAR(46) NOT NULL
);
CREATE TABLE bei_austritt_ist_der_jugendliche_tbl (
    id SERIAL PRIMARY KEY NOT NULL,
    value VARCHAR(73) NOT NULL
);
CREATE TABLE gruende_vorz_beendigung_tbl (
    id SERIAL PRIMARY KEY NOT NULL,
    value VARCHAR(21) NOT NULL
);
CREATE TABLE vorz_beendigung_durch_tbl (
    id SERIAL PRIMARY KEY NOT NULL,
    value VARCHAR(28) NOT NULL
);
CREATE TABLE gruende_abbruch_tbl (
    id SERIAL PRIMARY KEY NOT NULL,
    value VARCHAR(37) NOT NULL
);
CREATE TABLE abbruch_durch_tbl (
    id SERIAL PRIMARY KEY NOT NULL,
    value VARCHAR(28) NOT NULL
);
CREATE TABLE art_beendigung_tbl (
    id SERIAL PRIMARY KEY NOT NULL,
    value VARCHAR(22) NOT NULL
);
CREATE TABLE nachweis_bescheinigung_tbl (
    id SERIAL PRIMARY KEY NOT NULL,
    value VARCHAR(32) NOT NULL
);
CREATE TABLE gruende_vorzeitige_beendigung_tbl (
    id SERIAL PRIMARY KEY NOT NULL,
    value VARCHAR(41) NOT NULL
);
CREATE TABLE beendigung_durch_tbl (
    id SERIAL PRIMARY KEY NOT NULL,
    value VARCHAR(23) NOT NULL
);
CREATE TABLE beendigung_1_tbl (
    id SERIAL PRIMARY KEY NOT NULL,
    value VARCHAR(13) NOT NULL
);
CREATE TABLE bewertung_manager_1_tbl (
    id SERIAL PRIMARY KEY NOT NULL,
    value VARCHAR(15) NOT NULL
);
CREATE TABLE art_der_unterstuetzung_2_tbl (
    id SERIAL PRIMARY KEY NOT NULL,
    value VARCHAR(33) NOT NULL
);
CREATE TABLE angebote_im_bereich_tbl (
    id SERIAL PRIMARY KEY NOT NULL,
    value VARCHAR(43) NOT NULL
);
CREATE TABLE art_der_unterstuetzung_1_tbl (
    id SERIAL PRIMARY KEY NOT NULL,
    value VARCHAR(36) NOT NULL
);
CREATE TABLE angebotsform_tbl (
    id SERIAL PRIMARY KEY NOT NULL,
    value VARCHAR(33) NOT NULL
);
CREATE TABLE art_angebot_tbl (
    id SERIAL PRIMARY KEY NOT NULL,
    value VARCHAR(64) NOT NULL
);
CREATE TABLE beherrschung_sprache1_tbl (
    id SERIAL PRIMARY KEY NOT NULL,
    value VARCHAR(20) NOT NULL
);
CREATE TABLE rechenfaehigkeit_tbl (
    id SERIAL PRIMARY KEY NOT NULL,
    value VARCHAR(24) NOT NULL
);
CREATE TABLE dauer_des_verfahrens_tbl (
    id SERIAL PRIMARY KEY NOT NULL,
    value VARCHAR(18) NOT NULL
);
CREATE TABLE verfahren_kompetenzfeststellung_tbl (
    id SERIAL PRIMARY KEY NOT NULL,
    value VARCHAR(58) NOT NULL
);
CREATE TABLE begleitung_tbl (
    id SERIAL PRIMARY KEY NOT NULL,
    value VARCHAR(40) NOT NULL
);
CREATE TABLE teilnahme_evaluation_tbl (
    id SERIAL PRIMARY KEY NOT NULL,
    value VARCHAR(180) NOT NULL
);
CREATE TABLE zielsetzung_tbl (
    id SERIAL PRIMARY KEY NOT NULL,
    value VARCHAR(48) NOT NULL
);
CREATE TABLE rg_benachteiligung_merkmal_j_tbl (
    id SERIAL PRIMARY KEY NOT NULL,
    value VARCHAR(19) NOT NULL
);
CREATE TABLE rg_benachteiligung_merkmal_i_tbl (
    id SERIAL PRIMARY KEY NOT NULL,
    value VARCHAR(30) NOT NULL
);
CREATE TABLE rg_benachteiligung_merkmal_h_tbl (
    id SERIAL PRIMARY KEY NOT NULL,
    value VARCHAR(80) NOT NULL
);
CREATE TABLE rg_benachteiligung_merkmal_g_tbl (
    id SERIAL PRIMARY KEY NOT NULL,
    value VARCHAR(24) NOT NULL
);
CREATE TABLE rg_benachteiligung_merkmal_f_tbl (
    id SERIAL PRIMARY KEY NOT NULL,
    value VARCHAR(46) NOT NULL
);
CREATE TABLE rg_benachteiligung_merkmal_e_tbl (
    id SERIAL PRIMARY KEY NOT NULL,
    value VARCHAR(56) NOT NULL
);
CREATE TABLE rg_benachteiligung_merkmal_d_tbl (
    id SERIAL PRIMARY KEY NOT NULL,
    value VARCHAR(35) NOT NULL
);
CREATE TABLE rg_benachteiligung_merkmal_c_tbl (
    id SERIAL PRIMARY KEY NOT NULL,
    value VARCHAR(56) NOT NULL
);
CREATE TABLE rg_benachteiligung_merkmal_b_tbl (
    id SERIAL PRIMARY KEY NOT NULL,
    value VARCHAR(55) NOT NULL
);
CREATE TABLE rg_benachteiligung_merkmal_a_tbl (
    id SERIAL PRIMARY KEY NOT NULL,
    value VARCHAR(65) NOT NULL
);
CREATE TABLE rg_benachteiligung_bereich_tbl (
    id SERIAL PRIMARY KEY NOT NULL,
    value VARCHAR(33) NOT NULL
);
CREATE TABLE art_des_dienstes_tbl (
    id SERIAL PRIMARY KEY NOT NULL,
    value VARCHAR(17) NOT NULL
);
CREATE TABLE schulabschluss_1_tbl (
    id SERIAL PRIMARY KEY NOT NULL,
    value VARCHAR(54) NOT NULL
);
CREATE TABLE klassenwiederholung_tbl (
    id SERIAL PRIMARY KEY NOT NULL,
    value VARCHAR(13) NOT NULL
);
CREATE TABLE schule_2_tbl (
    id SERIAL PRIMARY KEY NOT NULL,
    value VARCHAR(30) NOT NULL
);
CREATE TABLE wohnaufenthalt_tbl (
    id SERIAL PRIMARY KEY NOT NULL,
    value VARCHAR(41) NOT NULL
);
CREATE TABLE familiaere_situation_1_tbl (
    id SERIAL PRIMARY KEY NOT NULL,
    value VARCHAR(17) NOT NULL
);
CREATE TABLE aufenthaltsstatus_tbl (
    id SERIAL PRIMARY KEY NOT NULL,
    value VARCHAR(26) NOT NULL
);
CREATE TABLE staatsangehoerigkeit_tbl (
    id SERIAL PRIMARY KEY NOT NULL,
    value VARCHAR(47) NOT NULL
);
CREATE TABLE muttersprache_tbl (
    id SERIAL PRIMARY KEY NOT NULL,
    value VARCHAR(18) NOT NULL
);
CREATE TABLE geburtsland_tbl (
    id SERIAL PRIMARY KEY NOT NULL,
    value VARCHAR(47) NOT NULL
);
CREATE TABLE groesse_wohnort_tbl (
    id SERIAL PRIMARY KEY NOT NULL,
    value VARCHAR(41) NOT NULL
);
CREATE TABLE familienstand_tbl (
    id SERIAL PRIMARY KEY NOT NULL,
    value VARCHAR(24) NOT NULL
);
CREATE TABLE geschlecht_tbl (
    id SERIAL PRIMARY KEY NOT NULL,
    value VARCHAR(13) NOT NULL
);
CREATE TABLE schnittstelle_zu_tbl (
    id SERIAL PRIMARY KEY NOT NULL,
    value VARCHAR(34) NOT NULL
);
CREATE TABLE rechtlicher_kontext_tbl (
    id SERIAL PRIMARY KEY NOT NULL,
    value VARCHAR(46) NOT NULL
);
CREATE TABLE bei_eintritt_ist_der_jugendliche_tbl (
    id SERIAL PRIMARY KEY NOT NULL,
    value VARCHAR(73) NOT NULL
);
CREATE TABLE letzte_jahr_allg_schule_tbl (
    id SERIAL PRIMARY KEY NOT NULL,
    value VARCHAR(13) NOT NULL
);
CREATE TABLE art_erstkontakt_tbl (
    id SERIAL PRIMARY KEY NOT NULL,
    value VARCHAR(17) NOT NULL
);
CREATE TABLE zugang_kompetenzagentur_tbl (
    id SERIAL PRIMARY KEY NOT NULL,
    value VARCHAR(73) NOT NULL
);
CREATE TABLE zeitraum_nachbetreuung_tbl (
    id SERIAL PRIMARY KEY NOT NULL,
    value VARCHAR(18) NOT NULL
);
CREATE TABLE phase_tbl (
    id SERIAL PRIMARY KEY NOT NULL,
    value VARCHAR(24) NOT NULL
);
CREATE TABLE einwilligung_tbl (
    id SERIAL PRIMARY KEY NOT NULL,
    value VARCHAR(13) NOT NULL
);
CREATE TABLE master_tbl (
    id SERIAL PRIMARY KEY NOT NULL,
    uuid_id CHAR(36),
    bearbeiter_id int NOT NULL,
    einwilligung INTEGER DEFAULT -1,
    phase INTEGER DEFAULT -1,
    zeitraum_nachbetreuung INTEGER DEFAULT -1,
    fkz VARCHAR(60),
    name_kompetenzagentur VARCHAR(60),
    vorname VARCHAR(60),
    name VARCHAR(255),
    erstgespraech DATE,
    war_cm_kunde INTEGER DEFAULT -1,
    war_sw_kunde INTEGER DEFAULT -1,
    war_ber_kunde INTEGER DEFAULT -1,
    zugang_kompetenzagentur INTEGER DEFAULT -1,
    art_erstkontakt INTEGER DEFAULT -1,
    kundennummer VARCHAR(100),
    letzte_jahr_allg_schule INTEGER DEFAULT -1,
    prognose_liegt_vor INTEGER DEFAULT -1,
    begr_notwendigkeit_aufnahme TEXT,
    erford_unterstuetzungsbedarf TEXT,
    bei_eintritt_ist_der_jugendliche INTEGER DEFAULT -1,
    bei_eintritt_ist_der_jugendliche_nennung VARCHAR(256),
    schulpflichtig INTEGER DEFAULT -1,
    noch_schueler INTEGER DEFAULT -1,
    allgschulpflichtig INTEGER DEFAULT -1,
    berufsschulpflichtig INTEGER DEFAULT -1,
    rechtlicher_kontext INTEGER DEFAULT -1,
    schnittstelle_zu INTEGER DEFAULT -1,
    kontaktdaten_arge VARCHAR(100),
    kundennummer_arge VARCHAR(100),
    kontaktdaten_agentur_fuer_arbeit VARCHAR(100),
    kundennummer_agentur_fuer_arbeit VARCHAR(100),
    kundennummer_jugendamt VARCHAR(100),
    kontaktdaten_jugendamt VARCHAR(100),
    kontaktdaten_schule VARCHAR(100),
    schulname VARCHAR(100),
    kontaktdaten_gerichtshilfe VARCHAR(100),
    kundennummer_gerichtshilfe VARCHAR(30),
    kontaktdaten_weitere_institutionen TEXT,
    vorname_1 VARCHAR(60),
    name_1 VARCHAR(60),
    geschlecht INTEGER DEFAULT -1,
    geburtsdatum DATE,
    familienstand INTEGER DEFAULT -1,
    strasse VARCHAR(200),
    plz VARCHAR(5),
    wohnort VARCHAR(60),
    groesse_wohnort INTEGER DEFAULT -1,
    vorwahl VARCHAR(60),
    telefon_1 VARCHAR(60),
    mobiltelefon VARCHAR(120),
    email VARCHAR(120),
    telefon_sonstige TEXT,
    zweiter_wohnort VARCHAR(120),
    geburtsland INTEGER DEFAULT -1,
    geburtsland_sonstige_nennung VARCHAR(60),
    muttersprache INTEGER DEFAULT -1,
    muttersprache_sonstige_nennung VARCHAR(60),
    staatsangehoerigkeit INTEGER DEFAULT -1,
    staatsangehoerigkeit_sonstige_nennung VARCHAR(60),
    aufenthaltsstatus INTEGER DEFAULT -1,
    aufenthaltsdauer INTEGER,
    vater INTEGER DEFAULT -1,
    mutter INTEGER DEFAULT -1,
    familiaere_situation_1 INTEGER DEFAULT -1,
    vorname_2 VARCHAR(60),
    name_2 VARCHAR(60),
    vorwahl_1 VARCHAR(60),
    telefon_1_1 VARCHAR(60),
    mobiltelefon_1 VARCHAR(60),
    email_1 VARCHAR(120),
    geschwister INTEGER,
    anzahl_kinder INTEGER,
    haushalt_jugendlicher INTEGER,
    alleinerziehend INTEGER DEFAULT -1,
    familie_selbststaendig INTEGER DEFAULT -1,
    familie_staatliche_unterstuetzung INTEGER DEFAULT -1,
    jugendlicher_selbststaendig INTEGER DEFAULT -1,
    jugendlicher_staatliche_unterstuetzung INTEGER DEFAULT -1,
    jugendlicher_unterstuetzung_soziales_umfeld INTEGER DEFAULT -1,
    wohnaufenthalt INTEGER DEFAULT -1,
    mutter_2 INTEGER DEFAULT -1,
    vater_2 INTEGER DEFAULT -1,
    grosseltern INTEGER DEFAULT -1,
    geschwister_2 INTEGER DEFAULT -1,
    pflegefamilie_1 INTEGER DEFAULT -1,
    stiefmutter INTEGER DEFAULT -1,
    stiefvater INTEGER DEFAULT -1,
    verwandte_1 INTEGER DEFAULT -1,
    partner INTEGER DEFAULT -1,
    heimbetreuerin INTEGER DEFAULT -1,
    betreuerin INTEGER DEFAULT -1,
    lehrerin INTEGER DEFAULT -1,
    mitbewohner INTEGER DEFAULT -1,
    partner_mutter INTEGER DEFAULT -1,
    partner_vater INTEGER DEFAULT -1,
    freund INTEGER DEFAULT -1,
    keine_bezugsperson INTEGER DEFAULT -1,
    hobbies_1 INTEGER DEFAULT -1,
    hobbies_text VARCHAR(60),
    mitarbeit_organisationen INTEGER DEFAULT -1,
    organisationen_vereine_text VARCHAR(60),
    sonstiges_1 INTEGER DEFAULT -1,
    sonstiges_text VARCHAR(60),
    clique INTEGER DEFAULT -1,
    freundin INTEGER DEFAULT -1,
    parterin INTEGER DEFAULT -1,
    schule_2 INTEGER DEFAULT -1,
    klassenstufe INTEGER,
    klassenwiederholung INTEGER DEFAULT -1,
    abgang INTEGER,
    nicht_anwesende_tage INTEGER,
    unentschuldigte_tage INTEGER,
    schulabschluss_1 INTEGER DEFAULT -1,
    schulabschlusserwerbsland INTEGER DEFAULT -1,
    schulabschlusserwerbsland_sonstige_nennung VARCHAR(60),
    abschluss_betriebliche_ausbildung INTEGER DEFAULT -1,
    abschluss_im_ausbildungsberuf VARCHAR(60),
    ausbildungsdauer INTEGER,
    wann_abgeschlossen DATE,
    weitere_ausbildungen INTEGER,
    weitere_ausbildungen_text TEXT,
    dauer_weitere_ausbildungen INTEGER,
    abgebrochene_ausbildungen INTEGER,
    abgebrochene_ausbildungen_text TEXT,
    abschluss_ausserbetriebliche_ausbildung INTEGER DEFAULT -1,
    abschluss_im_ausbildungsberuf_1 VARCHAR(60),
    ausbildungsdauer_1 INTEGER,
    wann_abgeschlossen_1 DATE,
    weitere_ausbildungen_1 INTEGER,
    weitere_ausbildungen_text_1 TEXT,
    dauer_weitere_ausbildungen_1 INTEGER,
    abgebrochene_ausbildungen_1 INTEGER,
    abgebrochene_ausbildungen_text_1 TEXT,
    massnahmeteilnahme INTEGER DEFAULT -1,
    letzte_massnahme VARCHAR(60),
    finanzierung VARCHAR(60),
    austrittsdatum DATE,
    dauer INTEGER,
    weitere_massnahmen INTEGER DEFAULT -1,
    massnahme_1 VARCHAR(60),
    massnahme1_finanzierung VARCHAR(60),
    massnahme_2 VARCHAR(60),
    massnahme2_finanzierung VARCHAR(60),
    massnahme_3 VARCHAR(60),
    massnahme3_finanzierung VARCHAR(60),
    abgebrochene_massnahmen INTEGER,
    erwerbstaetigkeit_job INTEGER DEFAULT -1,
    letzte_taetigkeit VARCHAR(60),
    dauer_1 INTEGER,
    austrittsdatum_1 DATE,
    weitere_taetigkeiten INTEGER,
    weitere_jobs_text TEXT,
    dauer_weitere_taetigkeiten INTEGER,
    arbeitslosigkeit_1 INTEGER DEFAULT -1,
    anzahl_arbeitslosigkeit INTEGER,
    dauer_nach_letzter_beschaeftigung INTEGER,
    dauer_insgesamt INTEGER,
    bezug_alg1 INTEGER DEFAULT -1,
    bezug_alg2 INTEGER DEFAULT -1,
    wehrpflicht_zivildienst_freiwilligenjahr_1 INTEGER DEFAULT -1,
    art_des_dienstes INTEGER DEFAULT -1,
    dauer_2 INTEGER,
    mutterschutz_erziehungsurlaub INTEGER DEFAULT -1,
    anzahl INTEGER,
    dauer_letzter_erziehungsurlaub INTEGER,
    dauer_insgesamt_1 INTEGER,
    kompetenzfeststellung INTEGER DEFAULT -1,
    datum_feststellung DATE,
    zielsetzung INTEGER DEFAULT -1,
    teilnahme_evaluation INTEGER DEFAULT -1,
    evaluation_nummer VARCHAR(60),
    begleitung INTEGER DEFAULT -1,
    welche_vermittlung_nennung VARCHAR(60),
    beratungsfortsetzung VARCHAR(60),
    datum_ende_beratung DATE,
    freie_dokumentation TEXT,
    verfahren_kompetenzfeststellung INTEGER DEFAULT -1,
    externeranbieter VARCHAR(100),
    assessment_center INTEGER DEFAULT -1,
    interview INTEGER DEFAULT -1,
    biografieorientierte_methoden INTEGER DEFAULT -1,
    selbsttest_selbstbeurteilung INTEGER DEFAULT -1,
    sonstiges_2 INTEGER DEFAULT -1,
    artdesverfahrens_nennung_sonstiges VARCHAR(100),
    testverfahren INTEGER DEFAULT -1,
    intelligenztest INTEGER DEFAULT -1,
    intelligenztest_nennung VARCHAR(100),
    schultest INTEGER DEFAULT -1,
    schultest_nennung VARCHAR(100),
    leistungstest INTEGER DEFAULT -1,
    leistungstest_nennung VARCHAR(100),
    persoenlichkeitstest INTEGER DEFAULT -1,
    persoenlichkeitstest_nennung VARCHAR(100),
    einstellungs_interessentest INTEGER DEFAULT -1,
    einstellungs_interessentest_nennung VARCHAR(100),
    beginn_des_verfahrens DATE,
    dauer_des_verfahrens INTEGER DEFAULT -1,
    rechenfaehigkeit INTEGER DEFAULT -1,
    raeumliches_vorstellungsvermoegen INTEGER DEFAULT -1,
    grundverstaendnis_naturwissenschaftlicher_zusammenhaenge INTEGER DEFAULT -1,
    logisches_denken INTEGER DEFAULT -1,
    wirtschaftliche_grundkenntnisse INTEGER DEFAULT -1,
    allgemeine_pc_kenntnisse INTEGER DEFAULT -1,
    spezielle_pc_kenntnisse_grafikbearbeitung_musikbearbeitung INTEGER DEFAULT -1,
    internet_anwendungen_und_e_mail_kenntnisse INTEGER DEFAULT -1,
    andere_medien INTEGER DEFAULT -1,
    hand_fingergeschick INTEGER DEFAULT -1,
    formauffassung INTEGER DEFAULT -1,
    umgang_maschinen_werkzeugen INTEGER DEFAULT -1,
    gestalterische_fantasie INTEGER DEFAULT -1,
    methoden_der_informationsgewinnung INTEGER DEFAULT -1,
    methoden_der_informationsverarbeitung INTEGER DEFAULT -1,
    einsatz_lern_und_arbeitstechniken INTEGER DEFAULT -1,
    problemloesungsorientierung INTEGER DEFAULT -1,
    texte_lesen_und_verstehen INTEGER DEFAULT -1,
    texte_schreiben_und_formulieren INTEGER DEFAULT -1,
    deutsche_sprache INTEGER DEFAULT -1,
    sprache1 INTEGER DEFAULT -1,
    sprache1_sonstige_nennung VARCHAR(60),
    beherrschung_sprache1 INTEGER DEFAULT -1,
    sprache2 INTEGER DEFAULT -1,
    sprache2_sonstige_nennung VARCHAR(60),
    beherrschung_sprache2 INTEGER DEFAULT -1,
    sprache3 INTEGER DEFAULT -1,
    sprache3_sonstige_nennung VARCHAR(60),
    beherrschung_sprache3 INTEGER DEFAULT -1,
    kommunikationsfaehigkeit INTEGER DEFAULT -1,
    kritikfaehigkeit INTEGER DEFAULT -1,
    konfliktfaehigkeit INTEGER DEFAULT -1,
    kreativitaet INTEGER DEFAULT -1,
    team_und_kooperationsfaehigkeit INTEGER DEFAULT -1,
    solidarisches_verhalten INTEGER DEFAULT -1,
    selbstaendiges_lernen_arbeiten INTEGER DEFAULT -1,
    selbstreflexion_selbsteinschaetzung INTEGER DEFAULT -1,
    verantwortungsuebernahme INTEGER DEFAULT -1,
    zielorientierung INTEGER DEFAULT -1,
    zuverlaessigkeit INTEGER DEFAULT -1,
    altersgerechter_entwicklungsstand INTEGER DEFAULT -1,
    gesundheitliche_voraussetzungen INTEGER DEFAULT -1,
    konzentration INTEGER DEFAULT -1,
    ausdauer INTEGER DEFAULT -1,
    durchhaltevermoegen INTEGER DEFAULT -1,
    merkfaehigkeit INTEGER DEFAULT -1,
    bearbeitungsgeschwindigkeit INTEGER DEFAULT -1,
    befaehigung_zu_daueraufmerksamkeit INTEGER DEFAULT -1,
    leistungsbereitschaft INTEGER DEFAULT -1,
    sorgfalt INTEGER DEFAULT -1,
    umgangsformen INTEGER DEFAULT -1,
    dokumentation_kompetenzfeststellung TEXT,
    vereinbarung_foerderplan DATE,
    bildender_bereich INTEGER DEFAULT -1,
    bereich_berufliche_qualifizierung INTEGER DEFAULT -1,
    bereich_berufsvorbereitung INTEGER DEFAULT -1,
    bereich_lebensbewaeltigung INTEGER DEFAULT -1,
    sonstiger_foerderbedarf INTEGER DEFAULT -1,
    sonstiger_foerderbedarf_nennung VARCHAR(120),
    foerderzeitraum_start DATE,
    foerderzeitraum_ende DATE,
    dokumentation_zum_foerderplan TEXT,
    anzahl_kontakte_termine INTEGER,
    anzahl_der_stunden INTEGER,
    beendigung_5 DATE,
    art_beendigung INTEGER DEFAULT -1,
    abbruch_durch INTEGER DEFAULT -1,
    abbruch_sonstiges_nennung VARCHAR(60),
    gruende_abbruch INTEGER DEFAULT -1,
    gruende_vorz_abbruch_sonstiges_nennung VARCHAR(256),
    vorz_beendigung_durch INTEGER DEFAULT -1,
    vorz_beendigung_sonstiges_nennung VARCHAR(60),
    gruende_vorz_beendigung INTEGER DEFAULT -1,
    gruende_vorz_beendigung_sonstiges_nennung VARCHAR(256),
    bei_austritt_ist_der_jugendliche INTEGER DEFAULT -1,
    bei_austritt_ist_der_jugendliche_nennung VARCHAR(256),
    bei_austritt_ist_der_jugendliche_konkretisierung VARCHAR(256),
    veraenderungen_rechtskreis INTEGER DEFAULT -1,
    schnittstelle_zu_ende INTEGER DEFAULT -1,
    allgemein_bildender_schulabschluss INTEGER DEFAULT -1,
    allgemein_bildender_schulabschluss_sonstiges_nennung VARCHAR(255),
    massnahmeabschluss INTEGER DEFAULT -1,
    umschulung INTEGER DEFAULT -1,
    umschulung_nennung VARCHAR(255),
    arbeitstaetigkeit VARCHAR(255),
    mitgliedschaft_organisationen_vereinen INTEGER DEFAULT -1,
    intensitaet_mitgliedschaft INTEGER DEFAULT -1,
    nutzung_kulturangeboten INTEGER DEFAULT -1,
    haeufigkeit INTEGER DEFAULT -1,
    soziales_engagement VARCHAR(255),
    unternehmungen_freunden INTEGER DEFAULT -1,
    unternehmungen_familie INTEGER DEFAULT -1,
    peergroup INTEGER DEFAULT -1,
    familie_1 INTEGER DEFAULT -1,
    beziehung INTEGER DEFAULT -1,
    arbeit_schule INTEGER DEFAULT -1,
    bester_freund_freundin INTEGER DEFAULT -1,
    einhaltungtermine INTEGER DEFAULT -1,
    eigenstaendigeamtsgaenge INTEGER DEFAULT -1,
    entwurflebensplaene INTEGER DEFAULT -1,
    umgangmitproblemen INTEGER DEFAULT -1,
    einschaetzung_zielerreichung INTEGER DEFAULT -1,
    erreichte_qualifikation INTEGER DEFAULT -1,
    integration_ist_nachhaltig INTEGER DEFAULT -1,
    selbststaendige_berufswegplanung INTEGER DEFAULT -1,
    eigenstaendige_lebensgestaltung INTEGER DEFAULT -1,
    soziale_bezugssysteme INTEGER DEFAULT -1,
    teilnahme_gesellschaftliches_leben INTEGER DEFAULT -1,
    freie_dokumentation_abschlussbewertung TEXT,
    beendigung_nachbetreuung DATE,
    verbleib_nachbetreuung INTEGER DEFAULT -1,
    UNIQUE (uuid_id),
    FOREIGN KEY (einwilligung) REFERENCES einwilligung_tbl (id),
    FOREIGN KEY (phase) REFERENCES phase_tbl (id),
    FOREIGN KEY (zeitraum_nachbetreuung) REFERENCES zeitraum_nachbetreuung_tbl (id),
    FOREIGN KEY (war_cm_kunde) REFERENCES einwilligung_tbl (id),
    FOREIGN KEY (war_sw_kunde) REFERENCES einwilligung_tbl (id),
    FOREIGN KEY (war_ber_kunde) REFERENCES einwilligung_tbl (id),
    FOREIGN KEY (zugang_kompetenzagentur) REFERENCES zugang_kompetenzagentur_tbl (id),
    FOREIGN KEY (art_erstkontakt) REFERENCES art_erstkontakt_tbl (id),
    FOREIGN KEY (letzte_jahr_allg_schule) REFERENCES letzte_jahr_allg_schule_tbl (id),
    FOREIGN KEY (prognose_liegt_vor) REFERENCES letzte_jahr_allg_schule_tbl (id),
    FOREIGN KEY (bei_eintritt_ist_der_jugendliche) REFERENCES bei_eintritt_ist_der_jugendliche_tbl (id),
    FOREIGN KEY (schulpflichtig) REFERENCES einwilligung_tbl (id),
    FOREIGN KEY (noch_schueler) REFERENCES einwilligung_tbl (id),
    FOREIGN KEY (allgschulpflichtig) REFERENCES letzte_jahr_allg_schule_tbl (id),
    FOREIGN KEY (berufsschulpflichtig) REFERENCES letzte_jahr_allg_schule_tbl (id),
    FOREIGN KEY (rechtlicher_kontext) REFERENCES rechtlicher_kontext_tbl (id),
    FOREIGN KEY (schnittstelle_zu) REFERENCES schnittstelle_zu_tbl (id),
    FOREIGN KEY (geschlecht) REFERENCES geschlecht_tbl (id),
    FOREIGN KEY (familienstand) REFERENCES familienstand_tbl (id),
    FOREIGN KEY (groesse_wohnort) REFERENCES groesse_wohnort_tbl (id),
    FOREIGN KEY (geburtsland) REFERENCES geburtsland_tbl (id),
    FOREIGN KEY (muttersprache) REFERENCES muttersprache_tbl (id),
    FOREIGN KEY (staatsangehoerigkeit) REFERENCES staatsangehoerigkeit_tbl (id),
    FOREIGN KEY (aufenthaltsstatus) REFERENCES aufenthaltsstatus_tbl (id),
    FOREIGN KEY (vater) REFERENCES letzte_jahr_allg_schule_tbl (id),
    FOREIGN KEY (mutter) REFERENCES letzte_jahr_allg_schule_tbl (id),
    FOREIGN KEY (familiaere_situation_1) REFERENCES familiaere_situation_1_tbl (id),
    FOREIGN KEY (alleinerziehend) REFERENCES letzte_jahr_allg_schule_tbl (id),
    FOREIGN KEY (familie_selbststaendig) REFERENCES einwilligung_tbl (id),
    FOREIGN KEY (familie_staatliche_unterstuetzung) REFERENCES einwilligung_tbl (id),
    FOREIGN KEY (jugendlicher_selbststaendig) REFERENCES einwilligung_tbl (id),
    FOREIGN KEY (jugendlicher_staatliche_unterstuetzung) REFERENCES einwilligung_tbl (id),
    FOREIGN KEY (jugendlicher_unterstuetzung_soziales_umfeld) REFERENCES einwilligung_tbl (id),
    FOREIGN KEY (wohnaufenthalt) REFERENCES wohnaufenthalt_tbl (id),
    FOREIGN KEY (mutter_2) REFERENCES einwilligung_tbl (id),
    FOREIGN KEY (vater_2) REFERENCES einwilligung_tbl (id),
    FOREIGN KEY (grosseltern) REFERENCES einwilligung_tbl (id),
    FOREIGN KEY (geschwister_2) REFERENCES einwilligung_tbl (id),
    FOREIGN KEY (pflegefamilie_1) REFERENCES einwilligung_tbl (id),
    FOREIGN KEY (stiefmutter) REFERENCES einwilligung_tbl (id),
    FOREIGN KEY (stiefvater) REFERENCES einwilligung_tbl (id),
    FOREIGN KEY (verwandte_1) REFERENCES einwilligung_tbl (id),
    FOREIGN KEY (partner) REFERENCES einwilligung_tbl (id),
    FOREIGN KEY (heimbetreuerin) REFERENCES einwilligung_tbl (id),
    FOREIGN KEY (betreuerin) REFERENCES einwilligung_tbl (id),
    FOREIGN KEY (lehrerin) REFERENCES einwilligung_tbl (id),
    FOREIGN KEY (mitbewohner) REFERENCES einwilligung_tbl (id),
    FOREIGN KEY (partner_mutter) REFERENCES einwilligung_tbl (id),
    FOREIGN KEY (partner_vater) REFERENCES einwilligung_tbl (id),
    FOREIGN KEY (freund) REFERENCES einwilligung_tbl (id),
    FOREIGN KEY (keine_bezugsperson) REFERENCES einwilligung_tbl (id),
    FOREIGN KEY (hobbies_1) REFERENCES letzte_jahr_allg_schule_tbl (id),
    FOREIGN KEY (mitarbeit_organisationen) REFERENCES letzte_jahr_allg_schule_tbl (id),
    FOREIGN KEY (sonstiges_1) REFERENCES letzte_jahr_allg_schule_tbl (id),
    FOREIGN KEY (clique) REFERENCES einwilligung_tbl (id),
    FOREIGN KEY (freundin) REFERENCES einwilligung_tbl (id),
    FOREIGN KEY (parterin) REFERENCES einwilligung_tbl (id),
    FOREIGN KEY (schule_2) REFERENCES schule_2_tbl (id),
    FOREIGN KEY (klassenwiederholung) REFERENCES klassenwiederholung_tbl (id),
    FOREIGN KEY (schulabschluss_1) REFERENCES schulabschluss_1_tbl (id),
    FOREIGN KEY (schulabschlusserwerbsland) REFERENCES geburtsland_tbl (id),
    FOREIGN KEY (abschluss_betriebliche_ausbildung) REFERENCES letzte_jahr_allg_schule_tbl (id),
    FOREIGN KEY (abschluss_ausserbetriebliche_ausbildung) REFERENCES letzte_jahr_allg_schule_tbl (id),
    FOREIGN KEY (massnahmeteilnahme) REFERENCES letzte_jahr_allg_schule_tbl (id),
    FOREIGN KEY (weitere_massnahmen) REFERENCES letzte_jahr_allg_schule_tbl (id),
    FOREIGN KEY (erwerbstaetigkeit_job) REFERENCES letzte_jahr_allg_schule_tbl (id),
    FOREIGN KEY (arbeitslosigkeit_1) REFERENCES letzte_jahr_allg_schule_tbl (id),
    FOREIGN KEY (bezug_alg1) REFERENCES letzte_jahr_allg_schule_tbl (id),
    FOREIGN KEY (bezug_alg2) REFERENCES letzte_jahr_allg_schule_tbl (id),
    FOREIGN KEY (wehrpflicht_zivildienst_freiwilligenjahr_1) REFERENCES letzte_jahr_allg_schule_tbl (id),
    FOREIGN KEY (art_des_dienstes) REFERENCES art_des_dienstes_tbl (id),
    FOREIGN KEY (mutterschutz_erziehungsurlaub) REFERENCES letzte_jahr_allg_schule_tbl (id),
    FOREIGN KEY (kompetenzfeststellung) REFERENCES letzte_jahr_allg_schule_tbl (id),
    FOREIGN KEY (zielsetzung) REFERENCES zielsetzung_tbl (id),
    FOREIGN KEY (teilnahme_evaluation) REFERENCES teilnahme_evaluation_tbl (id),
    FOREIGN KEY (begleitung) REFERENCES begleitung_tbl (id),
    FOREIGN KEY (verfahren_kompetenzfeststellung) REFERENCES verfahren_kompetenzfeststellung_tbl (id),
    FOREIGN KEY (assessment_center) REFERENCES einwilligung_tbl (id),
    FOREIGN KEY (interview) REFERENCES einwilligung_tbl (id),
    FOREIGN KEY (biografieorientierte_methoden) REFERENCES einwilligung_tbl (id),
    FOREIGN KEY (selbsttest_selbstbeurteilung) REFERENCES einwilligung_tbl (id),
    FOREIGN KEY (sonstiges_2) REFERENCES einwilligung_tbl (id),
    FOREIGN KEY (testverfahren) REFERENCES einwilligung_tbl (id),
    FOREIGN KEY (intelligenztest) REFERENCES einwilligung_tbl (id),
    FOREIGN KEY (schultest) REFERENCES einwilligung_tbl (id),
    FOREIGN KEY (leistungstest) REFERENCES einwilligung_tbl (id),
    FOREIGN KEY (persoenlichkeitstest) REFERENCES einwilligung_tbl (id),
    FOREIGN KEY (einstellungs_interessentest) REFERENCES einwilligung_tbl (id),
    FOREIGN KEY (dauer_des_verfahrens) REFERENCES dauer_des_verfahrens_tbl (id),
    FOREIGN KEY (rechenfaehigkeit) REFERENCES rechenfaehigkeit_tbl (id),
    FOREIGN KEY (raeumliches_vorstellungsvermoegen) REFERENCES rechenfaehigkeit_tbl (id),
    FOREIGN KEY (grundverstaendnis_naturwissenschaftlicher_zusammenhaenge) REFERENCES rechenfaehigkeit_tbl (id),
    FOREIGN KEY (logisches_denken) REFERENCES rechenfaehigkeit_tbl (id),
    FOREIGN KEY (wirtschaftliche_grundkenntnisse) REFERENCES rechenfaehigkeit_tbl (id),
    FOREIGN KEY (allgemeine_pc_kenntnisse) REFERENCES rechenfaehigkeit_tbl (id),
    FOREIGN KEY (spezielle_pc_kenntnisse_grafikbearbeitung_musikbearbeitung) REFERENCES rechenfaehigkeit_tbl (id),
    FOREIGN KEY (internet_anwendungen_und_e_mail_kenntnisse) REFERENCES rechenfaehigkeit_tbl (id),
    FOREIGN KEY (andere_medien) REFERENCES rechenfaehigkeit_tbl (id),
    FOREIGN KEY (hand_fingergeschick) REFERENCES rechenfaehigkeit_tbl (id),
    FOREIGN KEY (formauffassung) REFERENCES rechenfaehigkeit_tbl (id),
    FOREIGN KEY (umgang_maschinen_werkzeugen) REFERENCES rechenfaehigkeit_tbl (id),
    FOREIGN KEY (gestalterische_fantasie) REFERENCES rechenfaehigkeit_tbl (id),
    FOREIGN KEY (methoden_der_informationsgewinnung) REFERENCES rechenfaehigkeit_tbl (id),
    FOREIGN KEY (methoden_der_informationsverarbeitung) REFERENCES rechenfaehigkeit_tbl (id),
    FOREIGN KEY (einsatz_lern_und_arbeitstechniken) REFERENCES rechenfaehigkeit_tbl (id),
    FOREIGN KEY (problemloesungsorientierung) REFERENCES rechenfaehigkeit_tbl (id),
    FOREIGN KEY (texte_lesen_und_verstehen) REFERENCES rechenfaehigkeit_tbl (id),
    FOREIGN KEY (texte_schreiben_und_formulieren) REFERENCES rechenfaehigkeit_tbl (id),
    FOREIGN KEY (deutsche_sprache) REFERENCES rechenfaehigkeit_tbl (id),
    FOREIGN KEY (sprache1) REFERENCES muttersprache_tbl (id),
    FOREIGN KEY (beherrschung_sprache1) REFERENCES beherrschung_sprache1_tbl (id),
    FOREIGN KEY (sprache2) REFERENCES muttersprache_tbl (id),
    FOREIGN KEY (beherrschung_sprache2) REFERENCES beherrschung_sprache1_tbl (id),
    FOREIGN KEY (sprache3) REFERENCES muttersprache_tbl (id),
    FOREIGN KEY (beherrschung_sprache3) REFERENCES beherrschung_sprache1_tbl (id),
    FOREIGN KEY (kommunikationsfaehigkeit) REFERENCES rechenfaehigkeit_tbl (id),
    FOREIGN KEY (kritikfaehigkeit) REFERENCES rechenfaehigkeit_tbl (id),
    FOREIGN KEY (konfliktfaehigkeit) REFERENCES rechenfaehigkeit_tbl (id),
    FOREIGN KEY (kreativitaet) REFERENCES rechenfaehigkeit_tbl (id),
    FOREIGN KEY (team_und_kooperationsfaehigkeit) REFERENCES rechenfaehigkeit_tbl (id),
    FOREIGN KEY (solidarisches_verhalten) REFERENCES rechenfaehigkeit_tbl (id),
    FOREIGN KEY (selbstaendiges_lernen_arbeiten) REFERENCES rechenfaehigkeit_tbl (id),
    FOREIGN KEY (selbstreflexion_selbsteinschaetzung) REFERENCES rechenfaehigkeit_tbl (id),
    FOREIGN KEY (verantwortungsuebernahme) REFERENCES rechenfaehigkeit_tbl (id),
    FOREIGN KEY (zielorientierung) REFERENCES rechenfaehigkeit_tbl (id),
    FOREIGN KEY (zuverlaessigkeit) REFERENCES rechenfaehigkeit_tbl (id),
    FOREIGN KEY (altersgerechter_entwicklungsstand) REFERENCES rechenfaehigkeit_tbl (id),
    FOREIGN KEY (gesundheitliche_voraussetzungen) REFERENCES rechenfaehigkeit_tbl (id),
    FOREIGN KEY (konzentration) REFERENCES rechenfaehigkeit_tbl (id),
    FOREIGN KEY (ausdauer) REFERENCES rechenfaehigkeit_tbl (id),
    FOREIGN KEY (durchhaltevermoegen) REFERENCES rechenfaehigkeit_tbl (id),
    FOREIGN KEY (merkfaehigkeit) REFERENCES rechenfaehigkeit_tbl (id),
    FOREIGN KEY (bearbeitungsgeschwindigkeit) REFERENCES rechenfaehigkeit_tbl (id),
    FOREIGN KEY (befaehigung_zu_daueraufmerksamkeit) REFERENCES rechenfaehigkeit_tbl (id),
    FOREIGN KEY (leistungsbereitschaft) REFERENCES rechenfaehigkeit_tbl (id),
    FOREIGN KEY (sorgfalt) REFERENCES rechenfaehigkeit_tbl (id),
    FOREIGN KEY (umgangsformen) REFERENCES rechenfaehigkeit_tbl (id),
    FOREIGN KEY (bildender_bereich) REFERENCES einwilligung_tbl (id),
    FOREIGN KEY (bereich_berufliche_qualifizierung) REFERENCES einwilligung_tbl (id),
    FOREIGN KEY (bereich_berufsvorbereitung) REFERENCES einwilligung_tbl (id),
    FOREIGN KEY (bereich_lebensbewaeltigung) REFERENCES einwilligung_tbl (id),
    FOREIGN KEY (sonstiger_foerderbedarf) REFERENCES einwilligung_tbl (id),
    FOREIGN KEY (art_beendigung) REFERENCES art_beendigung_tbl (id),
    FOREIGN KEY (abbruch_durch) REFERENCES abbruch_durch_tbl (id),
    FOREIGN KEY (gruende_abbruch) REFERENCES gruende_abbruch_tbl (id),
    FOREIGN KEY (vorz_beendigung_durch) REFERENCES vorz_beendigung_durch_tbl (id),
    FOREIGN KEY (gruende_vorz_beendigung) REFERENCES gruende_vorz_beendigung_tbl (id),
    FOREIGN KEY (bei_austritt_ist_der_jugendliche) REFERENCES bei_austritt_ist_der_jugendliche_tbl (id),
    FOREIGN KEY (veraenderungen_rechtskreis) REFERENCES veraenderungen_rechtskreis_tbl (id),
    FOREIGN KEY (schnittstelle_zu_ende) REFERENCES schnittstelle_zu_tbl (id),
    FOREIGN KEY (allgemein_bildender_schulabschluss) REFERENCES allgemein_bildender_schulabschluss_tbl (id),
    FOREIGN KEY (massnahmeabschluss) REFERENCES massnahmeabschluss_tbl (id),
    FOREIGN KEY (umschulung) REFERENCES letzte_jahr_allg_schule_tbl (id),
    FOREIGN KEY (mitgliedschaft_organisationen_vereinen) REFERENCES letzte_jahr_allg_schule_tbl (id),
    FOREIGN KEY (intensitaet_mitgliedschaft) REFERENCES intensitaet_mitgliedschaft_tbl (id),
    FOREIGN KEY (nutzung_kulturangeboten) REFERENCES letzte_jahr_allg_schule_tbl (id),
    FOREIGN KEY (haeufigkeit) REFERENCES haeufigkeit_tbl (id),
    FOREIGN KEY (unternehmungen_freunden) REFERENCES haeufigkeit_tbl (id),
    FOREIGN KEY (unternehmungen_familie) REFERENCES haeufigkeit_tbl (id),
    FOREIGN KEY (peergroup) REFERENCES peergroup_tbl (id),
    FOREIGN KEY (familie_1) REFERENCES peergroup_tbl (id),
    FOREIGN KEY (beziehung) REFERENCES peergroup_tbl (id),
    FOREIGN KEY (arbeit_schule) REFERENCES peergroup_tbl (id),
    FOREIGN KEY (bester_freund_freundin) REFERENCES peergroup_tbl (id),
    FOREIGN KEY (einhaltungtermine) REFERENCES einhaltungtermine_tbl (id),
    FOREIGN KEY (eigenstaendigeamtsgaenge) REFERENCES eigenstaendigeamtsgaenge_tbl (id),
    FOREIGN KEY (entwurflebensplaene) REFERENCES entwurflebensplaene_tbl (id),
    FOREIGN KEY (umgangmitproblemen) REFERENCES umgangmitproblemen_tbl (id),
    FOREIGN KEY (einschaetzung_zielerreichung) REFERENCES einschaetzung_zielerreichung_tbl (id),
    FOREIGN KEY (erreichte_qualifikation) REFERENCES erreichte_qualifikation_tbl (id),
    FOREIGN KEY (integration_ist_nachhaltig) REFERENCES erreichte_qualifikation_tbl (id),
    FOREIGN KEY (selbststaendige_berufswegplanung) REFERENCES erreichte_qualifikation_tbl (id),
    FOREIGN KEY (eigenstaendige_lebensgestaltung) REFERENCES erreichte_qualifikation_tbl (id),
    FOREIGN KEY (soziale_bezugssysteme) REFERENCES erreichte_qualifikation_tbl (id),
    FOREIGN KEY (teilnahme_gesellschaftliches_leben) REFERENCES erreichte_qualifikation_tbl (id),
    FOREIGN KEY (verbleib_nachbetreuung) REFERENCES verbleib_nachbetreuung_tbl (id)
);
CREATE TABLE rg_benachteiligung_tbl (
    id SERIAL PRIMARY KEY NOT NULL,
    master_id INTEGER NOT NULL,
    uuid_id CHAR(36),
    rg_benachteiligung_bereich INTEGER DEFAULT -1,
    rg_benachteiligung_merkmal_a INTEGER DEFAULT -1,
    rg_benachteiligung_merkmal_a_text VARCHAR(256),
    rg_benachteiligung_merkmal_b INTEGER DEFAULT -1,
    rg_benachteiligung_merkmal_b_text VARCHAR(256),
    rg_benachteiligung_merkmal_c INTEGER DEFAULT -1,
    rg_benachteiligung_merkmal_c_text VARCHAR(256),
    rg_benachteiligung_merkmal_d INTEGER DEFAULT -1,
    rg_benachteiligung_merkmal_d_text VARCHAR(256),
    rg_benachteiligung_merkmal_e INTEGER DEFAULT -1,
    rg_benachteiligung_merkmal_e_text VARCHAR(256),
    rg_benachteiligung_merkmal_f INTEGER DEFAULT -1,
    rg_benachteiligung_merkmal_f_text VARCHAR(256),
    rg_benachteiligung_merkmal_g INTEGER DEFAULT -1,
    rg_benachteiligung_merkmal_g_text VARCHAR(256),
    rg_arzt_gutachten_physisch INTEGER DEFAULT -1,
    rg_anerkannte_behinderung INTEGER DEFAULT -1,
    rg_benachteiligung_merkmal_h INTEGER DEFAULT -1,
    rg_benachteiligung_merkmal_h_text VARCHAR(256),
    rg_benachteiligung_merkmal_i INTEGER DEFAULT -1,
    rg_benachteiligung_merkmal_i_text VARCHAR(256),
    rg_benachteiligung_merkmal_j INTEGER DEFAULT -1,
    rg_benachteiligung_merkmal_j_text VARCHAR(256),
    FOREIGN KEY (master_id) REFERENCES master_tbl (id) ON DELETE CASCADE,
    UNIQUE (uuid_id),
    FOREIGN KEY (rg_benachteiligung_bereich) REFERENCES rg_benachteiligung_bereich_tbl (id),
    FOREIGN KEY (rg_benachteiligung_merkmal_a) REFERENCES rg_benachteiligung_merkmal_a_tbl (id),
    FOREIGN KEY (rg_benachteiligung_merkmal_b) REFERENCES rg_benachteiligung_merkmal_b_tbl (id),
    FOREIGN KEY (rg_benachteiligung_merkmal_c) REFERENCES rg_benachteiligung_merkmal_c_tbl (id),
    FOREIGN KEY (rg_benachteiligung_merkmal_d) REFERENCES rg_benachteiligung_merkmal_d_tbl (id),
    FOREIGN KEY (rg_benachteiligung_merkmal_e) REFERENCES rg_benachteiligung_merkmal_e_tbl (id),
    FOREIGN KEY (rg_benachteiligung_merkmal_f) REFERENCES rg_benachteiligung_merkmal_f_tbl (id),
    FOREIGN KEY (rg_benachteiligung_merkmal_g) REFERENCES rg_benachteiligung_merkmal_g_tbl (id),
    FOREIGN KEY (rg_arzt_gutachten_physisch) REFERENCES einwilligung_tbl (id),
    FOREIGN KEY (rg_anerkannte_behinderung) REFERENCES letzte_jahr_allg_schule_tbl (id),
    FOREIGN KEY (rg_benachteiligung_merkmal_h) REFERENCES rg_benachteiligung_merkmal_h_tbl (id),
    FOREIGN KEY (rg_benachteiligung_merkmal_i) REFERENCES rg_benachteiligung_merkmal_i_tbl (id),
    FOREIGN KEY (rg_benachteiligung_merkmal_j) REFERENCES rg_benachteiligung_merkmal_j_tbl (id)
);
CREATE TABLE rg_unterstuetzungsangebote_tbl (
    id SERIAL PRIMARY KEY NOT NULL,
    master_id INTEGER NOT NULL,
    uuid_id CHAR(36),
    art_angebot INTEGER DEFAULT -1,
    angebotsform INTEGER DEFAULT -1,
    angebotsform_nennung VARCHAR(256),
    art_der_unterstuetzung VARCHAR(120),
    art_der_unterstuetzung_1 INTEGER DEFAULT -1,
    unterstuetzung_sonstiges_nennung_1 VARCHAR(255),
    angebote_im_bereich INTEGER DEFAULT -1,
    angebot_sonstiges_nennung VARCHAR(255),
    art_der_unterstuetzung_2 INTEGER DEFAULT -1,
    unterstuetzung_sonstiges_nennung_2 VARCHAR(60),
    durchfuehrende_institution VARCHAR(120),
    zielsetzungangebot VARCHAR(60),
    indikator_1 VARCHAR(60),
    bewertung_manager_1 INTEGER DEFAULT -1,
    bewertung_jugendlicher_1 INTEGER DEFAULT -1,
    indikator_2 VARCHAR(60),
    bewertung_manager_2 INTEGER DEFAULT -1,
    bewertung_jugendlicher_2 INTEGER DEFAULT -1,
    indikator_3 VARCHAR(60),
    bewertung_manager_3 INTEGER DEFAULT -1,
    bewertung_jugendlicher_3 INTEGER DEFAULT -1,
    zielerreichung TEXT,
    unterstuetzung_start DATE,
    unterstuetzung_ende DATE,
    zeitlicher_umfang_unterstuetzung INTEGER,
    beendigung_1 INTEGER DEFAULT -1,
    beendigung_durch INTEGER DEFAULT -1,
    gruende_vorzeitige_beendigung INTEGER DEFAULT -1,
    gruende_sonstiges_nennung VARCHAR(120),
    nachweis_bescheinigung INTEGER DEFAULT -1,
    sonstiges_nachweis_bescheinigung VARCHAR(120),
    FOREIGN KEY (master_id) REFERENCES master_tbl (id) ON DELETE CASCADE,
    UNIQUE (uuid_id),
    FOREIGN KEY (art_angebot) REFERENCES art_angebot_tbl (id),
    FOREIGN KEY (angebotsform) REFERENCES angebotsform_tbl (id),
    FOREIGN KEY (art_der_unterstuetzung_1) REFERENCES art_der_unterstuetzung_1_tbl (id),
    FOREIGN KEY (angebote_im_bereich) REFERENCES angebote_im_bereich_tbl (id),
    FOREIGN KEY (art_der_unterstuetzung_2) REFERENCES art_der_unterstuetzung_2_tbl (id),
    FOREIGN KEY (bewertung_manager_1) REFERENCES bewertung_manager_1_tbl (id),
    FOREIGN KEY (bewertung_jugendlicher_1) REFERENCES bewertung_manager_1_tbl (id),
    FOREIGN KEY (bewertung_manager_2) REFERENCES bewertung_manager_1_tbl (id),
    FOREIGN KEY (bewertung_jugendlicher_2) REFERENCES bewertung_manager_1_tbl (id),
    FOREIGN KEY (bewertung_manager_3) REFERENCES bewertung_manager_1_tbl (id),
    FOREIGN KEY (bewertung_jugendlicher_3) REFERENCES bewertung_manager_1_tbl (id),
    FOREIGN KEY (beendigung_1) REFERENCES beendigung_1_tbl (id),
    FOREIGN KEY (beendigung_durch) REFERENCES beendigung_durch_tbl (id),
    FOREIGN KEY (gruende_vorzeitige_beendigung) REFERENCES gruende_vorzeitige_beendigung_tbl (id),
    FOREIGN KEY (nachweis_bescheinigung) REFERENCES nachweis_bescheinigung_tbl (id)
);

-- -- --
-- -- -- END Autogenerated CREATE part of sql statements
-- -- --
-- -- --


CREATE TABLE status_tbl (
	id INTEGER PRIMARY KEY NOT NULL,
    value VARCHAR(256) NOT NULL
);

CREATE TABLE ka_status_tbl (
	id        INTEGER PRIMARY KEY NOT NULL,
	master_id INTEGER REFERENCES master_tbl(id) ON DELETE CASCADE,
	status    INTEGER DEFAULT 1 NOT NULL REFERENCES status_tbl(id),
	zugriff   timestamp,
    erstellt  timestamp,
	anonymisiert timestamp
);

INSERT INTO status_tbl (id, value) VALUES (1, 'offen');
INSERT INTO status_tbl (id, value) VALUES (2, 'geschlossen');
INSERT INTO status_tbl (id, value) VALUES (3, 'schwebend gelöscht');
INSERT INTO status_tbl (id, value) VALUES (4, 'schwebend anonymisiert');
INSERT INTO status_tbl (id, value) VALUES (5, 'anonymisiert');


CREATE TABLE tags (
    id          INTEGER PRIMARY KEY NOT NULL,
    label       VARCHAR(256) NOT NULL UNIQUE,
    description TEXT,
    systemtag   BOOLEAN DEFAULT TRUE
);


-- -- --
-- -- -- START Autogenerated CREATE part of sql statements for tag
-- -- --
-- -- --


INSERT INTO tags (id, label, description) VALUES (0, 'Alle', 'Jede Fallakte hat einen Tag');
INSERT INTO tags (id, label, description) VALUES (1, 'Grundsätzlich auswertbar', 'Eine Fallakte ist grundsätzlich auswertbar und steht für Auswertungen zur Verfügung.');
INSERT INTO tags (id, label, description) VALUES (2, 'Berichtsfähig', 'Eine Fallakte ist grundsätzlich auswertbar. Sie befindet sich darüber hinaus mindestens im laufendem CM und enthält eine Geschlechtsangabe. Die Fallakte steht für Auswertungen wie den Verwendungsnachweis zur Verfügung');
INSERT INTO tags (id, label, description) VALUES (10, 'Datumsangaben konsistent', 'Alle Datumsangaben in der Fallakte befinden sich in chronologisch korrekter Reihenfolge und liegen nicht in der Zukunft');
INSERT INTO tags (id, label, description) VALUES (11, 'Phase ist gesetzt', 'Die Phase der Fallakte ist nicht unbekannt');
INSERT INTO tags (id, label, description) VALUES (12, 'Synchronität der Phasen ist gegeben', 'Die in der Fallakte angegebenen Datumsangaben sind nicht weiter ausgefüllt, als es die aktuell gesetzte Phase. Z.b ein gesetzten Beendigungsdatum bei laufender Phase');
INSERT INTO tags (id, label, description) VALUES (13, 'Junger Mensch ist ein CM-Kunde', 'Für den jungen Menschen wurde im Phasenmodell mindestens ein laufendes Case Management dokumentiert');
INSERT INTO tags (id, label, description) VALUES (14, 'Geschlechtsangabe angegeben', 'Die Geschlechtsangabe des jungen Menschen ist angegeben und hat nicht den Wert "unbekannt"');
INSERT INTO tags (id, label, description) VALUES (15, 'Formale Angaben "Übergangsprognose" in der Fallakte sind passend zur gesetzten Phase', 'Die Regeln, die sicherstellen das die Phase des CM nur bei bestimmten Angaben in der Übergangsprognose gestartet werden kann, sind erfüllt.');
INSERT INTO tags (id, label, description) VALUES (16, 'Formale Angabe "Übernahme CM" in der Fallakte sind passend zur gesetzten Phase', 'Die Regeln, die sicherstellen das die Phase CM bzw. Beratung nur dann gestartet werden können wenn eine entsprechende Notwendigkeit zur Übernahme in das CM dokumentiert wurde, sind erfüllt.');
INSERT INTO tags (id, label, description) VALUES (17, 'Die Dauer der Phasen überschreitet nicht die maximale Länge', 'Die Regeln, die sicherstellen das die Phasen nicht die maximale Länge überschreiten, sind erfüllt.');
INSERT INTO tags (id, label, description) VALUES (101, 'CM nur startbar wenn letzte Jahr und Prognose', 'Schüler/innen dürfen nur dann ins Case Managagement aufgenommen werden, wenn sie sich im letzten Schulbesuchsjahr befinden und eine Übergangsprognose vorliegt.');
INSERT INTO tags (id, label, description) VALUES (102, 'CM nur startbar wenn letzte Jahr und Prognose', 'Schüler/innen dürfen nur dann ins Case Managagement aufgenommen werden, wenn sie sich im letzten Schulbesuchsjahr befinden und eine Übergangsprognose vorliegt.');
INSERT INTO tags (id, label, description) VALUES (103, 'CM nur startbar wenn letzte Jahr und Prognose', 'Schüler/innen dürfen nur dann ins Case Managagement aufgenommen werden, wenn sie sich im letzten Schulbesuchsjahr befinden und eine Übergangsprognose vorliegt.');
INSERT INTO tags (id, label, description) VALUES (104, 'CM nur startbar wenn letzte Jahr und Prognose', 'Schüler/innen dürfen nur dann ins Case Managagement aufgenommen werden, wenn sie sich im letzten Schulbesuchsjahr befinden und eine Übergangsprognose vorliegt.');
INSERT INTO tags (id, label, description) VALUES (105, 'Das Geburtsdatum darf nicht in der Zukunft liegen', 'Das Datum darf nicht in der Zukunft liegen');
INSERT INTO tags (id, label, description) VALUES (106, 'cm nur startbar wenn notwendigkeit besteht', 'Die Angabe steht im Widerspruch zur aktuell laufenden Phase');
INSERT INTO tags (id, label, description) VALUES (107, 'cm nur startbar wenn notwendigkeit besteht', 'Die Angabe steht im Widerspruch zur aktuell laufenden Phase');
INSERT INTO tags (id, label, description) VALUES (108, 'cm nur startbar wenn notwendigkeit besteht', 'Die Angabe steht im Widerspruch zur aktuell laufenden Phase');
INSERT INTO tags (id, label, description) VALUES (109, 'cm nur startbar wenn notwendigkeit besteht', 'Die Angabe steht im Widerspruch zur aktuell laufenden Phase');
INSERT INTO tags (id, label, description) VALUES (110, 'ber nur startbar wenn keine notwendigkeit besteht', 'Die Angabe steht im Widerspruch zur aktuell laufenden Phase');
INSERT INTO tags (id, label, description) VALUES (111, 'ber nur startbar wenn keine notwendigkeit besteht', 'Die Angabe steht im Widerspruch zur aktuell laufenden Phase');
INSERT INTO tags (id, label, description) VALUES (112, 'Rückdatierung von CM-Fällen verhindern', 'Das Datum darf nicht vor dem 1.9.2010 liegen');
INSERT INTO tags (id, label, description) VALUES (113, 'phase ea nicht länger als 36 monate', 'Die eingetragenen Datumsangaben sind offensichtlich falsch und überschreiten die maximale Dauer der Phase "Eingangsanamnese". Bitte korrigieren Sie Ihre Angaben, da die Fallakte andernfalls nicht auswertbar ist.');
INSERT INTO tags (id, label, description) VALUES (114, 'phase ber nicht länger als 60 monate', 'Die eingetragenen Datumsangaben sind offensichtlich falsch und überschreiten die maximale Dauer der Phase "Beratung". Bitte korrigieren Sie Ihre Angaben, da die Fallakte andernfalls nicht auswertbar ist.');
INSERT INTO tags (id, label, description) VALUES (115, 'Rückdatierung von CM-Fällen verhindern', 'Das Datum darf nicht vor dem 1.9.2010 liegen');
INSERT INTO tags (id, label, description) VALUES (116, 'phase cm nicht länger als 60 monate', 'Die eingetragenen Datumsangaben sind offensichtlich falsch und überschreiten die maximale Dauer der Phase "Case Management". Bitte korrigieren Sie Ihre Angaben, da die Fallakte andernfalls nicht auswertbar ist.');
INSERT INTO tags (id, label, description) VALUES (117, 'Nachbetreuung nur startbar wenn Art der Beendigung nicht Abbruch ist', 'Die Angabe steht im Widerspruch zur aktuell laufenden Phase');
INSERT INTO tags (id, label, description) VALUES (118, 'Nachbetreuung nur startbar wenn Art der Beendigung nicht Abbruch ist', 'Die Angabe steht im Widerspruch zur aktuell laufenden Phase');
INSERT INTO tags (id, label, description) VALUES (119, 'phase nb nicht länger als 36 monate', 'Die eingetragenen Datumsangaben sind offensichtlich falsch und überschreiten die maximale Dauer der Phase "Nachbetreuung". Bitte korrigieren Sie Ihre Angaben, da die Fallakte andernfalls nicht auswertbar ist.');
INSERT INTO tags (id, label, description) VALUES (1000, 'Mindestdatum nicht gegeben', 'Das Datum muss nach dem 1.1.1970 liegen');
INSERT INTO tags (id, label, description) VALUES (1005, 'Das Datum darf nicht "unbekannt" sein.', 'Das Datum darf nicht "unbekannt" sein.');
INSERT INTO tags (id, label, description) VALUES (1006, '"erstgespraech" muss vor "beendigung_nachbetreuung" liegen.', '"Datum des Erstgespräches mit dem Jugendlichen" darf zeitlich nicht nach "Datum des Ende der Nachbetreuung" liegen.');
INSERT INTO tags (id, label, description) VALUES (1007, '"erstgespraech" muss vor "datum_feststellung" liegen.', '"Datum des Erstgespräches mit dem Jugendlichen" darf zeitlich nicht nach "Datum der Entscheidung" liegen.');
INSERT INTO tags (id, label, description) VALUES (1008, '"geburtsdatum" muss vor "erstgespraech" liegen.', '"Geburtsdatum" darf zeitlich nicht nach "Datum des Erstgespräches mit dem Jugendlichen" liegen.');
INSERT INTO tags (id, label, description) VALUES (1009, '"erstgespraech" muss vor "datum_ende_beratung" liegen.', '"Datum des Erstgespräches mit dem Jugendlichen" darf zeitlich nicht nach "Datum Beratungsende" liegen.');
INSERT INTO tags (id, label, description) VALUES (1010, '"erstgespraech" muss vor "beendigung_5" liegen.', '"Datum des Erstgespräches mit dem Jugendlichen" darf zeitlich nicht nach "Beendigung CM (Datum)" liegen.');
INSERT INTO tags (id, label, description) VALUES (1011, '"erstgespraech" darf nicht in der Zukunft liegen.', '"Datum des Erstgespräches mit dem Jugendlichen" darf nicht in der Zukunft liegen.');
INSERT INTO tags (id, label, description) VALUES (1013, '"geburtsdatum" muss vor "beendigung_5" liegen.', '"Geburtsdatum" darf zeitlich nicht nach "Beendigung CM (Datum)" liegen.');
INSERT INTO tags (id, label, description) VALUES (1014, '"geburtsdatum" muss vor "datum_feststellung" liegen.', '"Geburtsdatum" darf zeitlich nicht nach "Datum der Entscheidung" liegen.');
INSERT INTO tags (id, label, description) VALUES (1015, '"geburtsdatum" muss vor "beendigung_nachbetreuung" liegen.', '"Geburtsdatum" darf zeitlich nicht nach "Datum des Ende der Nachbetreuung" liegen.');
INSERT INTO tags (id, label, description) VALUES (1016, '"geburtsdatum" muss vor "datum_ende_beratung" liegen.', '"Geburtsdatum" darf zeitlich nicht nach "Datum Beratungsende" liegen.');
INSERT INTO tags (id, label, description) VALUES (1017, '"geburtsdatum" darf nicht in der Zukunft liegen.', '"Geburtsdatum" darf nicht in der Zukunft liegen.');
INSERT INTO tags (id, label, description) VALUES (1025, 'Das Datum darf nicht "unbekannt" sein.', 'Das Datum darf nicht "unbekannt" sein.');
INSERT INTO tags (id, label, description) VALUES (1026, '"datum_feststellung" muss vor "beendigung_5" liegen.', '"Datum der Entscheidung" darf zeitlich nicht nach "Beendigung CM (Datum)" liegen.');
INSERT INTO tags (id, label, description) VALUES (1027, '"datum_feststellung" muss vor "datum_ende_beratung" liegen.', '"Datum der Entscheidung" darf zeitlich nicht nach "Datum Beratungsende" liegen.');
INSERT INTO tags (id, label, description) VALUES (1028, '"datum_feststellung" muss vor "beendigung_nachbetreuung" liegen.', '"Datum der Entscheidung" darf zeitlich nicht nach "Datum des Ende der Nachbetreuung" liegen.');
INSERT INTO tags (id, label, description) VALUES (1029, '"datum_feststellung" darf nicht in der Zukunft liegen.', '"Datum der Entscheidung" darf nicht in der Zukunft liegen.');
INSERT INTO tags (id, label, description) VALUES (1032, 'Das Datum darf nicht "unbekannt" sein.', 'Das Datum darf nicht "unbekannt" sein.');
INSERT INTO tags (id, label, description) VALUES (1033, '"datum_ende_beratung" darf nicht in der Zukunft liegen.', '"Datum Beratungsende" darf nicht in der Zukunft liegen.');
INSERT INTO tags (id, label, description) VALUES (1035, 'Das Datum darf nicht "unbekannt" sein.', 'Das Datum darf nicht "unbekannt" sein.');
INSERT INTO tags (id, label, description) VALUES (1036, '"beendigung_5" muss vor "beendigung_nachbetreuung" liegen.', '"Beendigung CM (Datum)" darf zeitlich nicht nach "Datum des Ende der Nachbetreuung" liegen.');
INSERT INTO tags (id, label, description) VALUES (1037, '"beendigung_5" darf nicht in der Zukunft liegen.', '"Beendigung CM (Datum)" darf nicht in der Zukunft liegen.');
INSERT INTO tags (id, label, description) VALUES (1042, 'Das Datum darf nicht "unbekannt" sein.', 'Das Datum darf nicht "unbekannt" sein.');
INSERT INTO tags (id, label, description) VALUES (1043, '"beendigung_nachbetreuung" darf nicht in der Zukunft liegen.', '"Datum des Ende der Nachbetreuung" darf nicht in der Zukunft liegen.');

-- -- --
-- -- -- END Autogenerated CREATE part of sql statements for tag
-- -- --
-- -- --

CREATE TABLE nm_tags_cases ( 
    id        INTEGER PRIMARY KEY NOT NULL,
    master_id INTEGER NOT NULL REFERENCES master_tbl(id) ON DELETE CASCADE,
    tag_id    INTEGER NOT NULL REFERENCES tags(id),
    created   TIMESTAMP,
    UNIQUE (master_id, tag_id)
);

CREATE TABLE ka_logbuch_typ_tbl (
    id         SERIAL NOT NULL,
    beschreibung VARCHAR(256),
    CONSTRAINT ka_logbuch_typ_tbl_pkey PRIMARY KEY (id)
);

INSERT INTO ka_logbuch_typ_tbl (id, beschreibung) VALUES (0, 'nicht aufsuchend');
INSERT INTO ka_logbuch_typ_tbl (id, beschreibung) VALUES (1, 'aufsuchend');
INSERT INTO ka_logbuch_typ_tbl (id, beschreibung) VALUES (-1, 'Keine Angabe');

CREATE TABLE ka_logbuch_art_tbl (
    id         INTEGER NOT NULL,
    beschreibung VARCHAR(256),
    CONSTRAINT ka_logbuch_art_tbl_pkey PRIMARY KEY (id)
);

INSERT INTO ka_logbuch_art_tbl (id, beschreibung) VALUES  (-2, 'Sonstige Angaben');
INSERT INTO ka_logbuch_art_tbl (id, beschreibung) VALUES  (-1, 'Keine Angabe');
INSERT INTO ka_logbuch_art_tbl (id, beschreibung) VALUES  (0, 'Automatischer Eintrag');
INSERT INTO ka_logbuch_art_tbl (id, beschreibung) VALUES  (1, 'Gespräch mit dem Jugendlichen');
INSERT INTO ka_logbuch_art_tbl (id, beschreibung) VALUES  (2, 'Korrespondenz mit dem Jugendlichen (Telefonate/Schriftverkehr)');
INSERT INTO ka_logbuch_art_tbl (id, beschreibung) VALUES  (3, 'Begleitung des Jugendlichen zu externen Stellen');
INSERT INTO ka_logbuch_art_tbl (id, beschreibung) VALUES  (4, 'Sonstige Betreuung des Jugendlichen');
INSERT INTO ka_logbuch_art_tbl (id, beschreibung) VALUES  (5, 'Schriftverkehr');
INSERT INTO ka_logbuch_art_tbl (id, beschreibung) VALUES  (6, 'Gespräch/Telefonat mit Kooperationspartnern');
INSERT INTO ka_logbuch_art_tbl (id, beschreibung) VALUES  (7, 'Gespräch/Telefonat mit Dritten');
INSERT INTO ka_logbuch_art_tbl (id, beschreibung) VALUES  (8, 'Förder- und Fallkonferenz');
INSERT INTO ka_logbuch_art_tbl (id, beschreibung) VALUES  (10, 'Kompetenzfeststellung');
INSERT INTO ka_logbuch_art_tbl (id, beschreibung) VALUES  (11, 'Gespräch mit Eltern/ Personensorgeberechtigten');
INSERT INTO ka_logbuch_art_tbl (id, beschreibung) VALUES  (12, 'Korrespondenz mit Eltern/ Personensorgeberechtigten (Telefonate/Schriftverkehr)');
INSERT INTO ka_logbuch_art_tbl (id, beschreibung) VALUES  (13, 'Sonstige Maßnahmen der Elternarbeit');
INSERT INTO ka_logbuch_art_tbl (id, beschreibung) VALUES  (14, 'Fahrtwege');
INSERT INTO ka_logbuch_art_tbl (id, beschreibung) VALUES  (15, 'Dokumentation WASKA');
INSERT INTO ka_logbuch_art_tbl (id, beschreibung) VALUES  (16, 'Teambesprechung');

CREATE TABLE ka_logbuch_tbl (
    id         INTEGER NOT NULL,
    master_id  int4 REFERENCES master_tbl(id)         ON DELETE CASCADE,
    datum      TIMESTAMP,
    bearbeiter VARCHAR(256),
    art        int4 REFERENCES ka_logbuch_art_tbl(id) ON DELETE SET DEFAULT,
    typ        int4 REFERENCES ka_logbuch_typ_tbl(id) ON DELETE SET DEFAULT,
    kurz_notiz VARCHAR(256),
    notiz      text,
    dauer      interval,
    CONSTRAINT ka_logbuch_tbl_pkey PRIMARY KEY (id)
);

-- -- --
-- -- -- START Autogenerated INSERT part of sql statements
-- -- -- 
-- -- --
INSERT INTO verbleib_nachbetreuung_tbl (id, value) VALUES (-3, 'Unbekannt');
INSERT INTO verbleib_nachbetreuung_tbl (id, value) VALUES (-2, 'Sonstiges');
INSERT INTO verbleib_nachbetreuung_tbl (id, value) VALUES (-1, 'Keine Angabe');
INSERT INTO verbleib_nachbetreuung_tbl (id, value) VALUES (0, 'allgemeinbildende Schule');
INSERT INTO verbleib_nachbetreuung_tbl (id, value) VALUES (1, 'Ausbildung (betrieblich, schulisch, gefördert, Verbundausbildung)');
INSERT INTO verbleib_nachbetreuung_tbl (id, value) VALUES (2, 'Erwerbsarbeit');
INSERT INTO verbleib_nachbetreuung_tbl (id, value) VALUES (3, 'Lehrgänge/Maßnahmen (z.B. BvB, BVJ, BGJ, EQJ)');
INSERT INTO verbleib_nachbetreuung_tbl (id, value) VALUES (4, 'Umschulung');
INSERT INTO verbleib_nachbetreuung_tbl (id, value) VALUES (5, 'Arbeitslosigkeit (gemeldet)');
INSERT INTO verbleib_nachbetreuung_tbl (id, value) VALUES (6, 'Hausarbeit/Familienarbeit/Kindererziehung');
INSERT INTO verbleib_nachbetreuung_tbl (id, value) VALUES (7, 'Wehr-/Zivildienst');
INSERT INTO verbleib_nachbetreuung_tbl (id, value) VALUES (8, 'Freiwilliges Soziales Jahr und Ähnliches');
INSERT INTO verbleib_nachbetreuung_tbl (id, value) VALUES (9, 'Strafvollzug');
INSERT INTO verbleib_nachbetreuung_tbl (id, value) VALUES (10, 'Verlassen der BRD');
INSERT INTO verbleib_nachbetreuung_tbl (id, value) VALUES (14, 'Reintegration nicht erfolgreich');
INSERT INTO verbleib_nachbetreuung_tbl (id, value) VALUES (15, 'andere  Schule (z.B. Berufsfachschule)');

INSERT INTO erreichte_qualifikation_tbl (id, value) VALUES (-3, 'Unbekannt');
INSERT INTO erreichte_qualifikation_tbl (id, value) VALUES (-1, 'Keine Angabe');
INSERT INTO erreichte_qualifikation_tbl (id, value) VALUES (0, 'trifft vollkommen zu');
INSERT INTO erreichte_qualifikation_tbl (id, value) VALUES (1, 'trifft eher zu');
INSERT INTO erreichte_qualifikation_tbl (id, value) VALUES (2, 'trifft eher nicht zu');
INSERT INTO erreichte_qualifikation_tbl (id, value) VALUES (3, 'trifft nicht zu');

INSERT INTO einschaetzung_zielerreichung_tbl (id, value) VALUES (-3, 'Unbekannt');
INSERT INTO einschaetzung_zielerreichung_tbl (id, value) VALUES (-1, 'Keine Angabe');
INSERT INTO einschaetzung_zielerreichung_tbl (id, value) VALUES (0, 'voll erreicht');
INSERT INTO einschaetzung_zielerreichung_tbl (id, value) VALUES (1, 'eher erreicht');
INSERT INTO einschaetzung_zielerreichung_tbl (id, value) VALUES (2, 'eher nicht erreicht');
INSERT INTO einschaetzung_zielerreichung_tbl (id, value) VALUES (3, 'überhaupt nicht erreicht');

INSERT INTO umgangmitproblemen_tbl (id, value) VALUES (-3, 'Unbekannt');
INSERT INTO umgangmitproblemen_tbl (id, value) VALUES (-1, 'Keine Angabe');
INSERT INTO umgangmitproblemen_tbl (id, value) VALUES (0, 'aktiver Umgang');
INSERT INTO umgangmitproblemen_tbl (id, value) VALUES (1, 'eher aktiver Umgang');
INSERT INTO umgangmitproblemen_tbl (id, value) VALUES (2, 'wenig aktiver Umgang');
INSERT INTO umgangmitproblemen_tbl (id, value) VALUES (3, 'kein aktiver Umgang');

INSERT INTO entwurflebensplaene_tbl (id, value) VALUES (-3, 'Unbekannt');
INSERT INTO entwurflebensplaene_tbl (id, value) VALUES (-1, 'Keine Angabe');
INSERT INTO entwurflebensplaene_tbl (id, value) VALUES (0, 'ausgeprägte, konkrete und realistische Pläne');
INSERT INTO entwurflebensplaene_tbl (id, value) VALUES (1, 'eigenständige und/oder allgemeine Pläne');
INSERT INTO entwurflebensplaene_tbl (id, value) VALUES (2, 'eher vage und/oder unrealistische Pläne');
INSERT INTO entwurflebensplaene_tbl (id, value) VALUES (3, 'wenig bzw. kein Eigenantrieb zur selbständigen Planung');

INSERT INTO eigenstaendigeamtsgaenge_tbl (id, value) VALUES (-3, 'Unbekannt');
INSERT INTO eigenstaendigeamtsgaenge_tbl (id, value) VALUES (-1, 'Keine Angabe');
INSERT INTO eigenstaendigeamtsgaenge_tbl (id, value) VALUES (0, 'sehr eigenständig');
INSERT INTO eigenstaendigeamtsgaenge_tbl (id, value) VALUES (1, 'eher eigenständig');
INSERT INTO eigenstaendigeamtsgaenge_tbl (id, value) VALUES (2, 'eher gehemmt');
INSERT INTO eigenstaendigeamtsgaenge_tbl (id, value) VALUES (3, 'sehr gehemmt');

INSERT INTO einhaltungtermine_tbl (id, value) VALUES (-3, 'Unbekannt');
INSERT INTO einhaltungtermine_tbl (id, value) VALUES (-1, 'Keine Angabe');
INSERT INTO einhaltungtermine_tbl (id, value) VALUES (0, 'sehr zuverlässig');
INSERT INTO einhaltungtermine_tbl (id, value) VALUES (1, 'eher zuverlässig');
INSERT INTO einhaltungtermine_tbl (id, value) VALUES (2, 'eher unzuverlässig');
INSERT INTO einhaltungtermine_tbl (id, value) VALUES (3, 'unzuverlässig');

INSERT INTO peergroup_tbl (id, value) VALUES (-3, 'Unbekannt');
INSERT INTO peergroup_tbl (id, value) VALUES (-1, 'Keine Angabe');
INSERT INTO peergroup_tbl (id, value) VALUES (0, 'sehr stabil');
INSERT INTO peergroup_tbl (id, value) VALUES (1, 'stabil');
INSERT INTO peergroup_tbl (id, value) VALUES (2, 'weniger stabil');
INSERT INTO peergroup_tbl (id, value) VALUES (3, 'nicht vorhanden');

INSERT INTO haeufigkeit_tbl (id, value) VALUES (-3, 'Unbekannt');
INSERT INTO haeufigkeit_tbl (id, value) VALUES (-1, 'Keine Angabe');
INSERT INTO haeufigkeit_tbl (id, value) VALUES (0, 'sehr häufig');
INSERT INTO haeufigkeit_tbl (id, value) VALUES (1, 'häufig');
INSERT INTO haeufigkeit_tbl (id, value) VALUES (2, 'selten');
INSERT INTO haeufigkeit_tbl (id, value) VALUES (3, 'nie');

INSERT INTO intensitaet_mitgliedschaft_tbl (id, value) VALUES (-3, 'Unbekannt');
INSERT INTO intensitaet_mitgliedschaft_tbl (id, value) VALUES (-1, 'Keine Angabe');
INSERT INTO intensitaet_mitgliedschaft_tbl (id, value) VALUES (0, 'sehr aktiv');
INSERT INTO intensitaet_mitgliedschaft_tbl (id, value) VALUES (1, 'aktiv');
INSERT INTO intensitaet_mitgliedschaft_tbl (id, value) VALUES (2, 'passiv');

INSERT INTO massnahmeabschluss_tbl (id, value) VALUES (-3, 'Unbekannt');
INSERT INTO massnahmeabschluss_tbl (id, value) VALUES (-2, 'Sonstiges');
INSERT INTO massnahmeabschluss_tbl (id, value) VALUES (-1, 'Keine Angabe');
INSERT INTO massnahmeabschluss_tbl (id, value) VALUES (0, 'BGJ (Berufsgrundschuljahr)');
INSERT INTO massnahmeabschluss_tbl (id, value) VALUES (1, 'BVJ (Berufsvorbereitungsjahr)');
INSERT INTO massnahmeabschluss_tbl (id, value) VALUES (2, 'Berufsfachschule ohne Abschluss');
INSERT INTO massnahmeabschluss_tbl (id, value) VALUES (3, 'Grundausbildungslehrgang G');
INSERT INTO massnahmeabschluss_tbl (id, value) VALUES (4, 'Testen Informieren Probieren Tip');
INSERT INTO massnahmeabschluss_tbl (id, value) VALUES (5, 'Förderlehrgang F');
INSERT INTO massnahmeabschluss_tbl (id, value) VALUES (6, 'Jugend ABM');
INSERT INTO massnahmeabschluss_tbl (id, value) VALUES (7, 'Arbeiten und Lernen');
INSERT INTO massnahmeabschluss_tbl (id, value) VALUES (8, 'Arbeit statt Sozialhilfe');
INSERT INTO massnahmeabschluss_tbl (id, value) VALUES (9, 'Sonderprogramme (JUMP, FSTJ, BQF)');
INSERT INTO massnahmeabschluss_tbl (id, value) VALUES (10, 'EQJ');

INSERT INTO allgemein_bildender_schulabschluss_tbl (id, value) VALUES (-3, 'Unbekannt');
INSERT INTO allgemein_bildender_schulabschluss_tbl (id, value) VALUES (-2, 'Sonstiges');
INSERT INTO allgemein_bildender_schulabschluss_tbl (id, value) VALUES (-1, 'Keine Angabe');
INSERT INTO allgemein_bildender_schulabschluss_tbl (id, value) VALUES (0, 'kein Abschluss');
INSERT INTO allgemein_bildender_schulabschluss_tbl (id, value) VALUES (1, 'Abschluss Sonderschule');
INSERT INTO allgemein_bildender_schulabschluss_tbl (id, value) VALUES (2, 'Hauptschulabschluss (HSA)');
INSERT INTO allgemein_bildender_schulabschluss_tbl (id, value) VALUES (3, 'erweiterter/qualifizierter HSA');
INSERT INTO allgemein_bildender_schulabschluss_tbl (id, value) VALUES (4, 'Realschulabschluss/Mittlere Reife');
INSERT INTO allgemein_bildender_schulabschluss_tbl (id, value) VALUES (5, 'Fachhochschulreife');
INSERT INTO allgemein_bildender_schulabschluss_tbl (id, value) VALUES (6, 'Abitur');
INSERT INTO allgemein_bildender_schulabschluss_tbl (id, value) VALUES (7, 'anderer Schulabschluss');

INSERT INTO veraenderungen_rechtskreis_tbl (id, value) VALUES (-3, 'Unbekannt');
INSERT INTO veraenderungen_rechtskreis_tbl (id, value) VALUES (-1, 'Keine Angabe');
INSERT INTO veraenderungen_rechtskreis_tbl (id, value) VALUES (0, 'SGB II');
INSERT INTO veraenderungen_rechtskreis_tbl (id, value) VALUES (1, 'SGB III');
INSERT INTO veraenderungen_rechtskreis_tbl (id, value) VALUES (2, 'SGB VIII');
INSERT INTO veraenderungen_rechtskreis_tbl (id, value) VALUES (3, 'SGB XII');
INSERT INTO veraenderungen_rechtskreis_tbl (id, value) VALUES (4, 'SGB IX');
INSERT INTO veraenderungen_rechtskreis_tbl (id, value) VALUES (5, 'ungeklärt');
INSERT INTO veraenderungen_rechtskreis_tbl (id, value) VALUES (6, 'Asylbewerberleistungsgesetz');
INSERT INTO veraenderungen_rechtskreis_tbl (id, value) VALUES (7, 'Bundesausbildungsförderungsgesetz');
INSERT INTO veraenderungen_rechtskreis_tbl (id, value) VALUES (8, 'kein Rechtskreis im Sinne des Leistungsbezugs');

INSERT INTO bei_austritt_ist_der_jugendliche_tbl (id, value) VALUES (-3, 'Unbekannt');
INSERT INTO bei_austritt_ist_der_jugendliche_tbl (id, value) VALUES (-2, 'sonstiges');
INSERT INTO bei_austritt_ist_der_jugendliche_tbl (id, value) VALUES (-1, 'Keine Angabe');
INSERT INTO bei_austritt_ist_der_jugendliche_tbl (id, value) VALUES (1, 'in Ausbildung ohne genauere Angabe');
INSERT INTO bei_austritt_ist_der_jugendliche_tbl (id, value) VALUES (2, 'in Arbeit ohne Angabe zum Beschäftigungsumfang');
INSERT INTO bei_austritt_ist_der_jugendliche_tbl (id, value) VALUES (3, 'arbeitslos (gemeldet)');
INSERT INTO bei_austritt_ist_der_jugendliche_tbl (id, value) VALUES (4, 'Erziehungszeit');
INSERT INTO bei_austritt_ist_der_jugendliche_tbl (id, value) VALUES (5, 'sonstige Maßnahme (z.B. EQJ)');
INSERT INTO bei_austritt_ist_der_jugendliche_tbl (id, value) VALUES (6, 'Selbstständig / freiberuflich');
INSERT INTO bei_austritt_ist_der_jugendliche_tbl (id, value) VALUES (7, 'andere Schule (z.B. Berufsfachschule)');
INSERT INTO bei_austritt_ist_der_jugendliche_tbl (id, value) VALUES (8, 'schulische Berufsausbildung');
INSERT INTO bei_austritt_ist_der_jugendliche_tbl (id, value) VALUES (9, 'geförderte Berufsausbildung (BaE)');
INSERT INTO bei_austritt_ist_der_jugendliche_tbl (id, value) VALUES (10, 'berufsvorbereitende Bildungsnaßnahmen: z.B. BvB (Bund), BVJ/BGJ (Länder)');
INSERT INTO bei_austritt_ist_der_jugendliche_tbl (id, value) VALUES (11, 'kein Status (z.B. Ausbildungsplatz suchend, nicht arbeitslos gemeldet)');
INSERT INTO bei_austritt_ist_der_jugendliche_tbl (id, value) VALUES (12, 'Vollzeit beschäftigt');
INSERT INTO bei_austritt_ist_der_jugendliche_tbl (id, value) VALUES (13, 'Teilzeit beschäftigt');
INSERT INTO bei_austritt_ist_der_jugendliche_tbl (id, value) VALUES (14, 'Geringfügig beschäftigt');
INSERT INTO bei_austritt_ist_der_jugendliche_tbl (id, value) VALUES (15, 'allgemeinbildende Schule');
INSERT INTO bei_austritt_ist_der_jugendliche_tbl (id, value) VALUES (16, 'duale Berufsausbildung (auch Verbundausbildung)');

INSERT INTO gruende_vorz_beendigung_tbl (id, value) VALUES (-3, 'Unbekannt');
INSERT INTO gruende_vorz_beendigung_tbl (id, value) VALUES (-2, 'Sonstiges');
INSERT INTO gruende_vorz_beendigung_tbl (id, value) VALUES (-1, 'Keine Angabe');
INSERT INTO gruende_vorz_beendigung_tbl (id, value) VALUES (0, 'Schwangerschaft');
INSERT INTO gruende_vorz_beendigung_tbl (id, value) VALUES (1, 'Umzug');
INSERT INTO gruende_vorz_beendigung_tbl (id, value) VALUES (2, 'Krankheit');
INSERT INTO gruende_vorz_beendigung_tbl (id, value) VALUES (3, 'Altersüberschreitung');
INSERT INTO gruende_vorz_beendigung_tbl (id, value) VALUES (4, 'Haft/U-Haft');

INSERT INTO vorz_beendigung_durch_tbl (id, value) VALUES (-3, 'Unbekannt');
INSERT INTO vorz_beendigung_durch_tbl (id, value) VALUES (-2, 'Sonstiges');
INSERT INTO vorz_beendigung_durch_tbl (id, value) VALUES (-1, 'Keine Angabe');
INSERT INTO vorz_beendigung_durch_tbl (id, value) VALUES (0, 'Jugendliche');
INSERT INTO vorz_beendigung_durch_tbl (id, value) VALUES (2, 'Sorgeberechtigte');
INSERT INTO vorz_beendigung_durch_tbl (id, value) VALUES (3, 'beidseitiges Einverständnis');

INSERT INTO gruende_abbruch_tbl (id, value) VALUES (-3, 'Unbekannt');
INSERT INTO gruende_abbruch_tbl (id, value) VALUES (-2, 'Sonstiges');
INSERT INTO gruende_abbruch_tbl (id, value) VALUES (-1, 'Keine Angabe');
INSERT INTO gruende_abbruch_tbl (id, value) VALUES (0, 'Kontaktabbruch');
INSERT INTO gruende_abbruch_tbl (id, value) VALUES (1, 'mangelnde Mitarbeit des Jugendlichen');
INSERT INTO gruende_abbruch_tbl (id, value) VALUES (2, 'Konflikte');

INSERT INTO abbruch_durch_tbl (id, value) VALUES (-3, 'Unbekannt');
INSERT INTO abbruch_durch_tbl (id, value) VALUES (-2, 'Sonstiges');
INSERT INTO abbruch_durch_tbl (id, value) VALUES (-1, 'Keine Angabe');
INSERT INTO abbruch_durch_tbl (id, value) VALUES (0, 'Jugendliche');
INSERT INTO abbruch_durch_tbl (id, value) VALUES (1, 'Kompetenzagentur');
INSERT INTO abbruch_durch_tbl (id, value) VALUES (3, 'beidseitiges Einverständnis');

INSERT INTO art_beendigung_tbl (id, value) VALUES (-3, 'Unbekannt');
INSERT INTO art_beendigung_tbl (id, value) VALUES (-1, 'Keine Angabe');
INSERT INTO art_beendigung_tbl (id, value) VALUES (0, 'reguläre Beendigung');
INSERT INTO art_beendigung_tbl (id, value) VALUES (1, 'Abbruch');
INSERT INTO art_beendigung_tbl (id, value) VALUES (2, 'vorzeitige Beendigung');

INSERT INTO nachweis_bescheinigung_tbl (id, value) VALUES (-3, 'Unbekannt');
INSERT INTO nachweis_bescheinigung_tbl (id, value) VALUES (-2, 'Sonstiges');
INSERT INTO nachweis_bescheinigung_tbl (id, value) VALUES (-1, 'Keine Angabe');
INSERT INTO nachweis_bescheinigung_tbl (id, value) VALUES (0, 'Schulzeugnis');
INSERT INTO nachweis_bescheinigung_tbl (id, value) VALUES (1, 'Zertifikat (bewertete Leistung)');
INSERT INTO nachweis_bescheinigung_tbl (id, value) VALUES (2, 'Teilnahmebescheinigung');
INSERT INTO nachweis_bescheinigung_tbl (id, value) VALUES (3, 'keine Bescheinigung');

INSERT INTO gruende_vorzeitige_beendigung_tbl (id, value) VALUES (-3, 'Unbekannt');
INSERT INTO gruende_vorzeitige_beendigung_tbl (id, value) VALUES (-2, 'Sonstiges');
INSERT INTO gruende_vorzeitige_beendigung_tbl (id, value) VALUES (-1, 'Keine Angabe');
INSERT INTO gruende_vorzeitige_beendigung_tbl (id, value) VALUES (0, 'Zieländerung, Wechsel in anderes Angebot');
INSERT INTO gruende_vorzeitige_beendigung_tbl (id, value) VALUES (1, 'Ziel vorzeitig erreicht');
INSERT INTO gruende_vorzeitige_beendigung_tbl (id, value) VALUES (2, 'Wohnortwechsel');
INSERT INTO gruende_vorzeitige_beendigung_tbl (id, value) VALUES (3, 'Krankheit');
INSERT INTO gruende_vorzeitige_beendigung_tbl (id, value) VALUES (4, 'Konflikte');
INSERT INTO gruende_vorzeitige_beendigung_tbl (id, value) VALUES (5, 'Haft/U-Haft');
INSERT INTO gruende_vorzeitige_beendigung_tbl (id, value) VALUES (6, 'Fehlzeiten');

INSERT INTO beendigung_durch_tbl (id, value) VALUES (-3, 'Unbekannt');
INSERT INTO beendigung_durch_tbl (id, value) VALUES (-2, 'Sonstiges');
INSERT INTO beendigung_durch_tbl (id, value) VALUES (-1, 'Keine Angabe');
INSERT INTO beendigung_durch_tbl (id, value) VALUES (0, 'Jugendliche');
INSERT INTO beendigung_durch_tbl (id, value) VALUES (1, 'Bildungsträger/Schule');
INSERT INTO beendigung_durch_tbl (id, value) VALUES (2, 'Förderstelle/Finanzier');
INSERT INTO beendigung_durch_tbl (id, value) VALUES (3, 'Kompetenzagentur');
INSERT INTO beendigung_durch_tbl (id, value) VALUES (4, 'Sorgeberechtigte/r');

INSERT INTO beendigung_1_tbl (id, value) VALUES (-3, 'Unbekannt');
INSERT INTO beendigung_1_tbl (id, value) VALUES (-1, 'Keine Angabe');
INSERT INTO beendigung_1_tbl (id, value) VALUES (0, 'regulär');
INSERT INTO beendigung_1_tbl (id, value) VALUES (1, 'vorzeitig');

INSERT INTO bewertung_manager_1_tbl (id, value) VALUES (-3, 'Unbekannt');
INSERT INTO bewertung_manager_1_tbl (id, value) VALUES (-1, 'Keine Angabe');
INSERT INTO bewertung_manager_1_tbl (id, value) VALUES (0, 'nicht erreicht');
INSERT INTO bewertung_manager_1_tbl (id, value) VALUES (1, 'erreicht');

INSERT INTO art_der_unterstuetzung_2_tbl (id, value) VALUES (-3, 'Unbekannt');
INSERT INTO art_der_unterstuetzung_2_tbl (id, value) VALUES (-2, 'Sonstiges');
INSERT INTO art_der_unterstuetzung_2_tbl (id, value) VALUES (-1, 'Keine Angabe');
INSERT INTO art_der_unterstuetzung_2_tbl (id, value) VALUES (0, 'Training sozialer Kompetenzen');
INSERT INTO art_der_unterstuetzung_2_tbl (id, value) VALUES (1, 'Therapie/Selbsthilfegruppe');
INSERT INTO art_der_unterstuetzung_2_tbl (id, value) VALUES (2, 'Beratung (z.B. Drogen, Schulden)');
INSERT INTO art_der_unterstuetzung_2_tbl (id, value) VALUES (3, 'Freizeit/Kultur/Sport');
INSERT INTO art_der_unterstuetzung_2_tbl (id, value) VALUES (4, 'Hilfen zur Erziehung');

INSERT INTO angebote_im_bereich_tbl (id, value) VALUES (-3, 'Unbekannt');
INSERT INTO angebote_im_bereich_tbl (id, value) VALUES (-2, 'Sonstiges');
INSERT INTO angebote_im_bereich_tbl (id, value) VALUES (-1, 'Keine Angabe');
INSERT INTO angebote_im_bereich_tbl (id, value) VALUES (0, 'EDV/Medien');
INSERT INTO angebote_im_bereich_tbl (id, value) VALUES (1, 'Maschinenbedienung/Handwerk');
INSERT INTO angebote_im_bereich_tbl (id, value) VALUES (2, 'Erziehung/Betreuung/Pflege/Gesundheit');
INSERT INTO angebote_im_bereich_tbl (id, value) VALUES (3, 'Ökologie/Umwelt');
INSERT INTO angebote_im_bereich_tbl (id, value) VALUES (4, 'Dienstleistung/Service');
INSERT INTO angebote_im_bereich_tbl (id, value) VALUES (5, 'Sport/Kultur');
INSERT INTO angebote_im_bereich_tbl (id, value) VALUES (6, 'Arbeitsgelegenheiten/1-Euro-Job (Hartz IV)');

INSERT INTO art_der_unterstuetzung_1_tbl (id, value) VALUES (-3, 'Unbekannt');
INSERT INTO art_der_unterstuetzung_1_tbl (id, value) VALUES (-2, 'Sonstiges');
INSERT INTO art_der_unterstuetzung_1_tbl (id, value) VALUES (-1, 'Keine Angabe');
INSERT INTO art_der_unterstuetzung_1_tbl (id, value) VALUES (0, 'Schnupperlehre/Praktikum im Betrieb');
INSERT INTO art_der_unterstuetzung_1_tbl (id, value) VALUES (1, 'Trainings-/Fördermaßnahme');
INSERT INTO art_der_unterstuetzung_1_tbl (id, value) VALUES (2, 'BGJ (Berufsgrundschuljahr)');
INSERT INTO art_der_unterstuetzung_1_tbl (id, value) VALUES (3, 'BVJ (Berufsvorbereitungsjahr)');
INSERT INTO art_der_unterstuetzung_1_tbl (id, value) VALUES (4, 'BvB');
INSERT INTO art_der_unterstuetzung_1_tbl (id, value) VALUES (5, 'Einstiegsqualifizierung (Hartz IV)');
INSERT INTO art_der_unterstuetzung_1_tbl (id, value) VALUES (6, 'Qualifizierungsbaustein');

INSERT INTO angebotsform_tbl (id, value) VALUES (-3, 'Unbekannt');
INSERT INTO angebotsform_tbl (id, value) VALUES (-2, 'Sonstiges');
INSERT INTO angebotsform_tbl (id, value) VALUES (-1, 'Keine Angabe');
INSERT INTO angebotsform_tbl (id, value) VALUES (0, 'schulisch');
INSERT INTO angebotsform_tbl (id, value) VALUES (1, 'maßnahmeförmig');
INSERT INTO angebotsform_tbl (id, value) VALUES (2, 'betrieblich-erster Arbeitsmarkt');
INSERT INTO angebotsform_tbl (id, value) VALUES (3, 'betrieblich-zweiter Arbeitsmarkt');
INSERT INTO angebotsform_tbl (id, value) VALUES (4, 'sozialpädagogisch unterstützend');
INSERT INTO angebotsform_tbl (id, value) VALUES (5, 'therapeutisch beratend');

INSERT INTO art_angebot_tbl (id, value) VALUES (-3, 'Unbekannt');
INSERT INTO art_angebot_tbl (id, value) VALUES (-2, 'Sonstiges');
INSERT INTO art_angebot_tbl (id, value) VALUES (-1, 'Keine Angabe');
INSERT INTO art_angebot_tbl (id, value) VALUES (1, 'Unterstützungsangebote im allgemeinbildenden Bereich');
INSERT INTO art_angebot_tbl (id, value) VALUES (2, 'Unterstützungsangebote im Bereich der Berufsvorbereitung');
INSERT INTO art_angebot_tbl (id, value) VALUES (3, 'Unterstützungsangebot im Bereich der beruflichen Qualifizierung');
INSERT INTO art_angebot_tbl (id, value) VALUES (4, 'Unterstützungsangebote im Bereich der Lebensbewältigung');

INSERT INTO beherrschung_sprache1_tbl (id, value) VALUES (-3, 'Unbekannt');
INSERT INTO beherrschung_sprache1_tbl (id, value) VALUES (-1, 'Keine Angabe');
INSERT INTO beherrschung_sprache1_tbl (id, value) VALUES (0, 'sehr gut');
INSERT INTO beherrschung_sprache1_tbl (id, value) VALUES (1, 'gut');
INSERT INTO beherrschung_sprache1_tbl (id, value) VALUES (2, 'mittelmäßig');
INSERT INTO beherrschung_sprache1_tbl (id, value) VALUES (3, 'nur Grundkenntnisse');

INSERT INTO rechenfaehigkeit_tbl (id, value) VALUES (-3, 'Unbekannt');
INSERT INTO rechenfaehigkeit_tbl (id, value) VALUES (-1, 'Keine Angabe');
INSERT INTO rechenfaehigkeit_tbl (id, value) VALUES (0, 'stark ausgeprägt');
INSERT INTO rechenfaehigkeit_tbl (id, value) VALUES (1, 'ausgeprägt');
INSERT INTO rechenfaehigkeit_tbl (id, value) VALUES (2, 'schwach ausgeprägt');
INSERT INTO rechenfaehigkeit_tbl (id, value) VALUES (3, 'sehr schwach ausgeprägt');

INSERT INTO dauer_des_verfahrens_tbl (id, value) VALUES (-3, 'Unbekannt');
INSERT INTO dauer_des_verfahrens_tbl (id, value) VALUES (-1, 'Keine Angabe');
INSERT INTO dauer_des_verfahrens_tbl (id, value) VALUES (0, '1 Tag');
INSERT INTO dauer_des_verfahrens_tbl (id, value) VALUES (1, '2 bis 3 Tage');
INSERT INTO dauer_des_verfahrens_tbl (id, value) VALUES (2, '4 Tage und länger');

INSERT INTO verfahren_kompetenzfeststellung_tbl (id, value) VALUES (-3, 'Unbekannt');
INSERT INTO verfahren_kompetenzfeststellung_tbl (id, value) VALUES (-1, 'keine Angaben');
INSERT INTO verfahren_kompetenzfeststellung_tbl (id, value) VALUES (0, 'interne Verfahrensentwicklung und -durchführung');
INSERT INTO verfahren_kompetenzfeststellung_tbl (id, value) VALUES (1, 'interne Durchführung eines extern entwickelten Verfahrens');
INSERT INTO verfahren_kompetenzfeststellung_tbl (id, value) VALUES (2, 'externe Verfahrensentwicklung und -durchführung');

INSERT INTO begleitung_tbl (id, value) VALUES (-3, 'Unbekannt');
INSERT INTO begleitung_tbl (id, value) VALUES (-2, 'sonstiges');
INSERT INTO begleitung_tbl (id, value) VALUES (-1, 'Keine Angabe');
INSERT INTO begleitung_tbl (id, value) VALUES (0, 'in der Lage ist, selbständig zu handeln');
INSERT INTO begleitung_tbl (id, value) VALUES (1, 'in eine Maßnahme vermittelt wurde');
INSERT INTO begleitung_tbl (id, value) VALUES (2, 'in eine Ausbildung vermittelt wurde');
INSERT INTO begleitung_tbl (id, value) VALUES (3, 'in die Arbeit vermittelt wurde');

INSERT INTO teilnahme_evaluation_tbl (id, value) VALUES (-1, 'Einverständnis wurde nicht erfragt');
INSERT INTO teilnahme_evaluation_tbl (id, value) VALUES (1, 'ist bereit, an der Befragung teilzunehmen, stimmt aber nicht zu, dass Angaben der Fallakten personenbezogen mit ausgewertet werden');
INSERT INTO teilnahme_evaluation_tbl (id, value) VALUES (2, 'ist bereit an der Befragung teilzunehmen und Angaben der Fallakten können von der Evaluation personenbezogen mit ausgewertet werden (Einverständniserklärung liegt schriftlich vor)');
INSERT INTO teilnahme_evaluation_tbl (id, value) VALUES (3, 'möchte nicht an der Evaluation teilnehmen');
INSERT INTO teilnahme_evaluation_tbl (id, value) VALUES (4, 'hat keine Angabe gegeben');
INSERT INTO teilnahme_evaluation_tbl (id, value) VALUES (5, 'hat sein Einverständnis widerrufen');

INSERT INTO zielsetzung_tbl (id, value) VALUES (-3, 'Unbekannt');
INSERT INTO zielsetzung_tbl (id, value) VALUES (-1, 'Keine Angabe');
INSERT INTO zielsetzung_tbl (id, value) VALUES (0, 'Ermittlung von schulischen Kompetenzen');
INSERT INTO zielsetzung_tbl (id, value) VALUES (1, 'Ermittlung von ausbildungsbezogenen Kompetenzen');
INSERT INTO zielsetzung_tbl (id, value) VALUES (2, 'Ermittlung von arbeitsweltbezogenen Kompetenzen');
INSERT INTO zielsetzung_tbl (id, value) VALUES (3, 'Hilfe bei der Berufswahl/Berufsorientierung');
INSERT INTO zielsetzung_tbl (id, value) VALUES (4, 'Ermittlung von Sozial- und Selbstkompetenzen');

INSERT INTO rg_benachteiligung_merkmal_j_tbl (id, value) VALUES (-3, 'Unbekannt');
INSERT INTO rg_benachteiligung_merkmal_j_tbl (id, value) VALUES (-2, 'Sonstiges');
INSERT INTO rg_benachteiligung_merkmal_j_tbl (id, value) VALUES (-1, 'Keine Angabe');
INSERT INTO rg_benachteiligung_merkmal_j_tbl (id, value) VALUES (0, 'Vorstrafen');
INSERT INTO rg_benachteiligung_merkmal_j_tbl (id, value) VALUES (1, 'Bewährungsauflagen');
INSERT INTO rg_benachteiligung_merkmal_j_tbl (id, value) VALUES (2, 'Gerichtsverfahren');
INSERT INTO rg_benachteiligung_merkmal_j_tbl (id, value) VALUES (3, 'Delinquenz');

INSERT INTO rg_benachteiligung_merkmal_i_tbl (id, value) VALUES (-3, 'Unbekannt');
INSERT INTO rg_benachteiligung_merkmal_i_tbl (id, value) VALUES (-2, 'Sonstiges');
INSERT INTO rg_benachteiligung_merkmal_i_tbl (id, value) VALUES (-1, 'Keine Angabe');
INSERT INTO rg_benachteiligung_merkmal_i_tbl (id, value) VALUES (0, 'aggressives Verhalten');
INSERT INTO rg_benachteiligung_merkmal_i_tbl (id, value) VALUES (1, 'autoaggressives Verhalten');
INSERT INTO rg_benachteiligung_merkmal_i_tbl (id, value) VALUES (2, 'Gewalterfahrung');
INSERT INTO rg_benachteiligung_merkmal_i_tbl (id, value) VALUES (3, 'Mangelnde Konfliktfähigkeit');
INSERT INTO rg_benachteiligung_merkmal_i_tbl (id, value) VALUES (4, 'Mangelnde Motivation');
INSERT INTO rg_benachteiligung_merkmal_i_tbl (id, value) VALUES (5, 'Kontaktstörung');
INSERT INTO rg_benachteiligung_merkmal_i_tbl (id, value) VALUES (6, 'Mangelndes Durchhaltevermögen');
INSERT INTO rg_benachteiligung_merkmal_i_tbl (id, value) VALUES (7, 'Mangelndes Selbstbewusstsein');
INSERT INTO rg_benachteiligung_merkmal_i_tbl (id, value) VALUES (8, 'Distanzlosigkeit');
INSERT INTO rg_benachteiligung_merkmal_i_tbl (id, value) VALUES (9, 'Bindungsstörung');
INSERT INTO rg_benachteiligung_merkmal_i_tbl (id, value) VALUES (10, 'Flucht-/Vermeidungsverhalten');
INSERT INTO rg_benachteiligung_merkmal_i_tbl (id, value) VALUES (11, 'Negatives Selbstkonzept');

INSERT INTO rg_benachteiligung_merkmal_h_tbl (id, value) VALUES (-3, 'Unbekannt');
INSERT INTO rg_benachteiligung_merkmal_h_tbl (id, value) VALUES (-2, 'Sonstiges');
INSERT INTO rg_benachteiligung_merkmal_h_tbl (id, value) VALUES (-1, 'Keine Angabe');
INSERT INTO rg_benachteiligung_merkmal_h_tbl (id, value) VALUES (0, 'Posttraumatische Belastungsstörung (z.B. Tod einer Bezugsperson, Unfall, etc.) ');
INSERT INTO rg_benachteiligung_merkmal_h_tbl (id, value) VALUES (1, 'Psychische Störung (Essstörung, ADHS, Angststörung, etc)');
INSERT INTO rg_benachteiligung_merkmal_h_tbl (id, value) VALUES (2, 'Teilleistungsstörung – LRS, Dyskalkulie, Sprachstörung');
INSERT INTO rg_benachteiligung_merkmal_h_tbl (id, value) VALUES (3, 'Lernbeeinträchtigung, -störung, -behinderung');
INSERT INTO rg_benachteiligung_merkmal_h_tbl (id, value) VALUES (4, 'Psychosomatische Erkrankung');
INSERT INTO rg_benachteiligung_merkmal_h_tbl (id, value) VALUES (5, 'Psychologische Behandlung');
INSERT INTO rg_benachteiligung_merkmal_h_tbl (id, value) VALUES (6, 'Psychiatrische Erfahrung');
INSERT INTO rg_benachteiligung_merkmal_h_tbl (id, value) VALUES (7, 'Suchtmittelmissbrauch');

INSERT INTO rg_benachteiligung_merkmal_g_tbl (id, value) VALUES (-3, 'Unbekannt');
INSERT INTO rg_benachteiligung_merkmal_g_tbl (id, value) VALUES (-2, 'Sonstiges');
INSERT INTO rg_benachteiligung_merkmal_g_tbl (id, value) VALUES (-1, 'Keine Angabe');
INSERT INTO rg_benachteiligung_merkmal_g_tbl (id, value) VALUES (0, 'Körperliche Behinderung');
INSERT INTO rg_benachteiligung_merkmal_g_tbl (id, value) VALUES (1, 'Chronische Erkrankungen');
INSERT INTO rg_benachteiligung_merkmal_g_tbl (id, value) VALUES (2, 'Mangelnde Hygiene');
INSERT INTO rg_benachteiligung_merkmal_g_tbl (id, value) VALUES (3, 'Verwahrlosung');

INSERT INTO rg_benachteiligung_merkmal_f_tbl (id, value) VALUES (-3, 'Unbekannt');
INSERT INTO rg_benachteiligung_merkmal_f_tbl (id, value) VALUES (-2, 'Sonstiges');
INSERT INTO rg_benachteiligung_merkmal_f_tbl (id, value) VALUES (-1, 'Keine Angabe');
INSERT INTO rg_benachteiligung_merkmal_f_tbl (id, value) VALUES (0, 'Migrationsbedingte Problemlagen');
INSERT INTO rg_benachteiligung_merkmal_f_tbl (id, value) VALUES (1, 'Unsicherer bzw. befristeter Aufenthaltsstatus');
INSERT INTO rg_benachteiligung_merkmal_f_tbl (id, value) VALUES (2, 'Kein Status');
INSERT INTO rg_benachteiligung_merkmal_f_tbl (id, value) VALUES (3, 'Familienzusammenführung');
INSERT INTO rg_benachteiligung_merkmal_f_tbl (id, value) VALUES (4, 'Mangelhafte Deutschkenntnisse');

INSERT INTO rg_benachteiligung_merkmal_e_tbl (id, value) VALUES (-3, 'Unbekannt');
INSERT INTO rg_benachteiligung_merkmal_e_tbl (id, value) VALUES (-2, 'Sonstiges');
INSERT INTO rg_benachteiligung_merkmal_e_tbl (id, value) VALUES (-1, 'Keine Angabe');
INSERT INTO rg_benachteiligung_merkmal_e_tbl (id, value) VALUES (0, 'Abbruch oder drohender Abbruch einer Ausbildung');
INSERT INTO rg_benachteiligung_merkmal_e_tbl (id, value) VALUES (1, 'Abbruch einer (oder mehrerer) beruflichen Maßnahme(n)');
INSERT INTO rg_benachteiligung_merkmal_e_tbl (id, value) VALUES (2, 'Arbeitslosigkeit');
INSERT INTO rg_benachteiligung_merkmal_e_tbl (id, value) VALUES (3, 'Häufige Beendigung von Beschäftigungsverhältnissen');
INSERT INTO rg_benachteiligung_merkmal_e_tbl (id, value) VALUES (4, 'Weniger als 3 Stunden arbeitsfähig (nicht erwerbsfähig)');

INSERT INTO rg_benachteiligung_merkmal_d_tbl (id, value) VALUES (-3, 'Unbekannt');
INSERT INTO rg_benachteiligung_merkmal_d_tbl (id, value) VALUES (-2, 'Sonstiges');
INSERT INTO rg_benachteiligung_merkmal_d_tbl (id, value) VALUES (-1, 'Keine Angabe');
INSERT INTO rg_benachteiligung_merkmal_d_tbl (id, value) VALUES (0, 'Abbruch der Schule');
INSERT INTO rg_benachteiligung_merkmal_d_tbl (id, value) VALUES (1, 'Fehlender Schulabschluss');
INSERT INTO rg_benachteiligung_merkmal_d_tbl (id, value) VALUES (2, 'Förderschulabschluss');
INSERT INTO rg_benachteiligung_merkmal_d_tbl (id, value) VALUES (3, 'Schlechter Hauptschulabschluss');
INSERT INTO rg_benachteiligung_merkmal_d_tbl (id, value) VALUES (4, 'aktive / passive Schulverweigerung');
INSERT INTO rg_benachteiligung_merkmal_d_tbl (id, value) VALUES (5, 'Abschluss gefährdet');
INSERT INTO rg_benachteiligung_merkmal_d_tbl (id, value) VALUES (6, 'Analphabetismus');
INSERT INTO rg_benachteiligung_merkmal_d_tbl (id, value) VALUES (7, 'Massive Bildungsrückstände');

INSERT INTO rg_benachteiligung_merkmal_c_tbl (id, value) VALUES (-3, 'Unbekannt');
INSERT INTO rg_benachteiligung_merkmal_c_tbl (id, value) VALUES (-2, 'Sonstiges');
INSERT INTO rg_benachteiligung_merkmal_c_tbl (id, value) VALUES (-1, 'Keine Angabe');
INSERT INTO rg_benachteiligung_merkmal_c_tbl (id, value) VALUES (0, 'Keine regelmäßigen Bezüge');
INSERT INTO rg_benachteiligung_merkmal_c_tbl (id, value) VALUES (1, 'Bezug staatlicher Unterstützungsleistungen nach dem SGB');
INSERT INTO rg_benachteiligung_merkmal_c_tbl (id, value) VALUES (2, 'Verschuldung, Überschuldung');
INSERT INTO rg_benachteiligung_merkmal_c_tbl (id, value) VALUES (3, 'Pfändung');
INSERT INTO rg_benachteiligung_merkmal_c_tbl (id, value) VALUES (4, 'Fehlende Finanzkompetenzen (Umgang mit Geld)');

INSERT INTO rg_benachteiligung_merkmal_b_tbl (id, value) VALUES (-3, 'Unbekannt');
INSERT INTO rg_benachteiligung_merkmal_b_tbl (id, value) VALUES (-2, 'Sonstiges');
INSERT INTO rg_benachteiligung_merkmal_b_tbl (id, value) VALUES (-1, 'Keine Angabe');
INSERT INTO rg_benachteiligung_merkmal_b_tbl (id, value) VALUES (0, 'Ohne festen Wohnsitz');
INSERT INTO rg_benachteiligung_merkmal_b_tbl (id, value) VALUES (1, 'Drohende Wohnungslosigkeit, Räumung');
INSERT INTO rg_benachteiligung_merkmal_b_tbl (id, value) VALUES (2, 'Prekäre Wohnsituation (Zustand der Wohnung, Konflikte)');
INSERT INTO rg_benachteiligung_merkmal_b_tbl (id, value) VALUES (3, 'Teilnehmer/in befindet sich in betreuter Wohnform');

INSERT INTO rg_benachteiligung_merkmal_a_tbl (id, value) VALUES (-3, 'Unbekannt');
INSERT INTO rg_benachteiligung_merkmal_a_tbl (id, value) VALUES (-2, 'Sonstiges');
INSERT INTO rg_benachteiligung_merkmal_a_tbl (id, value) VALUES (-1, 'Keine Angabe');
INSERT INTO rg_benachteiligung_merkmal_a_tbl (id, value) VALUES (0, 'Familie lebt unterhalb der Armutsgrenze');
INSERT INTO rg_benachteiligung_merkmal_a_tbl (id, value) VALUES (1, 'Erkrankungen in der Familie');
INSERT INTO rg_benachteiligung_merkmal_a_tbl (id, value) VALUES (2, 'Suchtproblematik eines Angehörigen');
INSERT INTO rg_benachteiligung_merkmal_a_tbl (id, value) VALUES (3, 'Pflege eines Angehörigen');
INSERT INTO rg_benachteiligung_merkmal_a_tbl (id, value) VALUES (4, 'Tod eines Angehörigen');
INSERT INTO rg_benachteiligung_merkmal_a_tbl (id, value) VALUES (5, 'Außerfamiliäre Erziehung (z.B. Heimerziehung, Pflegeeltern, ...)');
INSERT INTO rg_benachteiligung_merkmal_a_tbl (id, value) VALUES (6, 'Scheidung/Trennung der Eltern');
INSERT INTO rg_benachteiligung_merkmal_a_tbl (id, value) VALUES (7, 'Gleichgültigkeit der Eltern');
INSERT INTO rg_benachteiligung_merkmal_a_tbl (id, value) VALUES (8, 'Schwangerschaft der Teilnehmerin');
INSERT INTO rg_benachteiligung_merkmal_a_tbl (id, value) VALUES (9, 'Schwangerschaft der Partnerin');
INSERT INTO rg_benachteiligung_merkmal_a_tbl (id, value) VALUES (10, 'Kindererziehung durch den/die Teilnehmer/Teilnehmerin');
INSERT INTO rg_benachteiligung_merkmal_a_tbl (id, value) VALUES (11, 'Teilnehmer/in ist alleinerziehend');

INSERT INTO rg_benachteiligung_bereich_tbl (id, value) VALUES (-3, 'Unbekannt');
INSERT INTO rg_benachteiligung_bereich_tbl (id, value) VALUES (-1, 'Keine Angabe');
INSERT INTO rg_benachteiligung_bereich_tbl (id, value) VALUES (0, 'familiäre Rahmenbedingungen');
INSERT INTO rg_benachteiligung_bereich_tbl (id, value) VALUES (1, 'Wohnsituation');
INSERT INTO rg_benachteiligung_bereich_tbl (id, value) VALUES (2, 'ökonomische Benachteiligung');
INSERT INTO rg_benachteiligung_bereich_tbl (id, value) VALUES (3, 'schulische Entwicklung');
INSERT INTO rg_benachteiligung_bereich_tbl (id, value) VALUES (4, 'Ausbildung / Arbeit');
INSERT INTO rg_benachteiligung_bereich_tbl (id, value) VALUES (5, 'ethnisch/kultureller Hintergrund');
INSERT INTO rg_benachteiligung_bereich_tbl (id, value) VALUES (6, 'physischer Bereich');
INSERT INTO rg_benachteiligung_bereich_tbl (id, value) VALUES (7, 'psychischer Bereich');
INSERT INTO rg_benachteiligung_bereich_tbl (id, value) VALUES (8, 'sozial-emotionaler Bereich');
INSERT INTO rg_benachteiligung_bereich_tbl (id, value) VALUES (9, 'strafrechtlicher Bereich');

INSERT INTO art_des_dienstes_tbl (id, value) VALUES (-3, 'Unbekannt');
INSERT INTO art_des_dienstes_tbl (id, value) VALUES (-1, 'Keine Angabe');
INSERT INTO art_des_dienstes_tbl (id, value) VALUES (0, 'Wehrpflicht');
INSERT INTO art_des_dienstes_tbl (id, value) VALUES (1, 'Zivildienst');
INSERT INTO art_des_dienstes_tbl (id, value) VALUES (2, 'Freiwilligenjahr');

INSERT INTO schulabschluss_1_tbl (id, value) VALUES (-3, 'Unbekannt');
INSERT INTO schulabschluss_1_tbl (id, value) VALUES (-1, 'Keine Angabe');
INSERT INTO schulabschluss_1_tbl (id, value) VALUES (0, 'Noch Schüler/-in in allgemein bildender Schule');
INSERT INTO schulabschluss_1_tbl (id, value) VALUES (1, 'Kein Schulabschluss');
INSERT INTO schulabschluss_1_tbl (id, value) VALUES (2, 'Sonderschulabschluss (Bezeichnung je nach Bundesland)');
INSERT INTO schulabschluss_1_tbl (id, value) VALUES (3, 'Hauptschulabschluss (HSA)');
INSERT INTO schulabschluss_1_tbl (id, value) VALUES (4, 'Erweiterter/Qualifizierter HSA');
INSERT INTO schulabschluss_1_tbl (id, value) VALUES (5, 'Realschulabschluss/Mittlere Reife');
INSERT INTO schulabschluss_1_tbl (id, value) VALUES (6, 'Fachhochschulreife/Abitur 1. Bildungsweg');
INSERT INTO schulabschluss_1_tbl (id, value) VALUES (7, 'Anderer Schulabschluss');
INSERT INTO schulabschluss_1_tbl (id, value) VALUES (8, 'Fachhochschulreife/Abitur 2. Bildungsweg');
INSERT INTO schulabschluss_1_tbl (id, value) VALUES (9, 'Berufsvorbereitungsjahr (BVJ)');
INSERT INTO schulabschluss_1_tbl (id, value) VALUES (10, 'Berufsgrundbildungsjahr (BGJ)');

INSERT INTO klassenwiederholung_tbl (id, value) VALUES (-3, 'Unbekannt');
INSERT INTO klassenwiederholung_tbl (id, value) VALUES (-1, 'Keine Angabe');
INSERT INTO klassenwiederholung_tbl (id, value) VALUES (0, 'Nein');
INSERT INTO klassenwiederholung_tbl (id, value) VALUES (1, 'einmal');
INSERT INTO klassenwiederholung_tbl (id, value) VALUES (2, 'mehrmals');

INSERT INTO schule_2_tbl (id, value) VALUES (-3, 'Unbekannt');
INSERT INTO schule_2_tbl (id, value) VALUES (-1, 'Keine Angabe');
INSERT INTO schule_2_tbl (id, value) VALUES (0, 'Sonderschule/Förderschule');
INSERT INTO schule_2_tbl (id, value) VALUES (1, 'Hauptschule');
INSERT INTO schule_2_tbl (id, value) VALUES (2, 'Gesamtschule');
INSERT INTO schule_2_tbl (id, value) VALUES (3, 'Realschule');
INSERT INTO schule_2_tbl (id, value) VALUES (4, 'Gymnasium');
INSERT INTO schule_2_tbl (id, value) VALUES (5, 'Berufschule');
INSERT INTO schule_2_tbl (id, value) VALUES (6, 'sonstige Schule');
INSERT INTO schule_2_tbl (id, value) VALUES (7, 'keine Schule');
INSERT INTO schule_2_tbl (id, value) VALUES (8, 'Berufsvorbereitungsjahr (BVJ)');
INSERT INTO schule_2_tbl (id, value) VALUES (9, 'Berufsgrundbildungsjahr (BGJ)');

INSERT INTO wohnaufenthalt_tbl (id, value) VALUES (-3, 'Unbekannt');
INSERT INTO wohnaufenthalt_tbl (id, value) VALUES (-2, 'Sonstiges');
INSERT INTO wohnaufenthalt_tbl (id, value) VALUES (-1, 'Keine Angabe');
INSERT INTO wohnaufenthalt_tbl (id, value) VALUES (0, 'im elterlichen Haushalt');
INSERT INTO wohnaufenthalt_tbl (id, value) VALUES (1, 'bei Geschwistern');
INSERT INTO wohnaufenthalt_tbl (id, value) VALUES (2, 'bei anderen Verwandten');
INSERT INTO wohnaufenthalt_tbl (id, value) VALUES (3, 'bei Eltern von Partnerin/Partner');
INSERT INTO wohnaufenthalt_tbl (id, value) VALUES (4, 'bei Freunden/Bekannten');
INSERT INTO wohnaufenthalt_tbl (id, value) VALUES (5, 'in eigener Wohnung');
INSERT INTO wohnaufenthalt_tbl (id, value) VALUES (6, 'in eigener Wohnung mit Partnerin/Partner');
INSERT INTO wohnaufenthalt_tbl (id, value) VALUES (7, 'in Wohnung von Partnerin/Partner');
INSERT INTO wohnaufenthalt_tbl (id, value) VALUES (8, 'in Wohngemeinschaft');
INSERT INTO wohnaufenthalt_tbl (id, value) VALUES (9, 'im Wohnheim/Internat');
INSERT INTO wohnaufenthalt_tbl (id, value) VALUES (10, 'betreute Wohnform');
INSERT INTO wohnaufenthalt_tbl (id, value) VALUES (11, 'obdachlos/auf der Strasse');

INSERT INTO familiaere_situation_1_tbl (id, value) VALUES (-3, 'Unbekannt');
INSERT INTO familiaere_situation_1_tbl (id, value) VALUES (-1, 'Keine Angabe');
INSERT INTO familiaere_situation_1_tbl (id, value) VALUES (0, 'Mutter und Vater');
INSERT INTO familiaere_situation_1_tbl (id, value) VALUES (1, 'Mutter');
INSERT INTO familiaere_situation_1_tbl (id, value) VALUES (2, 'Vater');
INSERT INTO familiaere_situation_1_tbl (id, value) VALUES (3, 'Amtsvormund');
INSERT INTO familiaere_situation_1_tbl (id, value) VALUES (4, 'andere Verwandte');
INSERT INTO familiaere_situation_1_tbl (id, value) VALUES (5, 'Pflegefamilie');

INSERT INTO aufenthaltsstatus_tbl (id, value) VALUES (-3, 'Unbekannt');
INSERT INTO aufenthaltsstatus_tbl (id, value) VALUES (-1, 'Keine Angabe');
INSERT INTO aufenthaltsstatus_tbl (id, value) VALUES (0, 'Aufenthaltserlaubnis');
INSERT INTO aufenthaltsstatus_tbl (id, value) VALUES (1, 'Niederlassungserlaubnis');
INSERT INTO aufenthaltsstatus_tbl (id, value) VALUES (2, 'Aufenthaltsgestattung');
INSERT INTO aufenthaltsstatus_tbl (id, value) VALUES (3, 'Duldung');
INSERT INTO aufenthaltsstatus_tbl (id, value) VALUES (4, 'Aufenthaltserlaubnis - EG');
INSERT INTO aufenthaltsstatus_tbl (id, value) VALUES (5, 'Visum');
INSERT INTO aufenthaltsstatus_tbl (id, value) VALUES (6, 'keine');

INSERT INTO staatsangehoerigkeit_tbl (id, value) VALUES (-3, 'Unbekannt');
INSERT INTO staatsangehoerigkeit_tbl (id, value) VALUES (-2, 'Sonstige');
INSERT INTO staatsangehoerigkeit_tbl (id, value) VALUES (-1, 'Keine Angabe');
INSERT INTO staatsangehoerigkeit_tbl (id, value) VALUES (0, 'Afghanistan');
INSERT INTO staatsangehoerigkeit_tbl (id, value) VALUES (1, 'Albanien');
INSERT INTO staatsangehoerigkeit_tbl (id, value) VALUES (2, 'Algerien');
INSERT INTO staatsangehoerigkeit_tbl (id, value) VALUES (3, 'Andorra');
INSERT INTO staatsangehoerigkeit_tbl (id, value) VALUES (4, 'Angola');
INSERT INTO staatsangehoerigkeit_tbl (id, value) VALUES (5, 'Antigua und Barbuda');
INSERT INTO staatsangehoerigkeit_tbl (id, value) VALUES (6, 'Argentinien');
INSERT INTO staatsangehoerigkeit_tbl (id, value) VALUES (7, 'Armenien');
INSERT INTO staatsangehoerigkeit_tbl (id, value) VALUES (8, 'Aserbaidschan');
INSERT INTO staatsangehoerigkeit_tbl (id, value) VALUES (9, 'Australien');
INSERT INTO staatsangehoerigkeit_tbl (id, value) VALUES (10, 'Bahamas');
INSERT INTO staatsangehoerigkeit_tbl (id, value) VALUES (11, 'Bahrain');
INSERT INTO staatsangehoerigkeit_tbl (id, value) VALUES (12, 'Bangladesch');
INSERT INTO staatsangehoerigkeit_tbl (id, value) VALUES (13, 'Barbados');
INSERT INTO staatsangehoerigkeit_tbl (id, value) VALUES (14, 'Belgien');
INSERT INTO staatsangehoerigkeit_tbl (id, value) VALUES (15, 'Belize');
INSERT INTO staatsangehoerigkeit_tbl (id, value) VALUES (16, 'Benin');
INSERT INTO staatsangehoerigkeit_tbl (id, value) VALUES (17, 'Bhutan');
INSERT INTO staatsangehoerigkeit_tbl (id, value) VALUES (18, 'Bolivien');
INSERT INTO staatsangehoerigkeit_tbl (id, value) VALUES (19, 'Bosnien und Herzegowina');
INSERT INTO staatsangehoerigkeit_tbl (id, value) VALUES (20, 'Botsuana');
INSERT INTO staatsangehoerigkeit_tbl (id, value) VALUES (21, 'Brasilien');
INSERT INTO staatsangehoerigkeit_tbl (id, value) VALUES (22, 'Brunei Darussalam');
INSERT INTO staatsangehoerigkeit_tbl (id, value) VALUES (23, 'Bulgarien');
INSERT INTO staatsangehoerigkeit_tbl (id, value) VALUES (24, 'Burkina Faso');
INSERT INTO staatsangehoerigkeit_tbl (id, value) VALUES (25, 'Burundi');
INSERT INTO staatsangehoerigkeit_tbl (id, value) VALUES (26, 'Chile');
INSERT INTO staatsangehoerigkeit_tbl (id, value) VALUES (27, 'China');
INSERT INTO staatsangehoerigkeit_tbl (id, value) VALUES (28, 'Costa Rica');
INSERT INTO staatsangehoerigkeit_tbl (id, value) VALUES (29, 'Deutschland');
INSERT INTO staatsangehoerigkeit_tbl (id, value) VALUES (30, 'Dominica');
INSERT INTO staatsangehoerigkeit_tbl (id, value) VALUES (31, 'Dominikanische Republik');
INSERT INTO staatsangehoerigkeit_tbl (id, value) VALUES (32, 'Dschibuti');
INSERT INTO staatsangehoerigkeit_tbl (id, value) VALUES (33, 'Dänemark');
INSERT INTO staatsangehoerigkeit_tbl (id, value) VALUES (34, 'Ecuador');
INSERT INTO staatsangehoerigkeit_tbl (id, value) VALUES (35, 'El Salvador');
INSERT INTO staatsangehoerigkeit_tbl (id, value) VALUES (36, 'Côte d''Ivoire');
INSERT INTO staatsangehoerigkeit_tbl (id, value) VALUES (37, 'Eritrea');
INSERT INTO staatsangehoerigkeit_tbl (id, value) VALUES (38, 'Estland');
INSERT INTO staatsangehoerigkeit_tbl (id, value) VALUES (39, 'Fidschi');
INSERT INTO staatsangehoerigkeit_tbl (id, value) VALUES (40, 'Finnland');
INSERT INTO staatsangehoerigkeit_tbl (id, value) VALUES (41, 'Frankreich');
INSERT INTO staatsangehoerigkeit_tbl (id, value) VALUES (42, 'Gabun');
INSERT INTO staatsangehoerigkeit_tbl (id, value) VALUES (43, 'Gambia');
INSERT INTO staatsangehoerigkeit_tbl (id, value) VALUES (44, 'Georgien');
INSERT INTO staatsangehoerigkeit_tbl (id, value) VALUES (45, 'Ghana');
INSERT INTO staatsangehoerigkeit_tbl (id, value) VALUES (46, 'Grenada');
INSERT INTO staatsangehoerigkeit_tbl (id, value) VALUES (47, 'Griechenland');
INSERT INTO staatsangehoerigkeit_tbl (id, value) VALUES (48, 'Großbritannien / Vereinigtes Königreich');
INSERT INTO staatsangehoerigkeit_tbl (id, value) VALUES (49, 'Guatemala');
INSERT INTO staatsangehoerigkeit_tbl (id, value) VALUES (50, 'Guinea');
INSERT INTO staatsangehoerigkeit_tbl (id, value) VALUES (51, 'Guinea-Bissau');
INSERT INTO staatsangehoerigkeit_tbl (id, value) VALUES (52, 'Guyana');
INSERT INTO staatsangehoerigkeit_tbl (id, value) VALUES (53, 'Haiti');
INSERT INTO staatsangehoerigkeit_tbl (id, value) VALUES (54, 'Honduras');
INSERT INTO staatsangehoerigkeit_tbl (id, value) VALUES (55, 'Indien');
INSERT INTO staatsangehoerigkeit_tbl (id, value) VALUES (56, 'Indonesien');
INSERT INTO staatsangehoerigkeit_tbl (id, value) VALUES (57, 'Irak');
INSERT INTO staatsangehoerigkeit_tbl (id, value) VALUES (58, 'Iran');
INSERT INTO staatsangehoerigkeit_tbl (id, value) VALUES (59, 'Irland');
INSERT INTO staatsangehoerigkeit_tbl (id, value) VALUES (60, 'Island');
INSERT INTO staatsangehoerigkeit_tbl (id, value) VALUES (61, 'Israel');
INSERT INTO staatsangehoerigkeit_tbl (id, value) VALUES (62, 'Italien');
INSERT INTO staatsangehoerigkeit_tbl (id, value) VALUES (63, 'Jamaika');
INSERT INTO staatsangehoerigkeit_tbl (id, value) VALUES (64, 'Japan');
INSERT INTO staatsangehoerigkeit_tbl (id, value) VALUES (65, 'Jemen');
INSERT INTO staatsangehoerigkeit_tbl (id, value) VALUES (66, 'Jordanien');
INSERT INTO staatsangehoerigkeit_tbl (id, value) VALUES (67, 'Kambodscha');
INSERT INTO staatsangehoerigkeit_tbl (id, value) VALUES (68, 'Kamerun');
INSERT INTO staatsangehoerigkeit_tbl (id, value) VALUES (69, 'Kanada');
INSERT INTO staatsangehoerigkeit_tbl (id, value) VALUES (70, 'Kap Verde');
INSERT INTO staatsangehoerigkeit_tbl (id, value) VALUES (71, 'Kasachstan');
INSERT INTO staatsangehoerigkeit_tbl (id, value) VALUES (72, 'Katar');
INSERT INTO staatsangehoerigkeit_tbl (id, value) VALUES (73, 'Kenia');
INSERT INTO staatsangehoerigkeit_tbl (id, value) VALUES (74, 'Kirgisistan');
INSERT INTO staatsangehoerigkeit_tbl (id, value) VALUES (75, 'Kiribati');
INSERT INTO staatsangehoerigkeit_tbl (id, value) VALUES (76, 'Kolumbien');
INSERT INTO staatsangehoerigkeit_tbl (id, value) VALUES (77, 'Komoren');
INSERT INTO staatsangehoerigkeit_tbl (id, value) VALUES (78, 'Kongo (Demokratische Republik Kongo)');
INSERT INTO staatsangehoerigkeit_tbl (id, value) VALUES (79, 'Kongo (Republik Kongo)');
INSERT INTO staatsangehoerigkeit_tbl (id, value) VALUES (80, 'Korea (Demokratische Volksrepublik, Nordkorea)');
INSERT INTO staatsangehoerigkeit_tbl (id, value) VALUES (81, 'Korea, (Republik Korea, Südkorea)');
INSERT INTO staatsangehoerigkeit_tbl (id, value) VALUES (82, 'Kroatien');
INSERT INTO staatsangehoerigkeit_tbl (id, value) VALUES (83, 'Kuba');
INSERT INTO staatsangehoerigkeit_tbl (id, value) VALUES (84, 'Kuwait');
INSERT INTO staatsangehoerigkeit_tbl (id, value) VALUES (85, 'Laos');
INSERT INTO staatsangehoerigkeit_tbl (id, value) VALUES (86, 'Lesotho');
INSERT INTO staatsangehoerigkeit_tbl (id, value) VALUES (87, 'Lettland');
INSERT INTO staatsangehoerigkeit_tbl (id, value) VALUES (88, 'Libanon');
INSERT INTO staatsangehoerigkeit_tbl (id, value) VALUES (89, 'Liberia');
INSERT INTO staatsangehoerigkeit_tbl (id, value) VALUES (90, 'Libyen');
INSERT INTO staatsangehoerigkeit_tbl (id, value) VALUES (91, 'Liechtenstein');
INSERT INTO staatsangehoerigkeit_tbl (id, value) VALUES (92, 'Litauen');
INSERT INTO staatsangehoerigkeit_tbl (id, value) VALUES (93, 'Luxemburg');
INSERT INTO staatsangehoerigkeit_tbl (id, value) VALUES (94, 'Madagaskar');
INSERT INTO staatsangehoerigkeit_tbl (id, value) VALUES (95, 'Malawi');
INSERT INTO staatsangehoerigkeit_tbl (id, value) VALUES (96, 'Malaysia');
INSERT INTO staatsangehoerigkeit_tbl (id, value) VALUES (97, 'Malediven');
INSERT INTO staatsangehoerigkeit_tbl (id, value) VALUES (98, 'Mali');
INSERT INTO staatsangehoerigkeit_tbl (id, value) VALUES (99, 'Malta');
INSERT INTO staatsangehoerigkeit_tbl (id, value) VALUES (100, 'Marokko');
INSERT INTO staatsangehoerigkeit_tbl (id, value) VALUES (101, 'Marshallinseln');
INSERT INTO staatsangehoerigkeit_tbl (id, value) VALUES (102, 'Mauretanien');
INSERT INTO staatsangehoerigkeit_tbl (id, value) VALUES (103, 'Mauritius');
INSERT INTO staatsangehoerigkeit_tbl (id, value) VALUES (104, 'Ehemalige jugoslawische Republik Mazedonien');
INSERT INTO staatsangehoerigkeit_tbl (id, value) VALUES (105, 'Mexiko');
INSERT INTO staatsangehoerigkeit_tbl (id, value) VALUES (106, 'Mikronesien');
INSERT INTO staatsangehoerigkeit_tbl (id, value) VALUES (107, 'Republik Moldau');
INSERT INTO staatsangehoerigkeit_tbl (id, value) VALUES (108, 'Monaco');
INSERT INTO staatsangehoerigkeit_tbl (id, value) VALUES (109, 'Mongolei');
INSERT INTO staatsangehoerigkeit_tbl (id, value) VALUES (110, 'Montenegro');
INSERT INTO staatsangehoerigkeit_tbl (id, value) VALUES (111, 'Mosambik');
INSERT INTO staatsangehoerigkeit_tbl (id, value) VALUES (112, 'Myanmar');
INSERT INTO staatsangehoerigkeit_tbl (id, value) VALUES (113, 'Namibia');
INSERT INTO staatsangehoerigkeit_tbl (id, value) VALUES (114, 'Nauru');
INSERT INTO staatsangehoerigkeit_tbl (id, value) VALUES (115, 'Nepal');
INSERT INTO staatsangehoerigkeit_tbl (id, value) VALUES (116, 'Neuseeland');
INSERT INTO staatsangehoerigkeit_tbl (id, value) VALUES (117, 'Nicaragua');
INSERT INTO staatsangehoerigkeit_tbl (id, value) VALUES (118, 'Niederlande');
INSERT INTO staatsangehoerigkeit_tbl (id, value) VALUES (119, 'Niger');
INSERT INTO staatsangehoerigkeit_tbl (id, value) VALUES (120, 'Nigeria');
INSERT INTO staatsangehoerigkeit_tbl (id, value) VALUES (121, 'Norwegen');
INSERT INTO staatsangehoerigkeit_tbl (id, value) VALUES (122, 'Oman');
INSERT INTO staatsangehoerigkeit_tbl (id, value) VALUES (123, 'Timor-Leste');
INSERT INTO staatsangehoerigkeit_tbl (id, value) VALUES (124, 'Pakistan');
INSERT INTO staatsangehoerigkeit_tbl (id, value) VALUES (125, 'Palau');
INSERT INTO staatsangehoerigkeit_tbl (id, value) VALUES (126, 'Panama');
INSERT INTO staatsangehoerigkeit_tbl (id, value) VALUES (127, 'Papua-Neuguinea');
INSERT INTO staatsangehoerigkeit_tbl (id, value) VALUES (128, 'Paraguay');
INSERT INTO staatsangehoerigkeit_tbl (id, value) VALUES (129, 'Peru');
INSERT INTO staatsangehoerigkeit_tbl (id, value) VALUES (130, 'Philippinen');
INSERT INTO staatsangehoerigkeit_tbl (id, value) VALUES (131, 'Polen');
INSERT INTO staatsangehoerigkeit_tbl (id, value) VALUES (132, 'Portugal');
INSERT INTO staatsangehoerigkeit_tbl (id, value) VALUES (133, 'Ruanda');
INSERT INTO staatsangehoerigkeit_tbl (id, value) VALUES (134, 'Rumänien');
INSERT INTO staatsangehoerigkeit_tbl (id, value) VALUES (135, 'Russische Föderation');
INSERT INTO staatsangehoerigkeit_tbl (id, value) VALUES (136, 'Salomonen');
INSERT INTO staatsangehoerigkeit_tbl (id, value) VALUES (137, 'Sambia');
INSERT INTO staatsangehoerigkeit_tbl (id, value) VALUES (138, 'Samoa');
INSERT INTO staatsangehoerigkeit_tbl (id, value) VALUES (139, 'San Marino');
INSERT INTO staatsangehoerigkeit_tbl (id, value) VALUES (140, 'Saudi-Arabien');
INSERT INTO staatsangehoerigkeit_tbl (id, value) VALUES (141, 'Schweden');
INSERT INTO staatsangehoerigkeit_tbl (id, value) VALUES (142, 'Schweiz');
INSERT INTO staatsangehoerigkeit_tbl (id, value) VALUES (143, 'Senegal');
INSERT INTO staatsangehoerigkeit_tbl (id, value) VALUES (144, 'Serbien');
INSERT INTO staatsangehoerigkeit_tbl (id, value) VALUES (145, 'Seychellen');
INSERT INTO staatsangehoerigkeit_tbl (id, value) VALUES (146, 'Sierra Leone');
INSERT INTO staatsangehoerigkeit_tbl (id, value) VALUES (147, 'Simbabwe');
INSERT INTO staatsangehoerigkeit_tbl (id, value) VALUES (148, 'Singapur');
INSERT INTO staatsangehoerigkeit_tbl (id, value) VALUES (149, 'Slowakei');
INSERT INTO staatsangehoerigkeit_tbl (id, value) VALUES (150, 'Slowenien');
INSERT INTO staatsangehoerigkeit_tbl (id, value) VALUES (151, 'Somalia');
INSERT INTO staatsangehoerigkeit_tbl (id, value) VALUES (152, 'Spanien');
INSERT INTO staatsangehoerigkeit_tbl (id, value) VALUES (153, 'Sri Lanka');
INSERT INTO staatsangehoerigkeit_tbl (id, value) VALUES (154, 'St. Kitts und Nevis');
INSERT INTO staatsangehoerigkeit_tbl (id, value) VALUES (155, 'St. Lucia');
INSERT INTO staatsangehoerigkeit_tbl (id, value) VALUES (156, 'St. Vincent und die Grenadinen');
INSERT INTO staatsangehoerigkeit_tbl (id, value) VALUES (157, 'Sudan');
INSERT INTO staatsangehoerigkeit_tbl (id, value) VALUES (158, 'Suriname');
INSERT INTO staatsangehoerigkeit_tbl (id, value) VALUES (159, 'Swasiland');
INSERT INTO staatsangehoerigkeit_tbl (id, value) VALUES (160, 'Syrien');
INSERT INTO staatsangehoerigkeit_tbl (id, value) VALUES (161, 'São Tomé und Príncipe');
INSERT INTO staatsangehoerigkeit_tbl (id, value) VALUES (162, 'Südafrika');
INSERT INTO staatsangehoerigkeit_tbl (id, value) VALUES (163, 'Tadschikistan');
INSERT INTO staatsangehoerigkeit_tbl (id, value) VALUES (164, 'Tansania');
INSERT INTO staatsangehoerigkeit_tbl (id, value) VALUES (165, 'Thailand');
INSERT INTO staatsangehoerigkeit_tbl (id, value) VALUES (166, 'Togo');
INSERT INTO staatsangehoerigkeit_tbl (id, value) VALUES (167, 'Tonga');
INSERT INTO staatsangehoerigkeit_tbl (id, value) VALUES (168, 'Trinidad und Tobago');
INSERT INTO staatsangehoerigkeit_tbl (id, value) VALUES (169, 'Tschad');
INSERT INTO staatsangehoerigkeit_tbl (id, value) VALUES (170, 'Tschechische Republik');
INSERT INTO staatsangehoerigkeit_tbl (id, value) VALUES (171, 'Tunesien');
INSERT INTO staatsangehoerigkeit_tbl (id, value) VALUES (172, 'Turkmenistan');
INSERT INTO staatsangehoerigkeit_tbl (id, value) VALUES (173, 'Tuvalu');
INSERT INTO staatsangehoerigkeit_tbl (id, value) VALUES (174, 'Türkei');
INSERT INTO staatsangehoerigkeit_tbl (id, value) VALUES (175, 'Uganda');
INSERT INTO staatsangehoerigkeit_tbl (id, value) VALUES (176, 'Ukraine');
INSERT INTO staatsangehoerigkeit_tbl (id, value) VALUES (177, 'Ungarn');
INSERT INTO staatsangehoerigkeit_tbl (id, value) VALUES (178, 'Uruguay');
INSERT INTO staatsangehoerigkeit_tbl (id, value) VALUES (179, 'Usbekistan');
INSERT INTO staatsangehoerigkeit_tbl (id, value) VALUES (180, 'Vanuatu');
INSERT INTO staatsangehoerigkeit_tbl (id, value) VALUES (181, 'Vatikan / Heiliger Stuhl');
INSERT INTO staatsangehoerigkeit_tbl (id, value) VALUES (182, 'Venezuela');
INSERT INTO staatsangehoerigkeit_tbl (id, value) VALUES (183, 'Vereinigte Arabische Emirate');
INSERT INTO staatsangehoerigkeit_tbl (id, value) VALUES (184, 'Vereinigte Staaten von Amerika');
INSERT INTO staatsangehoerigkeit_tbl (id, value) VALUES (185, 'Vietnam');
INSERT INTO staatsangehoerigkeit_tbl (id, value) VALUES (186, 'Weißrussland / Belarus');
INSERT INTO staatsangehoerigkeit_tbl (id, value) VALUES (187, 'Zentralafrikanische Republik');
INSERT INTO staatsangehoerigkeit_tbl (id, value) VALUES (188, 'Zypern');
INSERT INTO staatsangehoerigkeit_tbl (id, value) VALUES (189, 'Ägypten');
INSERT INTO staatsangehoerigkeit_tbl (id, value) VALUES (190, 'Äquatorialguinea');
INSERT INTO staatsangehoerigkeit_tbl (id, value) VALUES (191, 'Äthiopien');
INSERT INTO staatsangehoerigkeit_tbl (id, value) VALUES (192, 'Österreich');
INSERT INTO staatsangehoerigkeit_tbl (id, value) VALUES (193, 'Cookinseln');
INSERT INTO staatsangehoerigkeit_tbl (id, value) VALUES (194, 'Hongkong');
INSERT INTO staatsangehoerigkeit_tbl (id, value) VALUES (195, 'Kosovo');
INSERT INTO staatsangehoerigkeit_tbl (id, value) VALUES (196, 'Macau');
INSERT INTO staatsangehoerigkeit_tbl (id, value) VALUES (197, 'Palästinensische Gebiete');
INSERT INTO staatsangehoerigkeit_tbl (id, value) VALUES (198, 'Taiwan');

INSERT INTO muttersprache_tbl (id, value) VALUES (-3, 'Unbekannt');
INSERT INTO muttersprache_tbl (id, value) VALUES (-2, 'Sonstige');
INSERT INTO muttersprache_tbl (id, value) VALUES (-1, 'Keine Angabe');
INSERT INTO muttersprache_tbl (id, value) VALUES (0, 'Afrikaans');
INSERT INTO muttersprache_tbl (id, value) VALUES (1, 'Albanisch');
INSERT INTO muttersprache_tbl (id, value) VALUES (2, 'Amharisch');
INSERT INTO muttersprache_tbl (id, value) VALUES (3, 'Arabisch');
INSERT INTO muttersprache_tbl (id, value) VALUES (4, 'Aramäisch');
INSERT INTO muttersprache_tbl (id, value) VALUES (5, 'Armenisch');
INSERT INTO muttersprache_tbl (id, value) VALUES (6, 'Aserbaidschanisch');
INSERT INTO muttersprache_tbl (id, value) VALUES (7, 'Assami');
INSERT INTO muttersprache_tbl (id, value) VALUES (8, 'Äthiopisch');
INSERT INTO muttersprache_tbl (id, value) VALUES (9, 'Azeri');
INSERT INTO muttersprache_tbl (id, value) VALUES (10, 'Baskisch');
INSERT INTO muttersprache_tbl (id, value) VALUES (11, 'Bengali');
INSERT INTO muttersprache_tbl (id, value) VALUES (12, 'Bulgarisch');
INSERT INTO muttersprache_tbl (id, value) VALUES (13, 'Burmesisch');
INSERT INTO muttersprache_tbl (id, value) VALUES (14, 'Chinesisch');
INSERT INTO muttersprache_tbl (id, value) VALUES (15, 'Dänisch');
INSERT INTO muttersprache_tbl (id, value) VALUES (16, 'Darginisch');
INSERT INTO muttersprache_tbl (id, value) VALUES (17, 'Dari');
INSERT INTO muttersprache_tbl (id, value) VALUES (18, 'Deutsch');
INSERT INTO muttersprache_tbl (id, value) VALUES (19, 'Englisch');
INSERT INTO muttersprache_tbl (id, value) VALUES (20, 'Estnisch');
INSERT INTO muttersprache_tbl (id, value) VALUES (21, 'Farsi');
INSERT INTO muttersprache_tbl (id, value) VALUES (22, 'Finnisch');
INSERT INTO muttersprache_tbl (id, value) VALUES (23, 'Französisch');
INSERT INTO muttersprache_tbl (id, value) VALUES (24, 'Galla');
INSERT INTO muttersprache_tbl (id, value) VALUES (25, 'Galizisch');
INSERT INTO muttersprache_tbl (id, value) VALUES (26, 'Ge''ez');
INSERT INTO muttersprache_tbl (id, value) VALUES (27, 'Georgisch');
INSERT INTO muttersprache_tbl (id, value) VALUES (28, 'Glagolitisch');
INSERT INTO muttersprache_tbl (id, value) VALUES (29, 'Griechisch');
INSERT INTO muttersprache_tbl (id, value) VALUES (30, 'Gujarati');
INSERT INTO muttersprache_tbl (id, value) VALUES (31, 'Haussa');
INSERT INTO muttersprache_tbl (id, value) VALUES (32, 'Hebräisch');
INSERT INTO muttersprache_tbl (id, value) VALUES (33, 'Hindi');
INSERT INTO muttersprache_tbl (id, value) VALUES (34, 'Indonesisch');
INSERT INTO muttersprache_tbl (id, value) VALUES (35, 'Inuktitut');
INSERT INTO muttersprache_tbl (id, value) VALUES (36, 'Irisch');
INSERT INTO muttersprache_tbl (id, value) VALUES (37, 'Isländisch');
INSERT INTO muttersprache_tbl (id, value) VALUES (38, 'Italienisch');
INSERT INTO muttersprache_tbl (id, value) VALUES (39, 'Japanisch');
INSERT INTO muttersprache_tbl (id, value) VALUES (40, 'Jawi');
INSERT INTO muttersprache_tbl (id, value) VALUES (41, 'Jiddisch');
INSERT INTO muttersprache_tbl (id, value) VALUES (42, 'Kabardianisch');
INSERT INTO muttersprache_tbl (id, value) VALUES (43, 'Kanarese');
INSERT INTO muttersprache_tbl (id, value) VALUES (44, 'Kannada');
INSERT INTO muttersprache_tbl (id, value) VALUES (45, 'Kasachisch');
INSERT INTO muttersprache_tbl (id, value) VALUES (46, 'Katalanisch');
INSERT INTO muttersprache_tbl (id, value) VALUES (47, 'Khmer');
INSERT INTO muttersprache_tbl (id, value) VALUES (48, 'Kirgisisch');
INSERT INTO muttersprache_tbl (id, value) VALUES (49, 'Koptisch');
INSERT INTO muttersprache_tbl (id, value) VALUES (50, 'Koreanisch');
INSERT INTO muttersprache_tbl (id, value) VALUES (51, 'Krimtatarisch');
INSERT INTO muttersprache_tbl (id, value) VALUES (52, 'Kroatisch');
INSERT INTO muttersprache_tbl (id, value) VALUES (53, 'Kurdisch');
INSERT INTO muttersprache_tbl (id, value) VALUES (54, 'Laotisch');
INSERT INTO muttersprache_tbl (id, value) VALUES (55, 'Lateinisch');
INSERT INTO muttersprache_tbl (id, value) VALUES (56, 'Lettisch');
INSERT INTO muttersprache_tbl (id, value) VALUES (57, 'Lihijanisch');
INSERT INTO muttersprache_tbl (id, value) VALUES (58, 'Litauisch');
INSERT INTO muttersprache_tbl (id, value) VALUES (59, 'Luxemburgisch');
INSERT INTO muttersprache_tbl (id, value) VALUES (60, 'Makedonisch');
INSERT INTO muttersprache_tbl (id, value) VALUES (61, 'Malayalam');
INSERT INTO muttersprache_tbl (id, value) VALUES (62, 'Malaiisch');
INSERT INTO muttersprache_tbl (id, value) VALUES (63, 'Maledivisch');
INSERT INTO muttersprache_tbl (id, value) VALUES (64, 'Maori');
INSERT INTO muttersprache_tbl (id, value) VALUES (65, 'Marathi');
INSERT INTO muttersprache_tbl (id, value) VALUES (66, 'Moabitisch');
INSERT INTO muttersprache_tbl (id, value) VALUES (67, 'Moldawisch');
INSERT INTO muttersprache_tbl (id, value) VALUES (68, 'Mongolisch');
INSERT INTO muttersprache_tbl (id, value) VALUES (69, 'Nabatäisch');
INSERT INTO muttersprache_tbl (id, value) VALUES (70, 'Nepalesisch');
INSERT INTO muttersprache_tbl (id, value) VALUES (71, 'Niederländisch');
INSERT INTO muttersprache_tbl (id, value) VALUES (72, 'Norwegisch');
INSERT INTO muttersprache_tbl (id, value) VALUES (73, 'Ossetisch');
INSERT INTO muttersprache_tbl (id, value) VALUES (74, 'Paschto');
INSERT INTO muttersprache_tbl (id, value) VALUES (75, 'Persisch');
INSERT INTO muttersprache_tbl (id, value) VALUES (76, 'Polnisch');
INSERT INTO muttersprache_tbl (id, value) VALUES (77, 'Portugiesisch');
INSERT INTO muttersprache_tbl (id, value) VALUES (78, 'Punjabi');
INSERT INTO muttersprache_tbl (id, value) VALUES (79, 'Rätoromanisch');
INSERT INTO muttersprache_tbl (id, value) VALUES (80, 'Rumänisch');
INSERT INTO muttersprache_tbl (id, value) VALUES (81, 'Russisch');
INSERT INTO muttersprache_tbl (id, value) VALUES (82, 'Safatenisch');
INSERT INTO muttersprache_tbl (id, value) VALUES (83, 'Samoanisch');
INSERT INTO muttersprache_tbl (id, value) VALUES (84, 'Sanskrit');
INSERT INTO muttersprache_tbl (id, value) VALUES (85, 'Schwedisch');
INSERT INTO muttersprache_tbl (id, value) VALUES (86, 'Serbisch');
INSERT INTO muttersprache_tbl (id, value) VALUES (87, 'Sindhi');
INSERT INTO muttersprache_tbl (id, value) VALUES (88, 'Singhalesisch');
INSERT INTO muttersprache_tbl (id, value) VALUES (89, 'Slowakisch');
INSERT INTO muttersprache_tbl (id, value) VALUES (90, 'Slowenisch');
INSERT INTO muttersprache_tbl (id, value) VALUES (91, 'Spanisch');
INSERT INTO muttersprache_tbl (id, value) VALUES (92, 'Swahili');
INSERT INTO muttersprache_tbl (id, value) VALUES (93, 'Syrisch');
INSERT INTO muttersprache_tbl (id, value) VALUES (94, 'Südarabisch');
INSERT INTO muttersprache_tbl (id, value) VALUES (95, 'Tagalog');
INSERT INTO muttersprache_tbl (id, value) VALUES (96, 'Tamil');
INSERT INTO muttersprache_tbl (id, value) VALUES (97, 'Tamudisch');
INSERT INTO muttersprache_tbl (id, value) VALUES (98, 'Telugu');
INSERT INTO muttersprache_tbl (id, value) VALUES (99, 'Thailändisch');
INSERT INTO muttersprache_tbl (id, value) VALUES (100, 'Tibetisch');
INSERT INTO muttersprache_tbl (id, value) VALUES (101, 'Tigre');
INSERT INTO muttersprache_tbl (id, value) VALUES (102, 'Tigrina');
INSERT INTO muttersprache_tbl (id, value) VALUES (103, 'Tschechisch');
INSERT INTO muttersprache_tbl (id, value) VALUES (104, 'Türkisch');
INSERT INTO muttersprache_tbl (id, value) VALUES (105, 'Ugaritisch');
INSERT INTO muttersprache_tbl (id, value) VALUES (106, 'Uigurisch');
INSERT INTO muttersprache_tbl (id, value) VALUES (107, 'Ukrainisch');
INSERT INTO muttersprache_tbl (id, value) VALUES (108, 'Ungarisch');
INSERT INTO muttersprache_tbl (id, value) VALUES (109, 'Urdu');
INSERT INTO muttersprache_tbl (id, value) VALUES (110, 'Usbekisch');
INSERT INTO muttersprache_tbl (id, value) VALUES (111, 'Vietnamesisch');
INSERT INTO muttersprache_tbl (id, value) VALUES (112, 'Walisisch');
INSERT INTO muttersprache_tbl (id, value) VALUES (113, 'Weissrussisch');
INSERT INTO muttersprache_tbl (id, value) VALUES (114, 'Zulu');
INSERT INTO muttersprache_tbl (id, value) VALUES (115, 'Bosnisch');
INSERT INTO muttersprache_tbl (id, value) VALUES (116, 'Montenegrinisch');

INSERT INTO geburtsland_tbl (id, value) VALUES (-3, 'Unbekannt');
INSERT INTO geburtsland_tbl (id, value) VALUES (-2, 'Sonstiges');
INSERT INTO geburtsland_tbl (id, value) VALUES (-1, 'Keine Angabe');
INSERT INTO geburtsland_tbl (id, value) VALUES (0, 'Afghanistan');
INSERT INTO geburtsland_tbl (id, value) VALUES (1, 'Albanien');
INSERT INTO geburtsland_tbl (id, value) VALUES (2, 'Algerien');
INSERT INTO geburtsland_tbl (id, value) VALUES (3, 'Andorra');
INSERT INTO geburtsland_tbl (id, value) VALUES (4, 'Angola');
INSERT INTO geburtsland_tbl (id, value) VALUES (5, 'Antigua und Barbuda');
INSERT INTO geburtsland_tbl (id, value) VALUES (6, 'Argentinien');
INSERT INTO geburtsland_tbl (id, value) VALUES (7, 'Armenien');
INSERT INTO geburtsland_tbl (id, value) VALUES (8, 'Aserbaidschan');
INSERT INTO geburtsland_tbl (id, value) VALUES (9, 'Australien');
INSERT INTO geburtsland_tbl (id, value) VALUES (10, 'Bahamas');
INSERT INTO geburtsland_tbl (id, value) VALUES (11, 'Bahrain');
INSERT INTO geburtsland_tbl (id, value) VALUES (12, 'Bangladesch');
INSERT INTO geburtsland_tbl (id, value) VALUES (13, 'Barbados');
INSERT INTO geburtsland_tbl (id, value) VALUES (14, 'Belgien');
INSERT INTO geburtsland_tbl (id, value) VALUES (15, 'Belize');
INSERT INTO geburtsland_tbl (id, value) VALUES (16, 'Benin');
INSERT INTO geburtsland_tbl (id, value) VALUES (17, 'Bhutan');
INSERT INTO geburtsland_tbl (id, value) VALUES (18, 'Bolivien');
INSERT INTO geburtsland_tbl (id, value) VALUES (19, 'Bosnien und Herzegowina');
INSERT INTO geburtsland_tbl (id, value) VALUES (20, 'Botsuana');
INSERT INTO geburtsland_tbl (id, value) VALUES (21, 'Brasilien');
INSERT INTO geburtsland_tbl (id, value) VALUES (22, 'Brunei Darussalam');
INSERT INTO geburtsland_tbl (id, value) VALUES (23, 'Bulgarien');
INSERT INTO geburtsland_tbl (id, value) VALUES (24, 'Burkina Faso');
INSERT INTO geburtsland_tbl (id, value) VALUES (25, 'Burundi');
INSERT INTO geburtsland_tbl (id, value) VALUES (26, 'Chile');
INSERT INTO geburtsland_tbl (id, value) VALUES (27, 'China');
INSERT INTO geburtsland_tbl (id, value) VALUES (28, 'Costa Rica');
INSERT INTO geburtsland_tbl (id, value) VALUES (29, 'Deutschland');
INSERT INTO geburtsland_tbl (id, value) VALUES (30, 'Dominica');
INSERT INTO geburtsland_tbl (id, value) VALUES (31, 'Dominikanische Republik');
INSERT INTO geburtsland_tbl (id, value) VALUES (32, 'Dschibuti');
INSERT INTO geburtsland_tbl (id, value) VALUES (33, 'Dänemark');
INSERT INTO geburtsland_tbl (id, value) VALUES (34, 'Ecuador');
INSERT INTO geburtsland_tbl (id, value) VALUES (35, 'El Salvador');
INSERT INTO geburtsland_tbl (id, value) VALUES (36, 'Côte d''Ivoire');
INSERT INTO geburtsland_tbl (id, value) VALUES (37, 'Eritrea');
INSERT INTO geburtsland_tbl (id, value) VALUES (38, 'Estland');
INSERT INTO geburtsland_tbl (id, value) VALUES (39, 'Fidschi');
INSERT INTO geburtsland_tbl (id, value) VALUES (40, 'Finnland');
INSERT INTO geburtsland_tbl (id, value) VALUES (41, 'Frankreich');
INSERT INTO geburtsland_tbl (id, value) VALUES (42, 'Gabun');
INSERT INTO geburtsland_tbl (id, value) VALUES (43, 'Gambia');
INSERT INTO geburtsland_tbl (id, value) VALUES (44, 'Georgien');
INSERT INTO geburtsland_tbl (id, value) VALUES (45, 'Ghana');
INSERT INTO geburtsland_tbl (id, value) VALUES (46, 'Grenada');
INSERT INTO geburtsland_tbl (id, value) VALUES (47, 'Griechenland');
INSERT INTO geburtsland_tbl (id, value) VALUES (48, 'Großbritannien / Vereinigtes Königreich');
INSERT INTO geburtsland_tbl (id, value) VALUES (49, 'Guatemala');
INSERT INTO geburtsland_tbl (id, value) VALUES (50, 'Guinea');
INSERT INTO geburtsland_tbl (id, value) VALUES (51, 'Guinea-Bissau');
INSERT INTO geburtsland_tbl (id, value) VALUES (52, 'Guyana');
INSERT INTO geburtsland_tbl (id, value) VALUES (53, 'Haiti');
INSERT INTO geburtsland_tbl (id, value) VALUES (54, 'Honduras');
INSERT INTO geburtsland_tbl (id, value) VALUES (55, 'Indien');
INSERT INTO geburtsland_tbl (id, value) VALUES (56, 'Indonesien');
INSERT INTO geburtsland_tbl (id, value) VALUES (57, 'Irak');
INSERT INTO geburtsland_tbl (id, value) VALUES (58, 'Iran');
INSERT INTO geburtsland_tbl (id, value) VALUES (59, 'Irland');
INSERT INTO geburtsland_tbl (id, value) VALUES (60, 'Island');
INSERT INTO geburtsland_tbl (id, value) VALUES (61, 'Israel');
INSERT INTO geburtsland_tbl (id, value) VALUES (62, 'Italien');
INSERT INTO geburtsland_tbl (id, value) VALUES (63, 'Jamaika');
INSERT INTO geburtsland_tbl (id, value) VALUES (64, 'Japan');
INSERT INTO geburtsland_tbl (id, value) VALUES (65, 'Jemen');
INSERT INTO geburtsland_tbl (id, value) VALUES (66, 'Jordanien');
INSERT INTO geburtsland_tbl (id, value) VALUES (67, 'Kambodscha');
INSERT INTO geburtsland_tbl (id, value) VALUES (68, 'Kamerun');
INSERT INTO geburtsland_tbl (id, value) VALUES (69, 'Kanada');
INSERT INTO geburtsland_tbl (id, value) VALUES (70, 'Kap Verde');
INSERT INTO geburtsland_tbl (id, value) VALUES (71, 'Kasachstan');
INSERT INTO geburtsland_tbl (id, value) VALUES (72, 'Katar');
INSERT INTO geburtsland_tbl (id, value) VALUES (73, 'Kenia');
INSERT INTO geburtsland_tbl (id, value) VALUES (74, 'Kirgisistan');
INSERT INTO geburtsland_tbl (id, value) VALUES (75, 'Kiribati');
INSERT INTO geburtsland_tbl (id, value) VALUES (76, 'Kolumbien');
INSERT INTO geburtsland_tbl (id, value) VALUES (77, 'Komoren');
INSERT INTO geburtsland_tbl (id, value) VALUES (78, 'Kongo (Demokratische Republik Kongo)');
INSERT INTO geburtsland_tbl (id, value) VALUES (79, 'Kongo (Republik Kongo)');
INSERT INTO geburtsland_tbl (id, value) VALUES (80, 'Korea (Demokratische Volksrepublik, Nordkorea)');
INSERT INTO geburtsland_tbl (id, value) VALUES (81, 'Korea, (Republik Korea, Südkorea)');
INSERT INTO geburtsland_tbl (id, value) VALUES (82, 'Kroatien');
INSERT INTO geburtsland_tbl (id, value) VALUES (83, 'Kuba');
INSERT INTO geburtsland_tbl (id, value) VALUES (84, 'Kuwait');
INSERT INTO geburtsland_tbl (id, value) VALUES (85, 'Laos');
INSERT INTO geburtsland_tbl (id, value) VALUES (86, 'Lesotho');
INSERT INTO geburtsland_tbl (id, value) VALUES (87, 'Lettland');
INSERT INTO geburtsland_tbl (id, value) VALUES (88, 'Libanon');
INSERT INTO geburtsland_tbl (id, value) VALUES (89, 'Liberia');
INSERT INTO geburtsland_tbl (id, value) VALUES (90, 'Libyen');
INSERT INTO geburtsland_tbl (id, value) VALUES (91, 'Liechtenstein');
INSERT INTO geburtsland_tbl (id, value) VALUES (92, 'Litauen');
INSERT INTO geburtsland_tbl (id, value) VALUES (93, 'Luxemburg');
INSERT INTO geburtsland_tbl (id, value) VALUES (94, 'Madagaskar');
INSERT INTO geburtsland_tbl (id, value) VALUES (95, 'Malawi');
INSERT INTO geburtsland_tbl (id, value) VALUES (96, 'Malaysia');
INSERT INTO geburtsland_tbl (id, value) VALUES (97, 'Malediven');
INSERT INTO geburtsland_tbl (id, value) VALUES (98, 'Mali');
INSERT INTO geburtsland_tbl (id, value) VALUES (99, 'Malta');
INSERT INTO geburtsland_tbl (id, value) VALUES (100, 'Marokko');
INSERT INTO geburtsland_tbl (id, value) VALUES (101, 'Marshallinseln');
INSERT INTO geburtsland_tbl (id, value) VALUES (102, 'Mauretanien');
INSERT INTO geburtsland_tbl (id, value) VALUES (103, 'Mauritius');
INSERT INTO geburtsland_tbl (id, value) VALUES (104, 'Ehemalige jugoslawische Republik Mazedonien');
INSERT INTO geburtsland_tbl (id, value) VALUES (105, 'Mexiko');
INSERT INTO geburtsland_tbl (id, value) VALUES (106, 'Mikronesien');
INSERT INTO geburtsland_tbl (id, value) VALUES (107, 'Republik Moldau');
INSERT INTO geburtsland_tbl (id, value) VALUES (108, 'Monaco');
INSERT INTO geburtsland_tbl (id, value) VALUES (109, 'Mongolei');
INSERT INTO geburtsland_tbl (id, value) VALUES (110, 'Montenegro');
INSERT INTO geburtsland_tbl (id, value) VALUES (111, 'Mosambik');
INSERT INTO geburtsland_tbl (id, value) VALUES (112, 'Myanmar');
INSERT INTO geburtsland_tbl (id, value) VALUES (113, 'Namibia');
INSERT INTO geburtsland_tbl (id, value) VALUES (114, 'Nauru');
INSERT INTO geburtsland_tbl (id, value) VALUES (115, 'Nepal');
INSERT INTO geburtsland_tbl (id, value) VALUES (116, 'Neuseeland');
INSERT INTO geburtsland_tbl (id, value) VALUES (117, 'Nicaragua');
INSERT INTO geburtsland_tbl (id, value) VALUES (118, 'Niederlande');
INSERT INTO geburtsland_tbl (id, value) VALUES (119, 'Niger');
INSERT INTO geburtsland_tbl (id, value) VALUES (120, 'Nigeria');
INSERT INTO geburtsland_tbl (id, value) VALUES (121, 'Norwegen');
INSERT INTO geburtsland_tbl (id, value) VALUES (122, 'Oman');
INSERT INTO geburtsland_tbl (id, value) VALUES (123, 'Timor-Leste');
INSERT INTO geburtsland_tbl (id, value) VALUES (124, 'Pakistan');
INSERT INTO geburtsland_tbl (id, value) VALUES (125, 'Palau');
INSERT INTO geburtsland_tbl (id, value) VALUES (126, 'Panama');
INSERT INTO geburtsland_tbl (id, value) VALUES (127, 'Papua-Neuguinea');
INSERT INTO geburtsland_tbl (id, value) VALUES (128, 'Paraguay');
INSERT INTO geburtsland_tbl (id, value) VALUES (129, 'Peru');
INSERT INTO geburtsland_tbl (id, value) VALUES (130, 'Philippinen');
INSERT INTO geburtsland_tbl (id, value) VALUES (131, 'Polen');
INSERT INTO geburtsland_tbl (id, value) VALUES (132, 'Portugal');
INSERT INTO geburtsland_tbl (id, value) VALUES (133, 'Ruanda');
INSERT INTO geburtsland_tbl (id, value) VALUES (134, 'Rumänien');
INSERT INTO geburtsland_tbl (id, value) VALUES (135, 'Russische Föderation');
INSERT INTO geburtsland_tbl (id, value) VALUES (136, 'Salomonen');
INSERT INTO geburtsland_tbl (id, value) VALUES (137, 'Sambia');
INSERT INTO geburtsland_tbl (id, value) VALUES (138, 'Samoa');
INSERT INTO geburtsland_tbl (id, value) VALUES (139, 'San Marino');
INSERT INTO geburtsland_tbl (id, value) VALUES (140, 'Saudi-Arabien');
INSERT INTO geburtsland_tbl (id, value) VALUES (141, 'Schweden');
INSERT INTO geburtsland_tbl (id, value) VALUES (142, 'Schweiz');
INSERT INTO geburtsland_tbl (id, value) VALUES (143, 'Senegal');
INSERT INTO geburtsland_tbl (id, value) VALUES (144, 'Serbien');
INSERT INTO geburtsland_tbl (id, value) VALUES (145, 'Seychellen');
INSERT INTO geburtsland_tbl (id, value) VALUES (146, 'Sierra Leone');
INSERT INTO geburtsland_tbl (id, value) VALUES (147, 'Simbabwe');
INSERT INTO geburtsland_tbl (id, value) VALUES (148, 'Singapur');
INSERT INTO geburtsland_tbl (id, value) VALUES (149, 'Slowakei');
INSERT INTO geburtsland_tbl (id, value) VALUES (150, 'Slowenien');
INSERT INTO geburtsland_tbl (id, value) VALUES (151, 'Somalia');
INSERT INTO geburtsland_tbl (id, value) VALUES (152, 'Spanien');
INSERT INTO geburtsland_tbl (id, value) VALUES (153, 'Sri Lanka');
INSERT INTO geburtsland_tbl (id, value) VALUES (154, 'St. Kitts und Nevis');
INSERT INTO geburtsland_tbl (id, value) VALUES (155, 'St. Lucia');
INSERT INTO geburtsland_tbl (id, value) VALUES (156, 'St. Vincent und die Grenadinen');
INSERT INTO geburtsland_tbl (id, value) VALUES (157, 'Sudan');
INSERT INTO geburtsland_tbl (id, value) VALUES (158, 'Suriname');
INSERT INTO geburtsland_tbl (id, value) VALUES (159, 'Swasiland');
INSERT INTO geburtsland_tbl (id, value) VALUES (160, 'Syrien');
INSERT INTO geburtsland_tbl (id, value) VALUES (161, 'São Tomé und Príncipe');
INSERT INTO geburtsland_tbl (id, value) VALUES (162, 'Südafrika');
INSERT INTO geburtsland_tbl (id, value) VALUES (163, 'Tadschikistan');
INSERT INTO geburtsland_tbl (id, value) VALUES (164, 'Tansania');
INSERT INTO geburtsland_tbl (id, value) VALUES (165, 'Thailand');
INSERT INTO geburtsland_tbl (id, value) VALUES (166, 'Togo');
INSERT INTO geburtsland_tbl (id, value) VALUES (167, 'Tonga');
INSERT INTO geburtsland_tbl (id, value) VALUES (168, 'Trinidad und Tobago');
INSERT INTO geburtsland_tbl (id, value) VALUES (169, 'Tschad');
INSERT INTO geburtsland_tbl (id, value) VALUES (170, 'Tschechische Republik');
INSERT INTO geburtsland_tbl (id, value) VALUES (171, 'Tunesien');
INSERT INTO geburtsland_tbl (id, value) VALUES (172, 'Turkmenistan');
INSERT INTO geburtsland_tbl (id, value) VALUES (173, 'Tuvalu');
INSERT INTO geburtsland_tbl (id, value) VALUES (174, 'Türkei');
INSERT INTO geburtsland_tbl (id, value) VALUES (175, 'Uganda');
INSERT INTO geburtsland_tbl (id, value) VALUES (176, 'Ukraine');
INSERT INTO geburtsland_tbl (id, value) VALUES (177, 'Ungarn');
INSERT INTO geburtsland_tbl (id, value) VALUES (178, 'Uruguay');
INSERT INTO geburtsland_tbl (id, value) VALUES (179, 'Usbekistan');
INSERT INTO geburtsland_tbl (id, value) VALUES (180, 'Vanuatu');
INSERT INTO geburtsland_tbl (id, value) VALUES (181, 'Vatikan / Heiliger Stuhl');
INSERT INTO geburtsland_tbl (id, value) VALUES (182, 'Venezuela');
INSERT INTO geburtsland_tbl (id, value) VALUES (183, 'Vereinigte Arabische Emirate');
INSERT INTO geburtsland_tbl (id, value) VALUES (184, 'Vereinigte Staaten von Amerika');
INSERT INTO geburtsland_tbl (id, value) VALUES (185, 'Vietnam');
INSERT INTO geburtsland_tbl (id, value) VALUES (186, 'Weißrussland / Belarus');
INSERT INTO geburtsland_tbl (id, value) VALUES (187, 'Zentralafrikanische Republik');
INSERT INTO geburtsland_tbl (id, value) VALUES (188, 'Zypern');
INSERT INTO geburtsland_tbl (id, value) VALUES (189, 'Ägypten');
INSERT INTO geburtsland_tbl (id, value) VALUES (190, 'Äquatorialguinea');
INSERT INTO geburtsland_tbl (id, value) VALUES (191, 'Äthiopien');
INSERT INTO geburtsland_tbl (id, value) VALUES (192, 'Österreich');
INSERT INTO geburtsland_tbl (id, value) VALUES (193, 'Cookinseln');
INSERT INTO geburtsland_tbl (id, value) VALUES (194, 'Hongkong');
INSERT INTO geburtsland_tbl (id, value) VALUES (195, 'Kosovo');
INSERT INTO geburtsland_tbl (id, value) VALUES (196, 'Macau');
INSERT INTO geburtsland_tbl (id, value) VALUES (197, 'Palästinensische Gebiete');
INSERT INTO geburtsland_tbl (id, value) VALUES (198, 'Taiwan');

INSERT INTO groesse_wohnort_tbl (id, value) VALUES (-3, 'Unbekannt');
INSERT INTO groesse_wohnort_tbl (id, value) VALUES (-1, 'Keine Angabe');
INSERT INTO groesse_wohnort_tbl (id, value) VALUES (0, 'Großstadt (> 100.000 Einwohner)');
INSERT INTO groesse_wohnort_tbl (id, value) VALUES (1, 'Mittelstadt (20.000 - 100.000 Einwohner)');
INSERT INTO groesse_wohnort_tbl (id, value) VALUES (2, 'Kleinstadt (< 20.000 Einwohner)');
INSERT INTO groesse_wohnort_tbl (id, value) VALUES (3, 'Ländliche Region');

INSERT INTO familienstand_tbl (id, value) VALUES (-3, 'Unbekannt');
INSERT INTO familienstand_tbl (id, value) VALUES (-1, 'Keine Angabe');
INSERT INTO familienstand_tbl (id, value) VALUES (0, 'ledig');
INSERT INTO familienstand_tbl (id, value) VALUES (1, 'verheiratet');
INSERT INTO familienstand_tbl (id, value) VALUES (2, 'geschieden');
INSERT INTO familienstand_tbl (id, value) VALUES (3, 'verwitwet');
INSERT INTO familienstand_tbl (id, value) VALUES (4, 'getrennt lebend');
INSERT INTO familienstand_tbl (id, value) VALUES (5, 'in fester Partnerschaft');

INSERT INTO geschlecht_tbl (id, value) VALUES (-3, 'Unbekannt');
INSERT INTO geschlecht_tbl (id, value) VALUES (-1, 'Keine Angabe');
INSERT INTO geschlecht_tbl (id, value) VALUES (0, 'weiblich');
INSERT INTO geschlecht_tbl (id, value) VALUES (1, 'männlich');

INSERT INTO schnittstelle_zu_tbl (id, value) VALUES (-3, 'Unbekannt');
INSERT INTO schnittstelle_zu_tbl (id, value) VALUES (-1, 'Keine Angabe');
INSERT INTO schnittstelle_zu_tbl (id, value) VALUES (0, 'SGB II');
INSERT INTO schnittstelle_zu_tbl (id, value) VALUES (1, 'SGB III');
INSERT INTO schnittstelle_zu_tbl (id, value) VALUES (2, 'SGB VIII');
INSERT INTO schnittstelle_zu_tbl (id, value) VALUES (3, 'ungeklärt');
INSERT INTO schnittstelle_zu_tbl (id, value) VALUES (4, 'SGB XII');
INSERT INTO schnittstelle_zu_tbl (id, value) VALUES (5, 'SGB IX');
INSERT INTO schnittstelle_zu_tbl (id, value) VALUES (6, 'Asylbewerberleistungsgesetz');
INSERT INTO schnittstelle_zu_tbl (id, value) VALUES (7, 'Bundesausbildungsförderungsgesetz');
INSERT INTO schnittstelle_zu_tbl (id, value) VALUES (8, 'keine Schnittstelle');

INSERT INTO rechtlicher_kontext_tbl (id, value) VALUES (-3, 'Unbekannt');
INSERT INTO rechtlicher_kontext_tbl (id, value) VALUES (-1, 'Keine Angabe');
INSERT INTO rechtlicher_kontext_tbl (id, value) VALUES (0, 'SGB II');
INSERT INTO rechtlicher_kontext_tbl (id, value) VALUES (1, 'SGB III');
INSERT INTO rechtlicher_kontext_tbl (id, value) VALUES (2, 'SGB VIII');
INSERT INTO rechtlicher_kontext_tbl (id, value) VALUES (3, 'ungeklärt');
INSERT INTO rechtlicher_kontext_tbl (id, value) VALUES (4, 'SGB XII');
INSERT INTO rechtlicher_kontext_tbl (id, value) VALUES (5, 'SGB IX');
INSERT INTO rechtlicher_kontext_tbl (id, value) VALUES (6, 'Asylbewerberleistungsgesetz');
INSERT INTO rechtlicher_kontext_tbl (id, value) VALUES (7, 'Bundesausbildungsförderungsgesetz');
INSERT INTO rechtlicher_kontext_tbl (id, value) VALUES (8, 'kein Rechtskreis im Sinne des Leistungsbezugs');

INSERT INTO bei_eintritt_ist_der_jugendliche_tbl (id, value) VALUES (-3, 'Unbekannt');
INSERT INTO bei_eintritt_ist_der_jugendliche_tbl (id, value) VALUES (-2, 'sonstiges');
INSERT INTO bei_eintritt_ist_der_jugendliche_tbl (id, value) VALUES (-1, 'Keine Angabe');
INSERT INTO bei_eintritt_ist_der_jugendliche_tbl (id, value) VALUES (0, 'Alteintrag "in der Schule"');
INSERT INTO bei_eintritt_ist_der_jugendliche_tbl (id, value) VALUES (1, 'in Ausbildung ohne genauere Angaben');
INSERT INTO bei_eintritt_ist_der_jugendliche_tbl (id, value) VALUES (2, 'in Arbeit ohne Angaben zum Beschäftigungsumfang');
INSERT INTO bei_eintritt_ist_der_jugendliche_tbl (id, value) VALUES (3, 'arbeitslos (gemeldet)');
INSERT INTO bei_eintritt_ist_der_jugendliche_tbl (id, value) VALUES (4, 'Erziehungszeit');
INSERT INTO bei_eintritt_ist_der_jugendliche_tbl (id, value) VALUES (5, 'sonstige Maßnahme (z.B. EQJ)');
INSERT INTO bei_eintritt_ist_der_jugendliche_tbl (id, value) VALUES (6, 'Selbstständig / freiberuflich');
INSERT INTO bei_eintritt_ist_der_jugendliche_tbl (id, value) VALUES (7, 'andere Schule (z.B. Berufsfachschule)');
INSERT INTO bei_eintritt_ist_der_jugendliche_tbl (id, value) VALUES (8, 'schulische Berufsausbildung');
INSERT INTO bei_eintritt_ist_der_jugendliche_tbl (id, value) VALUES (9, 'geförderte Berufsausbildung (BaE)');
INSERT INTO bei_eintritt_ist_der_jugendliche_tbl (id, value) VALUES (10, 'berufsvorbereitende Bildungsnaßnahmen: z.B. BvB (Bund), BVJ/BGJ (Länder)');
INSERT INTO bei_eintritt_ist_der_jugendliche_tbl (id, value) VALUES (11, 'kein Status (z.B. Ausbildungsplatz suchend, nicht arbeitslos gemeldet)');
INSERT INTO bei_eintritt_ist_der_jugendliche_tbl (id, value) VALUES (12, 'Vollzeit beschäftigt');
INSERT INTO bei_eintritt_ist_der_jugendliche_tbl (id, value) VALUES (13, 'Teilzeit beschäftigt');
INSERT INTO bei_eintritt_ist_der_jugendliche_tbl (id, value) VALUES (14, 'Geringfügig beschäftigt');
INSERT INTO bei_eintritt_ist_der_jugendliche_tbl (id, value) VALUES (15, 'allgemeinbildende Schule');
INSERT INTO bei_eintritt_ist_der_jugendliche_tbl (id, value) VALUES (16, 'duale Berufsausbildung (auch Verbundausbildung)');

INSERT INTO letzte_jahr_allg_schule_tbl (id, value) VALUES (-3, 'Unbekannt');
INSERT INTO letzte_jahr_allg_schule_tbl (id, value) VALUES (-1, 'Keine Angabe');
INSERT INTO letzte_jahr_allg_schule_tbl (id, value) VALUES (0, 'Nein');
INSERT INTO letzte_jahr_allg_schule_tbl (id, value) VALUES (1, 'Ja');

INSERT INTO art_erstkontakt_tbl (id, value) VALUES (-3, 'Unbekannt');
INSERT INTO art_erstkontakt_tbl (id, value) VALUES (-1, 'Keine Angabe');
INSERT INTO art_erstkontakt_tbl (id, value) VALUES (0, 'nicht aufsuchend');
INSERT INTO art_erstkontakt_tbl (id, value) VALUES (1, 'aufsuchend');

INSERT INTO zugang_kompetenzagentur_tbl (id, value) VALUES (-3, 'Unbekannt');
INSERT INTO zugang_kompetenzagentur_tbl (id, value) VALUES (-2, 'Sonstiges');
INSERT INTO zugang_kompetenzagentur_tbl (id, value) VALUES (-1, 'Keine Angabe');
INSERT INTO zugang_kompetenzagentur_tbl (id, value) VALUES (0, 'Eigenständiger Zugang des Jugendlichen');
INSERT INTO zugang_kompetenzagentur_tbl (id, value) VALUES (1, 'Familie');
INSERT INTO zugang_kompetenzagentur_tbl (id, value) VALUES (2, 'Verwandte');
INSERT INTO zugang_kompetenzagentur_tbl (id, value) VALUES (3, 'Freunde');
INSERT INTO zugang_kompetenzagentur_tbl (id, value) VALUES (4, 'Alteintrag "Lehrer/Lehrerin"');
INSERT INTO zugang_kompetenzagentur_tbl (id, value) VALUES (5, 'Andere Menschen aus dem sozialen Umfeld des Jugendlichen');
INSERT INTO zugang_kompetenzagentur_tbl (id, value) VALUES (6, 'Agentur für Arbeit');
INSERT INTO zugang_kompetenzagentur_tbl (id, value) VALUES (7, 'Träger der Grundsicherung');
INSERT INTO zugang_kompetenzagentur_tbl (id, value) VALUES (8, 'Jugendamt');
INSERT INTO zugang_kompetenzagentur_tbl (id, value) VALUES (9, 'Jugendhilfeeinrichtung');
INSERT INTO zugang_kompetenzagentur_tbl (id, value) VALUES (10, 'Alteintrag "Schule"');
INSERT INTO zugang_kompetenzagentur_tbl (id, value) VALUES (11, 'Aufsuchende Arbeit durch Kooperation mit Streetwork/mobiler Jugendarbeit');
INSERT INTO zugang_kompetenzagentur_tbl (id, value) VALUES (12, 'Beratungsstelle');
INSERT INTO zugang_kompetenzagentur_tbl (id, value) VALUES (13, 'Unternehmen');
INSERT INTO zugang_kompetenzagentur_tbl (id, value) VALUES (14, 'Aufsuchende Arbeit durch die Kompetenzagentur');
INSERT INTO zugang_kompetenzagentur_tbl (id, value) VALUES (15, 'Streetwork/mobile Jugendarbeit durch die Kompetenzagentur');
INSERT INTO zugang_kompetenzagentur_tbl (id, value) VALUES (16, 'Programm "Schulverweigerung - 2. Chance"');
INSERT INTO zugang_kompetenzagentur_tbl (id, value) VALUES (17, 'Programm "Stärken vor Ort"');
INSERT INTO zugang_kompetenzagentur_tbl (id, value) VALUES (18, 'Jugendgerichtshilfe, Bewährungshilfe');
INSERT INTO zugang_kompetenzagentur_tbl (id, value) VALUES (19, 'Bildungsträger');
INSERT INTO zugang_kompetenzagentur_tbl (id, value) VALUES (20, 'Andere "Kompetenzagentur"');
INSERT INTO zugang_kompetenzagentur_tbl (id, value) VALUES (21, 'Andere Schule (z.B. Berufsfachschule)');
INSERT INTO zugang_kompetenzagentur_tbl (id, value) VALUES (22, 'Programm "Jugendmigrationsdienste (JMD)"');
INSERT INTO zugang_kompetenzagentur_tbl (id, value) VALUES (23, 'Allgemeinbildende Schule');

INSERT INTO zeitraum_nachbetreuung_tbl (id, value) VALUES (-3, 'Unbekannt');
INSERT INTO zeitraum_nachbetreuung_tbl (id, value) VALUES (-1, 'Keine Angabe');
INSERT INTO zeitraum_nachbetreuung_tbl (id, value) VALUES (0, 'bis zu 1 Monat');
INSERT INTO zeitraum_nachbetreuung_tbl (id, value) VALUES (1, 'bis zu 3 Monaten');
INSERT INTO zeitraum_nachbetreuung_tbl (id, value) VALUES (2, 'bis zu 6 Monaten');
INSERT INTO zeitraum_nachbetreuung_tbl (id, value) VALUES (3, 'mehr als 6 Monate');

INSERT INTO phase_tbl (id, value) VALUES (-1, 'Keine Angabe');
INSERT INTO phase_tbl (id, value) VALUES (0, 'Klärung läuft');
INSERT INTO phase_tbl (id, value) VALUES (1, 'Klärung beendet');
INSERT INTO phase_tbl (id, value) VALUES (2, 'Case-Management läuft');
INSERT INTO phase_tbl (id, value) VALUES (3, 'Case-Management beendet');
INSERT INTO phase_tbl (id, value) VALUES (4, 'Nachbetreuung läuft');
INSERT INTO phase_tbl (id, value) VALUES (5, 'Nachbetreuung beendet');
INSERT INTO phase_tbl (id, value) VALUES (6, 'Beratung läuft');
INSERT INTO phase_tbl (id, value) VALUES (7, 'Beratung beendet');

INSERT INTO einwilligung_tbl (id, value) VALUES (-1, 'Keine Angabe');
INSERT INTO einwilligung_tbl (id, value) VALUES (0, 'Nein');
INSERT INTO einwilligung_tbl (id, value) VALUES (1, 'Ja');

-- -- --
-- -- --
-- -- -- END Autogenerated INSERT part of sql statements
-- -- -- 

COMMIT;
