#!/bin/bash
PORT=${1:-5432}
DATE=`date +"%Y-%m-%d"`

#Dumpen und Sichern
for FKZ in `cat KA_list`
do
  # Dumpen
  pg_dump -p ${PORT} -a --format=p --disable-triggers --column-inserts -t ka_\* -t db_\* -t master_tbl\* -t rg_\* -T ka_logbuch_art_tbl -T ka_phasen_tbl -T ka_nachrichten_art_tbl -f dump_ka_${FKZ}_db_${DATE}.sql ka_${FKZ}_db
  # Sichern aka Umbennen
  psql -c "ALTER DATABASE ka_${FKZ}_db RENAME TO ka_${FKZ}_db_backup"
done;

#Neu anlegen
./bin/create_databases_withoutroles.sh

#Daten Wiederherstellen
for FKZ in `cat KA_list`
do
  # Dumpen
  psql ka_${FKZ}_db -p ${PORT} <<EOF
    DELETE FROM ka_konfiguration_tbl;
    \i dump_ka_${FKZ}_db_${DATE}.sql
EOF
done;
exit 0;
