#!/bin/sh

#
# harvester.sh
#
# Sammeln von Informationen ber den Zustand der Datenbanken der KA
#

DATABASES=`psql -t -c "SELECT datname FROM pg_database WHERE datname LIKE 'ka_%';" postgres`
for DB in ${DATABASES}
do
    FKZ=`psql -t -c "SELECT wert FROM ka_konfiguration_tbl WHERE bez='fkz';" ${DB}`
    MYDB=`echo ${DB} | sed "s/ka_//g" | sed "s/_db//g"`
    NAME=`psql -t -c "SELECT wert FROM ka_konfiguration_tbl WHERE bez='ka_name';" ${DB}`
    ANON=`psql -t -c "SELECT wert FROM ka_konfiguration_tbl WHERE bez='anon_transfer';" ${DB}`
    FILES=`psql -t -c "SELECT count(id) FROM master_tbl;" ${DB}`
    USER=`psql -t -c "SELECT array_upper(grolist, 1) FROM pg_group WHERE groname = lower('ka_${MYDB}_cm_ka');" ${DB}`
    #echo ${MYDB} ${FKZ} ${NAME} ${USER} ${FILES} ${ANON}
    printf "%-10s|%-10s|%2s|%4s|%3s|%s\n" "${MYDB}" "${FKZ}" "${USER}" "${FILES}" "${ANON}" "${NAME}"
    #printf "%-10s|%3s|%s\n" "${MYDB}" "${ANON}" "Ende"
    #echo ${MYDB}"|"${FKZ}"|"${USER}"|"${FILES}"|"${ANON}"|"${NAME}
    #echo "${NAME}"
done
