BEGIN;

-- PL/Python ist eine 'untrusted' Sprache
SET ROLE postgres;

-- Log the update
INSERT INTO db_history (beschreibung, zeitpunkt) 
	VALUES ('update_1_0_2/hotfix/01-uuid.sql', current_timestamp);

-- Generiert eine UUID
--
CREATE OR REPLACE FUNCTION generate_uuidgen()
RETURNS   text AS
$BODY$
    from commands import getstatusoutput
    from random   import randint
    try:
        result = getstatusoutput("/usr/bin/uuid -v4")
        if result[0] != 0: raise Exception()
        return result[1].strip()
    except:
        count = 500
        while count > 0:
            nid = "%08x-%04x-%04x-%04x-%012x" % (
                randint(0, 1 <<  8*4),
                randint(0, 1 <<  4*4),
                randint(0, 1 <<  4*4),
                randint(0, 1 <<  4*4),
                randint(0, 1 << 12*4))
            if len(nid) == 36:
                return nid
            count -= 1
        raise Exception("UUID generator failed")
$BODY$
LANGUAGE 'plpythonu' VOLATILE;

REVOKE ALL ON FUNCTION generate_uuidgen() FROM public;
GRANT EXECUTE ON FUNCTION generate_uuidgen() TO GROUP :cm_ka_group;
GRANT EXECUTE ON FUNCTION generate_uuidgen() TO GROUP :admin_ka_group;
ALTER FUNCTION generate_uuidgen() OWNER TO :adm_ka_owner;

COMMIT;

