BEGIN;

-- Disbable trigger
ALTER TABLE ka_logbuch_tbl DISABLE TRIGGER ALL;

SET ROLE :db_adm;

INSERT INTO db_history (beschreibung, zeitpunkt)
       VALUES ('update_1_5_6/01-logbook.sql', current_timestamp);

-- Add new options
INSERT INTO ka_logbuch_art_tbl (id, beschreibung) VALUES (11, 'Gespräch mit Eltern/ Personensorgeberechtigten');
INSERT INTO ka_logbuch_art_tbl (id, beschreibung) VALUES (12, 'Korrespondenz mit Eltern/ Personensorgeberechtigten (Telefonate/ Schriftverkehr)');
INSERT INTO ka_logbuch_art_tbl (id, beschreibung) VALUES (13, 'Sonstige Maßnahmen der Elternarbeit');
INSERT INTO ka_logbuch_art_tbl (id, beschreibung) VALUES (14, 'Fahrtwege');
INSERT INTO ka_logbuch_art_tbl (id, beschreibung) VALUES (15, 'Dokumentation WASKA');
INSERT INTO ka_logbuch_art_tbl (id, beschreibung) VALUES (16, 'Teambesprechung');

-- Rename options
UPDATE ka_logbuch_art_tbl set beschreibung = 'Sonstige Angaben' where id = -2;
UPDATE ka_logbuch_art_tbl set beschreibung = 'Korrespondenz mit dem Jugendlichen (Telefonate/ Schriftverkehr)' where id = 2;
UPDATE ka_logbuch_art_tbl set beschreibung = 'Sonstige Betreuung des Jugendlichen' where id = 4;
UPDATE ka_logbuch_art_tbl set beschreibung = 'Förder- und Fallkonferenz' where id = 8;

-- Konvertierung
UPDATE ka_logbuch_tbl set kurz_notiz='Erstgespräch' || (case when kurz_notiz is NULL then '' else ': ' || kurz_notiz end) where art = 9;
UPDATE ka_logbuch_tbl set art = 4 where art = 9;

-- ENABLE trigger
SET ROLE postgres;
ALTER TABLE ka_logbuch_tbl ENABLE TRIGGER ALL;

COMMIT;
