BEGIN;

SET ROLE :db_adm;

INSERT INTO db_history (beschreibung, zeitpunkt)
       VALUES ('update_1_5_6/08-nachbetreuung.sql', current_timestamp);


-- Nachbetreuung wurde verschoben auf eigene Seite, daher ändern sich hier die
-- views.
DROP VIEW page_17_view;
CREATE VIEW page_17_view AS SELECT master_tbl.id, master_tbl.allgemein_bildender_schulabschluss, master_tbl.allgemein_bildender_schulabschluss_sonstiges_nennung, master_tbl.massnahmeabschluss, master_tbl.schulart, master_tbl.schule_sonstiges_nennung, master_tbl.klassenstufe_1, master_tbl.ausbildung, master_tbl.ausbildung_sonstiges_nennung, master_tbl.umschulung, master_tbl.umschulung_nennung, master_tbl.arbeitstaetigkeit, master_tbl.erwerbstatus, master_tbl.erwerbsstatus_sonstiges_nennung, master_tbl.beschaeftigungsumfang, master_tbl.kategorien_nichterwerbsarbeit_nichtausbildung, master_tbl.kategorien_sonstiges_nennung FROM master_tbl WHERE (((master_tbl.bearbeiter_id = getuserid()) OR (master_tbl.id IN (SELECT nm.master_id FROM nm_benutzer_master_tbl nm WHERE (nm.benutzer_id IN (SELECT nm2.gruppe_id FROM nm_benutzer_gruppe_tbl nm2 WHERE (nm2.benutzer_id = getuserid())))))) OR pg_has_role('admin_ka'::name, 'MEMBER'::text));

CREATE RULE page_17_delete_rule AS ON DELETE TO page_17_view DO INSTEAD NOTHING;
CREATE RULE page_17_insert_rule AS ON INSERT TO page_17_view DO INSTEAD NOTHING;
CREATE RULE page_17_update_rule AS ON UPDATE TO page_17_view DO INSTEAD UPDATE master_tbl SET allgemein_bildender_schulabschluss = new.allgemein_bildender_schulabschluss, allgemein_bildender_schulabschluss_sonstiges_nennung = new.allgemein_bildender_schulabschluss_sonstiges_nennung, massnahmeabschluss = new.massnahmeabschluss, schulart = new.schulart, schule_sonstiges_nennung = new.schule_sonstiges_nennung, klassenstufe_1 = new.klassenstufe_1, ausbildung = new.ausbildung, ausbildung_sonstiges_nennung = new.ausbildung_sonstiges_nennung, umschulung = new.umschulung, umschulung_nennung = new.umschulung_nennung, arbeitstaetigkeit = new.arbeitstaetigkeit, erwerbstatus = new.erwerbstatus, erwerbsstatus_sonstiges_nennung = new.erwerbsstatus_sonstiges_nennung, beschaeftigungsumfang = new.beschaeftigungsumfang, kategorien_nichterwerbsarbeit_nichtausbildung = new.kategorien_nichterwerbsarbeit_nichtausbildung, kategorien_sonstiges_nennung = new.kategorien_sonstiges_nennung WHERE (master_tbl.id = new.id);

REVOKE ALL ON TABLE page_17_view FROM PUBLIC;
REVOKE ALL ON TABLE page_17_view FROM :db_adm;
GRANT ALL ON TABLE page_17_view TO :db_adm;
GRANT SELECT,UPDATE ON TABLE page_17_view TO :cm_group;
GRANT SELECT ON TABLE page_17_view TO :admin_group;

CREATE VIEW page_nachbetreuung_view AS
SELECT master_tbl.id, master_tbl.beendigung_nachbetreuung, master_tbl.zeitraum_nachbetreuung, master_tbl.verbleib_nachbetreuung FROM master_tbl WHERE (((master_tbl.bearbeiter_id = getuserid()) OR (master_tbl.id IN (SELECT nm.master_id FROM nm_benutzer_master_tbl nm WHERE (nm.benutzer_id IN (SELECT nm2.gruppe_id FROM nm_benutzer_gruppe_tbl nm2 WHERE (nm2.benutzer_id = getuserid())))))) OR pg_has_role('admin_ka'::name, 'MEMBER'::text));

CREATE RULE page_nachbetreuung_delete_rule AS ON DELETE TO page_nachbetreuung_view DO INSTEAD NOTHING;
CREATE RULE page_nachbetreuung_insert_rule AS ON INSERT TO page_nachbetreuung_view DO INSTEAD NOTHING;
CREATE RULE page_nachbetreuung_update_rule AS ON UPDATE TO page_nachbetreuung_view DO INSTEAD UPDATE master_tbl SET beendigung_nachbetreuung = new.beendigung_nachbetreuung, zeitraum_nachbetreuung = new.zeitraum_nachbetreuung, verbleib_nachbetreuung = new.verbleib_nachbetreuung WHERE (master_tbl.id = new.id); 

REVOKE ALL ON TABLE page_nachbetreuung_view FROM PUBLIC;
REVOKE ALL ON TABLE page_nachbetreuung_view FROM :db_adm;
GRANT ALL ON TABLE page_nachbetreuung_view TO :db_adm;
GRANT SELECT,UPDATE ON TABLE page_nachbetreuung_view TO :cm_group;
GRANT SELECT ON TABLE page_nachbetreuung_view TO :admin_group;

ALTER TABLE verbleib_nachbetreuung_tbl ALTER value TYPE VARCHAR(66);
UPDATE verbleib_nachbetreuung_tbl set value = 'Alteintrag "Schule"' where id = 0;
INSERT INTO verbleib_nachbetreuung_tbl (id, value) VALUES (13, 'andere  Schule (z.B. Berufsfachschule)');
UPDATE verbleib_nachbetreuung_tbl set value = 'Lehrgänge/Maßnahmen (z.B. BvB, BVJ, BGJ, EQJ)' where id = 3;
UPDATE verbleib_nachbetreuung_tbl set value = 'Ausbildung (betrieblich, schulisch, gefördert, Verbundausbildung)' where id = 1;
UPDATE verbleib_nachbetreuung_tbl set value = 'Arbeitslosigkeit (gemeldet)' where id = 5;
INSERT INTO verbleib_nachbetreuung_tbl (id, value) VALUES (14, 'Reintegration nicht erfolgreich');
INSERT INTO verbleib_nachbetreuung_tbl (id, value) VALUES (15, 'allgemeinbildende Schule');

COMMIT;
