BEGIN;

--
-- Temporäres Erweitern des neuen Tabellenlayouts um Spalten und Tabellen aus der WASKA
-- 1.7x für die Datenmigration. 
--
ALTER TABLE master_tbl DISABLE TRIGGER USER;

--SET ROLE :db_adm;

INSERT INTO db_history (beschreibung, zeitpunkt)
       VALUES ('2.0/00_create_hybrid.sql', current_timestamp);

ALTER TABLE master_tbl
  ADD COLUMN anerkannte_behinderung integer DEFAULT -1;
-- Tabelle schon in der neuen enthalten mit ggf. anderen Defaults
--ALTER TABLE master_tbl
--  ADD COLUMN art_erstkontakt integer DEFAULT -1;
ALTER TABLE master_tbl
  ADD COLUMN arzt_gutachten_physisch integer DEFAULT -1;
ALTER TABLE master_tbl
  ADD COLUMN arzt_gutachten_psychisch integer DEFAULT -1;
ALTER TABLE master_tbl
  ADD COLUMN ausbildung integer DEFAULT -1;
ALTER TABLE master_tbl
  ADD COLUMN ausbildung_sonstiges_nennung character varying(60);
ALTER TABLE master_tbl
  ADD COLUMN beschaeftigungsumfang integer DEFAULT -1;
ALTER TABLE master_tbl
  ADD COLUMN einverstaendniserklaerung integer DEFAULT -1;
ALTER TABLE master_tbl
  ADD COLUMN erwerbsstatus_sonstiges_nennung character varying(255);
ALTER TABLE master_tbl
  ADD COLUMN erwerbstatus integer DEFAULT -1;
ALTER TABLE master_tbl
  ADD COLUMN gruende_sonstiges_nennung_4 character varying(60);
ALTER TABLE master_tbl
  ADD COLUMN kategorien_nichterwerbsarbeit_nichtausbildung integer DEFAULT -1;
ALTER TABLE master_tbl
  ADD COLUMN kategorien_sonstiges_nennung character varying(60);
ALTER TABLE master_tbl
  ADD COLUMN klassenstufe_1 integer;
-- Tabelle schon in der neuen enthalten mit ggf. anderen Defaults
--ALTER TABLE master_tbl
--  ADD COLUMN phase integer DEFAULT 0;
ALTER TABLE master_tbl
  ADD COLUMN physische_beeintraechtigungen integer DEFAULT -1;
ALTER TABLE master_tbl
  ADD COLUMN physische_beeintraechtigungen_text character varying(60);
ALTER TABLE master_tbl
  ADD COLUMN psychische_beeintraechtigungen integer DEFAULT -1;
ALTER TABLE master_tbl
  ADD COLUMN psychische_beeintraechtigungen_text character varying(60);
ALTER TABLE master_tbl
  ADD COLUMN schulart integer DEFAULT -1;
ALTER TABLE master_tbl
  ADD COLUMN schule_sonstiges_nennung character varying(100);
-- Tabelle schon in der neuen enthalten mit ggf. anderen Defaults
--ALTER TABLE master_tbl
--  ADD COLUMN verbleib_nachbetreuung integer DEFAULT -1;
ALTER TABLE master_tbl
  ADD COLUMN vermittlung integer DEFAULT -1;
ALTER TABLE master_tbl
  ADD COLUMN vermittlung_nennung character varying(100);
ALTER TABLE master_tbl
  ADD COLUMN zeitraum_fallmanagement integer;

-- Anlegen der Tabellen für die Repeatgroups, ohne Foreignkey-constraints.
CREATE TABLE rg_kompetenzfestellung_tbl (
    id SERIAL PRIMARY KEY NOT NULL,
    master_id INTEGER NOT NULL,
    uuid_id CHAR(36),
    verfahren_kompetenzfeststellung INTEGER DEFAULT -1,
    externeranbieter VARCHAR(100),
    assessment_center INTEGER DEFAULT -1,
    interview INTEGER DEFAULT -1,
    biografieorientierte_methoden INTEGER DEFAULT -1,
    selbsttest_selbstbeurteilung INTEGER DEFAULT -1,
    sonstiges_2 INTEGER DEFAULT -1,
    artdesverfahrens_nennung_sonstiges VARCHAR(100),
    testverfahren INTEGER DEFAULT -1,
    intelligenztest INTEGER DEFAULT -1,
    intelligenztest_nennung VARCHAR(100),
    schultest INTEGER DEFAULT -1,
    schultest_nennung VARCHAR(100),
    leistungstest INTEGER DEFAULT -1,
    leistungstest_nennung VARCHAR(100),
    persoenlichkeitstest INTEGER DEFAULT -1,
    persoenlichkeitstest_nennung VARCHAR(100),
    einstellungs_interessentest INTEGER DEFAULT -1,
    einstellungs_interessentest_nennung VARCHAR(100),
    beginn_des_verfahrens DATE,
    dauer_des_verfahrens INTEGER DEFAULT -1,
    rechenfaehigkeit INTEGER DEFAULT -1,
    raeumliches_vorstellungsvermoegen INTEGER DEFAULT -1,
    grundverstaendnis_naturwissenschaftlicher_zusammenhaenge INTEGER DEFAULT -1,
    logisches_denken INTEGER DEFAULT -1,
    wirtschaftliche_grundkenntnisse INTEGER DEFAULT -1,
    allgemeine_pc_kenntnisse INTEGER DEFAULT -1,
    spezielle_pc_kenntnisse_grafikbearbeitung_musikbearbeitung INTEGER DEFAULT -1,
    internet_anwendungen_und_e_mail_kenntnisse INTEGER DEFAULT -1,
    andere_medien INTEGER DEFAULT -1,
    hand_fingergeschick INTEGER DEFAULT -1,
    formauffassung INTEGER DEFAULT -1,
    umgang_maschinen_werkzeugen INTEGER DEFAULT -1,
    gestalterische_fantasie INTEGER DEFAULT -1,
    methoden_der_informationsgewinnung INTEGER DEFAULT -1,
    methoden_der_informationsverarbeitung INTEGER DEFAULT -1,
    einsatz_lern_und_arbeitstechniken INTEGER DEFAULT -1,
    problemloesungsorientierung INTEGER DEFAULT -1,
    texte_lesen_und_verstehen INTEGER DEFAULT -1,
    texte_schreiben_und_formulieren INTEGER DEFAULT -1,
    deutsche_sprache INTEGER DEFAULT -1,
    sprache1 INTEGER DEFAULT -1,
    sprache1_sonstige_nennung VARCHAR(60),
    beherrschung_sprache1 INTEGER DEFAULT -1,
    sprache2 INTEGER DEFAULT -1,
    sprache2_sonstige_nennung VARCHAR(60),
    beherrschung_sprache2 INTEGER DEFAULT -1,
    sprache3 INTEGER DEFAULT -1,
    sprache3_sonstige_nennung VARCHAR(60),
    beherrschung_sprache3 INTEGER DEFAULT -1,
    kommunikationsfaehigkeit INTEGER DEFAULT -1,
    kritikfaehigkeit INTEGER DEFAULT -1,
    konfliktfaehigkeit INTEGER DEFAULT -1,
    kreativitaet INTEGER DEFAULT -1,
    team_und_kooperationsfaehigkeit INTEGER DEFAULT -1,
    solidarisches_verhalten INTEGER DEFAULT -1,
    selbstaendiges_lernen_arbeiten INTEGER DEFAULT -1,
    selbstreflexion_selbsteinschaetzung INTEGER DEFAULT -1,
    verantwortungsuebernahme INTEGER DEFAULT -1,
    zielorientierung INTEGER DEFAULT -1,
    zuverlaessigkeit INTEGER DEFAULT -1,
    altersgerechter_entwicklungsstand INTEGER DEFAULT -1,
    gesundheitliche_voraussetzungen INTEGER DEFAULT -1,
    konzentration INTEGER DEFAULT -1,
    ausdauer INTEGER DEFAULT -1,
    durchhaltevermoegen INTEGER DEFAULT -1,
    merkfaehigkeit INTEGER DEFAULT -1,
    bearbeitungsgeschwindigkeit INTEGER DEFAULT -1,
    befaehigung_zu_daueraufmerksamkeit INTEGER DEFAULT -1,
    leistungsbereitschaft INTEGER DEFAULT -1,
    sorgfalt INTEGER DEFAULT -1,
    umgangsformen INTEGER DEFAULT -1,
    dokumentation_kompetenzfeststellung TEXT,
    FOREIGN KEY (master_id) REFERENCES master_tbl (id) ON DELETE CASCADE,
    UNIQUE (uuid_id)
);
CREATE TABLE rg_angebote_bildenden_bereich_tbl (
    id SERIAL PRIMARY KEY NOT NULL,
    master_id INTEGER NOT NULL,
    uuid_id CHAR(36),
    angebotsform INTEGER DEFAULT -1,
    art_der_unterstuetzung VARCHAR(120),
    durchfuehrende_institution VARCHAR(120),
    zielsetzungangebot VARCHAR(60),
    indikator_1 VARCHAR(60),
    bewertung_manager_1 INTEGER DEFAULT -1,
    bewertung_jugendlicher_1 INTEGER DEFAULT -1,
    indikator_2 VARCHAR(60),
    bewertung_manager_2 INTEGER DEFAULT -1,
    bewertung_jugendlicher_2 INTEGER DEFAULT -1,
    indikator_3 VARCHAR(60),
    bewertung_manager_3 INTEGER DEFAULT -1,
    bewertung_jugendlicher_3 INTEGER DEFAULT -1,
    zielerreichung TEXT,
    unterstuetzung_start DATE,
    unterstuetzung_ende DATE,
    zeitlicher_umfang_unterstuetzung INTEGER,
    beendigung_1 INTEGER DEFAULT -1,
    beendigung_durch INTEGER DEFAULT -1,
    gruende_vorzeitige_beendigung INTEGER DEFAULT -1,
    gruende_sonstiges_nennung VARCHAR(120),
    nachweis_bescheinigung INTEGER DEFAULT -1,
    sonstiges_nachweis_bescheinigung VARCHAR(120),
    FOREIGN KEY (master_id) REFERENCES master_tbl (id) ON DELETE CASCADE,
    UNIQUE (uuid_id)
);
CREATE TABLE rg_angebote_berufsvorbereitung_tbl (
    id SERIAL PRIMARY KEY NOT NULL,
    master_id INTEGER NOT NULL,
    uuid_id CHAR(36),
    angebotsform_1 INTEGER DEFAULT -1,
    art_der_unterstuetzung_1 INTEGER DEFAULT -1,
    unterstuetzung_sonstiges_nennung VARCHAR(255),
    durchfuehrende_institution_1 VARCHAR(120),
    zielsetzungangebot VARCHAR(60),
    indikator_1 VARCHAR(60),
    bewertung_manager_1 INTEGER DEFAULT -1,
    bewertung_jugendlicher_1 INTEGER DEFAULT -1,
    indikator_2 VARCHAR(60),
    bewertung_manager_2 INTEGER DEFAULT -1,
    bewertung_jugendlicher_2 INTEGER DEFAULT -1,
    indikator_3 VARCHAR(60),
    bewertung_manager_3 INTEGER DEFAULT -1,
    bewertung_jugendlicher_3 INTEGER DEFAULT -1,
    zielerreichung TEXT,
    unterstuetzung_start_1 DATE,
    unterstuetzung_ende_1 DATE,
    zeitlicher_umfang_unterstuetzung_1 INTEGER,
    beendigung_2 INTEGER DEFAULT -1,
    beendigung_durch_1 INTEGER DEFAULT -1,
    gruende_vorzeitige_beendigung_1 INTEGER DEFAULT -1,
    gruende_sonstiges_nennung_1 VARCHAR(120),
    nachweis_bescheinigung_1 INTEGER DEFAULT -1,
    sonstiges_nachweis_bescheinigung_1 VARCHAR(120),
    FOREIGN KEY (master_id) REFERENCES master_tbl (id) ON DELETE CASCADE,
    UNIQUE (uuid_id)
);
CREATE TABLE rg_angebote_berufliche_qualifizierung_tbl (
    id SERIAL PRIMARY KEY NOT NULL,
    master_id INTEGER NOT NULL,
    uuid_id CHAR(36),
    angebotsform_2 INTEGER DEFAULT -1,
    angebote_im_bereich INTEGER DEFAULT -1,
    unterstuetzung_sonstiges_nennung_1 VARCHAR(255),
    durchfuehrende_institution_2 VARCHAR(120),
    zielsetzungangebot VARCHAR(60),
    indikator_1 VARCHAR(60),
    bewertung_manager_1 INTEGER DEFAULT -1,
    bewertung_jugendlicher_1 INTEGER DEFAULT -1,
    indikator_2 VARCHAR(60),
    bewertung_manager_2 INTEGER DEFAULT -1,
    bewertung_jugendlicher_2 INTEGER DEFAULT -1,
    indikator_3 VARCHAR(60),
    bewertung_manager_3 INTEGER DEFAULT -1,
    bewertung_jugendlicher_3 INTEGER DEFAULT -1,
    zielerreichung TEXT,
    unterstuetzung_start_2 DATE,
    unterstuetzung_ende_2 DATE,
    zeitlicher_umfang_unterstuetzung_2 INTEGER,
    beendigung_3 INTEGER DEFAULT -1,
    beendigung_durch_2 INTEGER DEFAULT -1,
    gruende_vorzeitige_beendigung_2 INTEGER DEFAULT -1,
    gruende_sonstiges_nennung_2 VARCHAR(120),
    nachweis_bescheinigung_2 INTEGER DEFAULT -1,
    sonstiges_nachweis_bescheinigung_2 VARCHAR(120),
    FOREIGN KEY (master_id) REFERENCES master_tbl (id) ON DELETE CASCADE,
    UNIQUE (uuid_id)
);
CREATE TABLE rg_angebote_lebensbewaeltigung_tbl (
    id SERIAL PRIMARY KEY NOT NULL,
    master_id INTEGER NOT NULL,
    uuid_id CHAR(36),
    angebotsform_3 INTEGER DEFAULT -1,
    unterstuetzung_angebotsform_sonstiges_nennung VARCHAR(60),
    art_der_unterstuetzung_2 INTEGER DEFAULT -1,
    unterstuetzung_sonstiges_nennung_2 VARCHAR(60),
    durchfuehrende_institution_3 VARCHAR(120),
    zielsetzungangebot VARCHAR(60),
    indikator_1 VARCHAR(60),
    bewertung_manager_1 INTEGER DEFAULT -1,
    bewertung_jugendlicher_1 INTEGER DEFAULT -1,
    indikator_2 VARCHAR(60),
    bewertung_manager_2 INTEGER DEFAULT -1,
    bewertung_jugendlicher_2 INTEGER DEFAULT -1,
    indikator_3 VARCHAR(60),
    bewertung_manager_3 INTEGER DEFAULT -1,
    bewertung_jugendlicher_3 INTEGER DEFAULT -1,
    zielerreichung TEXT,
    unterstuetzung_start_3 DATE,
    unterstuetzung_ende_3 DATE,
    zeitlicher_umfang_unterstuetzung_3 INTEGER,
    beendigung_4 INTEGER DEFAULT -1,
    beendigung_durch_3 INTEGER DEFAULT -1,
    gruende_vorzeitige_beendigung_3 INTEGER DEFAULT -1,
    gruende_sonstiges_nennung_3 VARCHAR(120),
    nachweis_bescheinigung_3 INTEGER DEFAULT -1,
    sonstiges_nachweis_bescheinigung_3 VARCHAR(120),
    FOREIGN KEY (master_id) REFERENCES master_tbl (id) ON DELETE CASCADE,
    UNIQUE (uuid_id)
);

-- Einfügen von Werten in Diverse Tabellen um FK-Constraints zu erfüllen. 
INSERT INTO geschlecht_tbl (id, value) VALUES (2, 'temp');
INSERT INTO gruende_abbruch_tbl (id, value) VALUES (3, 'temp');
INSERT INTO gruende_abbruch_tbl (id, value) VALUES (4, 'temp');
INSERT INTO gruende_abbruch_tbl (id, value) VALUES (5, 'temp');
INSERT INTO gruende_abbruch_tbl (id, value) VALUES (6, 'temp');
INSERT INTO abbruch_durch_tbl(id, value) VALUES (2, 'temp');
INSERT INTO verbleib_nachbetreuung_tbl (id, value) VALUES (12, 'temp');
INSERT INTO verbleib_nachbetreuung_tbl (id, value) VALUES (13, 'temp');
INSERT INTO aufenthaltsstatus_tbl (id, value) VALUES (7, 'temp');

-- Function to update the casestructure after inserting data into the master
-- table
CREATE OR REPLACE FUNCTION create_structure() RETURNS VOID AS
$BODY$
DECLARE
	my_id integer;
BEGIN
	FOR my_id IN SELECT id FROM master_tbl
	LOOP
		INSERT INTO case_structure (master_id, modified) VALUES (my_id,TRUE);
	END LOOP;
	RETURN;
END
$BODY$
LANGUAGE 'plpgsql';

SET ROLE postgres;
ALTER TABLE master_tbl ENABLE TRIGGER USER;

--ROLLBACK;
COMMIT;
