BEGIN;

--
-- Übernahme aller Werte aus der Tabelle rg_kompetenzfeststellung in die
-- master_table 
--
-- issue1410

ALTER TABLE master_tbl DISABLE TRIGGER USER;

--SET ROLE :db_adm;
-- Durchführen als Postgres da sonst kein Zugriff auf die
-- rg_kompetenzfestellung_tbl, da diese auch von postgres nur temoprär
-- hinzugefügt wurde.

INSERT INTO db_history (beschreibung, zeitpunkt)
       VALUES ('2.0/07_rgkompetenz.sql', current_timestamp);


CREATE OR REPLACE FUNCTION copy_rgkompetenz() RETURNS VOID AS $$
DECLARE
  r RECORD;
  rgid INTEGER;
BEGIN
  FOR r in SELECT * 
  FROM rg_kompetenzfestellung_tbl LOOP
  UPDATE master_tbl
  set verfahren_kompetenzfeststellung = r.verfahren_kompetenzfeststellung,
  externeranbieter = r.externeranbieter,
  assessment_center = r.assessment_center,
  interview = r.interview,
  biografieorientierte_methoden = r.biografieorientierte_methoden,
  selbsttest_selbstbeurteilung = r.selbsttest_selbstbeurteilung,
  sonstiges_2 = r.sonstiges_2,
  artdesverfahrens_nennung_sonstiges = r.artdesverfahrens_nennung_sonstiges,
  testverfahren = r.testverfahren,
  intelligenztest = r.intelligenztest,
  intelligenztest_nennung = r.intelligenztest_nennung,
  schultest = r.schultest,
  schultest_nennung = r.schultest_nennung,
  leistungstest = r.leistungstest,
  leistungstest_nennung = r.leistungstest_nennung,
  persoenlichkeitstest = r.persoenlichkeitstest,
  persoenlichkeitstest_nennung = r.persoenlichkeitstest_nennung,
  einstellungs_interessentest = r.einstellungs_interessentest,
  einstellungs_interessentest_nennung = r.einstellungs_interessentest_nennung,
  beginn_des_verfahrens = r.beginn_des_verfahrens,
  dauer_des_verfahrens = r.dauer_des_verfahrens,
  rechenfaehigkeit = r.rechenfaehigkeit,
  raeumliches_vorstellungsvermoegen = r.raeumliches_vorstellungsvermoegen,
  grundverstaendnis_naturwissenschaftlicher_zusammenhaenge = r.grundverstaendnis_naturwissenschaftlicher_zusammenhaenge,
  logisches_denken = r.logisches_denken,
  wirtschaftliche_grundkenntnisse = r.wirtschaftliche_grundkenntnisse,
  allgemeine_pc_kenntnisse = r.allgemeine_pc_kenntnisse,
  spezielle_pc_kenntnisse_grafikbearbeitung_musikbearbeitung = r.spezielle_pc_kenntnisse_grafikbearbeitung_musikbearbeitung,
  internet_anwendungen_und_e_mail_kenntnisse = r.internet_anwendungen_und_e_mail_kenntnisse,
  andere_medien = r.andere_medien,
  hand_fingergeschick = r.hand_fingergeschick,
  formauffassung = r.formauffassung,
  umgang_maschinen_werkzeugen = r.umgang_maschinen_werkzeugen,
  gestalterische_fantasie = r.gestalterische_fantasie,
  methoden_der_informationsgewinnung = r.methoden_der_informationsgewinnung,
  methoden_der_informationsverarbeitung = r.methoden_der_informationsverarbeitung,
  einsatz_lern_und_arbeitstechniken = r.einsatz_lern_und_arbeitstechniken,
  problemloesungsorientierung = r.problemloesungsorientierung,
  texte_lesen_und_verstehen = r.texte_lesen_und_verstehen,
  texte_schreiben_und_formulieren = r.texte_schreiben_und_formulieren,
  deutsche_sprache = r.deutsche_sprache,
  sprache1 = r.sprache1,
  sprache1_sonstige_nennung = r.sprache1_sonstige_nennung,
  beherrschung_sprache1 = r.beherrschung_sprache1,
  sprache2 = r.sprache2,
  sprache2_sonstige_nennung = r.sprache2_sonstige_nennung,
  beherrschung_sprache2 = r.beherrschung_sprache2,
  sprache3 = r.sprache3,
  sprache3_sonstige_nennung = r.sprache3_sonstige_nennung,
  beherrschung_sprache3 = r.beherrschung_sprache3,
  kommunikationsfaehigkeit = r.kommunikationsfaehigkeit,
  kritikfaehigkeit = r.kritikfaehigkeit,
  konfliktfaehigkeit = r.konfliktfaehigkeit,
  kreativitaet = r.kreativitaet,
  team_und_kooperationsfaehigkeit = r.team_und_kooperationsfaehigkeit,
  solidarisches_verhalten = r.solidarisches_verhalten,
  selbstaendiges_lernen_arbeiten = r.selbstaendiges_lernen_arbeiten,
  selbstreflexion_selbsteinschaetzung = r.selbstreflexion_selbsteinschaetzung,
  verantwortungsuebernahme = r.verantwortungsuebernahme,
  zielorientierung = r.zielorientierung,
  zuverlaessigkeit = r.zuverlaessigkeit,
  altersgerechter_entwicklungsstand = r.altersgerechter_entwicklungsstand,
  gesundheitliche_voraussetzungen = r.gesundheitliche_voraussetzungen,
  konzentration = r.konzentration,
  ausdauer = r.ausdauer,
  durchhaltevermoegen = r.durchhaltevermoegen,
  merkfaehigkeit = r.merkfaehigkeit,
  bearbeitungsgeschwindigkeit = r.bearbeitungsgeschwindigkeit,
  befaehigung_zu_daueraufmerksamkeit = r.befaehigung_zu_daueraufmerksamkeit,
  leistungsbereitschaft = r.leistungsbereitschaft,
  sorgfalt = r.sorgfalt,
  umgangsformen = r.umgangsformen,
  dokumentation_kompetenzfeststellung = r.dokumentation_kompetenzfeststellung
  where id = r.master_id;
  END LOOP;
END;
$$ LANGUAGE plpgsql;
SELECT copy_rgkompetenz();
DROP FUNCTION copy_rgkompetenz();


SET ROLE postgres;
ALTER TABLE master_tbl ENABLE TRIGGER USER;

COMMIT;
