BEGIN;
SET ROLE :db_adm;

--
-- Funktion, die alle Anhaenge zu einem gegebenen Fall loescht
--
CREATE OR REPLACE FUNCTION delete_all_fall_dokumente(mid integer) 
RETURNS void 
LANGUAGE 'plpgsql' VOLATILE EXTERNAL SECURITY DEFINER
AS $$
BEGIN
    IF mid IS NULL OR NOT isEditorOrStandin(mid) THEN
        RAISE EXCEPTION 'Master ID not session_user ID';
    END IF;

    DELETE FROM ka_dokumente_tbl WHERE master_id = mid;
END;
$$;

REVOKE ALL     ON FUNCTION delete_all_fall_dokumente(integer) FROM PUBLIC;
GRANT  EXECUTE ON FUNCTION delete_all_fall_dokumente(integer) TO GROUP :cm_ka_group;
 
COMMIT;

