# -*- coding: utf-8 -*-
#
# Copyright 2007, 2008 Intevation GmbH, Germany, <info@intevation.de>
#
# This file is part of mpuls WASKA (CoMPUter-based case fiLeS -
# Web-Anwendungs-Server fuer Kompetenzagenturen).
#
# mpuls WASKA is free software: you can redistribute it and/or modify it under
# the terms of the GNU Affero General Public License as published by the
# Free Software Foundation, either version 3 of the License, or (at your
# option) any later version.
#
# mpuls WASKA is distributed in the hope that it will be useful, but WITHOUT
# ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
# FITNESS FOR A PARTICULAR PURPOSE.  See the GNU Affero General Public
# License for more details.
#
# You should have received a copy of the GNU Affero General Public
# License along with mpuls WASKA. If not, see <http://www.gnu.org/licenses/>.
#
# mpuls WASKA has been developed on behalf of the
# Projekttraeger im Deutschen Zentrum fuer Luft- und Raumfahrt e.V. (PT-DLR)
# within the programme Kompetenzagenturen (Durchfuehrungsphase) funded by
# the Bundesministerium fuer Familie, Senioren, Frauen und Jugend and
# European Social Fund resources.
#
# Authors:
# Roland Geider <roland.geider@intevation.de>
#

import sys
import logging
import traceback

import psycopg2.extras

from mpulsweb.lib.base import render
from mpulsweb.lib.db import db
from mpulsweb.lib.helpers import ensure_unicode

from mpulsweb.model.agencysettings import Agency

FETCH_SETTINGS_SQL = """SELECT bez, wert from ka_konfiguration_tbl_view"""
STORE_SETTINGS_SQL = """\
UPDATE ka_konfiguration_tbl_view SET wert = %(wert)s WHERE bez = %(bez)s"""

log = logging.getLogger(__name__)

class Agency(Agency):
    
    def getDiscretionStatement(self):
        
        """ New function for the WASKA-specific discretion statement """
        
        return render('/privacy/discretion_statement.html')