## -*- coding: utf-8 -*-
<%inherit file="digest.mako" />
<%!  import mpulsweb.lib.helper.filters as F %>

<%def name="renderCaseInfo(case)">
  <h2>${_('cm_header_digest_youth')}</h2>
  <table>
    % for num, field in enumerate(c.case.get_digest_fields()):
      % if field.name in ['kundennummer', 'name_1', 'vorname_1', 'geburtsdatum', 'strasse', 'strassenr', 'plz', 'wohnort', 'vorwahl', 'telefon_1', 'mobiltelefon', 'telefon_sonstige', 'email']:
        <tr class="${num % 2 and 'hl' or ''}">
          <td class="label">${c.case.get_description(field.name)}</td>
          <td>${h.literal(h.nl_to_br(h.convertForDigest(c.case.get_value(field.name))))| F.NA}
            % if field.name == 'geburtsdatum' and c.case.first_meeting and c.case.get_value(field.name):
                (${_('Age on first contact: %s years') % h.get_age(c.case.first_meeting - c.case.get_value(field.name)) | F.NA})
            % endif
          </td>
        </tr>
      %endif 
    % endfor
  </table>
  <h2>${_('Angaben zum Erziehungsberechtigten')}</h2>
  <table>
    % for num, field in enumerate(c.case.get_digest_fields()):
      % if field.name in ['name_2', 'vorname_2', 'vorwahl_1', 'telefon_1_1', 'mobiltelefon_1', 'email_1']:
        <tr class="${num % 2 and 'hl' or ''}">
          <td class="label">${c.case.get_description(field.name)}
          </td>
        <td>${c.case.get_value(field.name)| F.NA}</td>
        </tr>
      %endif 
    % endfor
  </table>
</%def>

<%def name="renderCustomCaseStateInfo(case)">
  <%
    mapping_1 = c.case.get_formed_item('art_beendigung').getMeta().getValueMapping()
    mapping_2 = c.case.get_formed_item('bei_austritt_ist_der_jugendliche').getMeta().getValueMapping()
  %>
  % if case.getState().isCmFinished():
    <tr class="">
      <td class="label">Art Beendigung</td>
      <td>${mapping_1.get(c.case.get_value('art_beendigung'))}</td>
    </tr>
    <tr class="hl">
      <td class="label">Status bei Beendigung</td>
      <td>${mapping_2.get(c.case.get_value('bei_austritt_ist_der_jugendliche'))}</td>
    </tr>
  % endif
</%def>

${self.renderMaxSavetimeInfo(c.case)}
${self.renderCaseStateInfo(c.case)}
${self.renderCaseInfo(c.case)}
